<?php
include "../init.php";

$OS = getOS();

$osUser = $OS->getUser();
$osUser->forceUserAdmin();

if ($_SERVER['REQUEST_METHOD']=='POST')
{
	if (!empty($_FILES['upload_box']['tmp_name']))
	{
		$op=='upload';
		
		//TODO: file validation here
		
		$archive_name=$_FILES['upload_box']['name'];
		$archive_path=$_FILES['upload_box']['tmp_name'];
	}
	elseif (!empty($_POST['download_box']))
	{
		$op='download';
		
		$validator=$OS->getValidator();
		
		if (!$validator->is_url($_POST['download_box']))
		{
			$http=$OS->getHttp();
			
			$response=$http->get($_POST['download_box']);
			
			if (empty($response))
			{
				$OS->addFieldError("Unable to download application from the provided link",'download');
			}
			else
			{
				$utils=$OS->getUtils();
				
				$archive_name=basename(parse_url($_POST['download_box'],PHP_URL_PATH));				
				$archive_path=$utils->getTempFile('tar.gz');
				
				file_put_contents($archive_path,$response);
			}
		}
	}
	else
	{
		$OS->addBoxError("Upload an application archive or provide the URL to one");
	}
	if (!isset($OS->errorMessages))
	{
		$appOps=$OS->getAppOps();
		
		$result=$appOps->extractAppFromArchive($archive_path,$archive_name);
		
		if (!$result['status'])
		{
			$OS->addFieldError($result['message'],$op);
		}
		else
		{
			$app_name=str_replace('.tar.gz','',$archive_name);
			
			$OS->redirectTO('/admin/apps.php?app='.$app_name);
		}
	}
}

$tpl = $OS->getTemplate();

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('ptitle',"Add Application");


$tpl->bodyTemplateName = "admin_apps_add";

echo $tpl->mainTemplateRender();
?>