<?php
include('../init.php');

$OS=getOS();

$osUser = $OS->getUser();
$osUser->forceUserAdmin();

$proposedAppsOps=$OS->getAppProposedOps();

$apps=$proposedAppsOps->getAppsProposed();

if (!empty($_GET['op']))
{
	if ($_GET['op']=='approve' AND isset($_GET['app_id']) AND isset($apps[$_GET['app_id']]))
	{
		if ($apps[$_GET['app_id']]->approve())
		{
			$OS->addInfo("Application approved successfully");
			
			unset($apps[$_GET['app_id']]);
		}
		else
		{
			$OS->addBoxError("Unable to approve application");
		}
	}
}

if (isset($_GET['msg']))
{
	if ($_GET['msg']=='deny_ok')
	{
		$OS->addInfo("Application denied successfully");
	}
}

$proposedApps=array();

foreach ($apps as $app_id=>$app)
{
	$proposedApps[$app_id]=array(
		'id'=>$app_id,
		'name'=>$app->name,
		'title'=>$app->title,
		'description'=>$app->description,
		'approve_link'=>"?op=approve&app_id=".$app_id,
		'reject_link'=>$OS->getConfigVar('root_url').'/admin/apps_proposed_deny.php?app_id='.$app_id
	);
}

$tpl = $OS->getTemplate();

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('ptitle',"Proposed Applications");
$tpl->setVar('proposedApps',$proposedApps);



$tpl->bodyTemplateName = "admin_apps_proposed";

echo $tpl->mainTemplateRender();
?>