<?php
include('../init.php');

$OS=getOS();

$osUser = $OS->getUser();
$osUser->forceUserAdmin();

if (!empty($_GET['app_id']))
{
	$app_id=$_GET['app_id'];
}
elseif (!empty($_POST['app_id']))
{
	$app_id=$_POST['app_id'];
}
else
{
	$OS->redirectTO('/admin/apps_proposed.php');
}

$proposedAppsOps=$OS->getAppProposedOps();

if (!$app=$proposedAppsOps->getAppProposedByID($app_id))
{
	$OS->redirectTO('/admin/apps_proposed.php');
}

if ($_SERVER['REQUEST_METHOD']=='POST')
{
	if (empty($_POST['reason_box']))
	{
		$OS->addFieldError("Denial reason missing",'reason');
	}
	else
	{
		$_POST['reason_box']=trim($_POST['reason_box']);
		
		if (strlen($_POST['reason_box'])<32)
		{
			$OS->addFieldError("Please type a more descriptive reason. Minimum length: 32 chars",'reason');
		}
	}
	
	if (!isset($OS->errorMessages))
	{
		$app->status_reason=$_POST['reason_box'];
		
		if (!$app->deny())
		{
			$OS->addBoxError("Unable to deny application. Please try again later");
		}
		else
		{
			$OS->redirectTO('/admin/apps_proposed.php?msg=deny_ok');
		}
	}
}
else
{
	$_POST['reason_box']='';
}

$tpl = $OS->getTemplate();

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('ptitle',"Deny proposed application");
$tpl->setVar('app_id',$app_id);

$tpl->bodyTemplateName = "admin_apps_proposed_deny";

echo $tpl->mainTemplateRender();
?>