<?php
class OS_CRON_Get_Competitors
{
	public function run()
	{
		return true;
		$result=false;
		
		$OS=getOS();
		
		$projectKeywordOps=$OS->getProjectKeywordOps();
		
		if ($keywords=$projectKeywordOps->getProjectKeywordsPendingCompetitors())
		{
			$projectTopicOps=$OS->getProjectTopicOps();
			$topics=array();
			
			$projectSEOps=$OS->getProjectSearchEngineOps();
			$searchEngines=array();
			
			foreach ($keywords as $keyword)
			{
				if (!isset($topics[$keyword->topic_id]))
				{
					$topics[$keyword->topic_id]=$projectTopicOps->getProjectTopicByID($keyword->topic_id,$keyword->project_id);
				}
				
				if ($topics[$keyword->topic_id])
				{
					$topic=$topics[$keyword->topic_id];
					
					if (!isset($searchEngines[$topic->se_id]))
					{
						$searchEngines[$topic->se_id]=$projectSEOps->getProjectSearchEngineByID($topic->se_id);
					}
					
					if ($searchEngines[$topic->se_id])
					{
						sleep(rand(5,15));
						
						$osSearchEngine=$OS->getSearchEngine();

						if ($competitors=$osSearchEngine->getResults($keyword->keyword,$searchEngines[$topic->se_id]->engine,$searchEngines[$topic->se_id]->locale))
						{
							$result=true;
							
							$position=0;
							foreach ($competitors as $competitor)
							{
								$position++;
								
								$oneCompetitor=new OS_ProjectKeywordCompetitor();
								
								$competitor_data=array(
									'project_id'=>$keyword->project_id,
									'keyword_id'=>$keyword->id,
									'url'=>$competitor['url'],
									'position'=>$position
								);
								
								$oneCompetitor->set($competitor_data);
								
								$oneCompetitor->save();
							}
							
							$keyword->competitors='Y';
							
							$keyword->save();
							
							if (0===$projectKeywordOps->getProjectKeywordsPendingCompetitorsCountByTopicID($keyword->topic_id))
							{
								$projectKwCompetitorOps=$OS->getProjectKeywordCompetitorOps();
								
								if ($topicKeywords=$projectKeywordOps->getProjectKeywordsByTopicID($keyword->topic_id))
								{
									$topicCompetitors=array();
									
									foreach ($topicKeywords as $topicKeyword)
									{
										if ($topicKeywordCompetitors=$projectKwCompetitorOps->getProjectKeywordCompetitorsByKeywordID($topicKeyword->id))
										{
											foreach ($topicKeywordCompetitors as $topicKeywordCompetitor)
											{
												if ($topicKeywordCompetitorHost=parse_url($topicKeywordCompetitor->url,PHP_URL_HOST))
												{
													if (!isset($topicCompetitors[$topicKeywordCompetitorHost]))
													{
														$topicCompetitors[$topicKeywordCompetitorHost]=array('occurances'=>0,'position'=>0);
													}
													
													$topicCompetitors[$topicKeywordCompetitorHost]['occurances']++;
													$topicCompetitors[$topicKeywordCompetitorHost]['position']+=$topicKeywordCompetitor->position;
												}
											}
										}
									}
									
									foreach ($topicCompetitors as $topicCompetitorHost=>$details)
									{
										$topicCompetitors[$topicCompetitorHost]['position']=$details['position']/$details['occurances'];
									}
									
									$topicCompetitors=$this->orderCompetitors($topicCompetitors,'occurances',SORT_DESC,'position',SORT_ASC);
									if ($topicCompetitors=array_slice($topicCompetitors,0,10,true))
									{
										$osCompetitorOps=$OS->getCompetitorOps();
										
										$osCompetitorOps->deleteCompetitorsByTopicID($topic->id,false);
										
										foreach ($topicCompetitors as $topicCompetitorHost=>$dummy)
										{
											$oneCompetitor=new OS_Competitor();
											
											$competitor_data=array(
												'project_id'=>$topic->project_id,
												'topic_id'=>$topic->id,
												'host'=>$topicCompetitorHost
											);
											
											$oneCompetitor->set($competitor_data);
											
											$oneCompetitor->save();
										}
										
										$topic->competitors='Y';
										
										$topic->save();
										
										$eventParams=array(
											'project_id'=>$topic->project_id,
											'competitors'=>array_keys($topicCompetitors)
										);
										
										OS_Events::triggerEvent('projectCompetitorsDetected',$eventParams);
									}
								}
							}
						}
					}
				}
			}
		}
		else
		{
			$result=true;
		}
		
		return $result;
	}
	
	private function orderCompetitors()
	{
		$args = func_get_args();
		$data = array_shift($args);
		
	    foreach ($args as $n => $field)
		{
			if (is_string($field))
			{
				$tmp = array();
				
				foreach ($data as $key => $row)
				{
					$tmp[$key] = $row[$field];
				}
				
				$args[$n] = $tmp;
			}
		}
		
		$args[] = &$data;
		call_user_func_array('array_multisort', $args);
		
	    return array_pop($args);
	}
}
?>