<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend left"><div class='col_6 left' style='margin:0;'>{t}Analyzed URLs{/t}</div><div class='col_6 right' style='margin:0;'><a href='{$tvars.analyzeURL}'>{t}Analyze URL{/t}</a></div></div>
			<div class="content">
				{if !empty($tvars.reports)}
					<table class="striped">
						<thead>
							<tr>
								<th class='header'>#</td>
								<th class='header left'>{t}URL{/t}</td>
								<th class='header left'>{t}Keyword{/t}</td>
								<th class='header left'>{t}Search Engine{/t}</td>
								<th class='header'>{t}Date{/t}</td>
								<th class='header'>{t}Actions{/t}</td>
							</tr>
						</thead>
						<tbody>
							{foreach from=$tvars.reports key=report_id item=details}
								<tr>
									<td>{counter}</td>
									<td><a href='{$details.url_safe}' target='_blank'>{$details.url}</a></td>
									<td>{$details.keyword}</td>
									<td>{$details.search_engine}</td>
									<td>{$details.insert_dt_human}</td>
									<td>
										{if $details.status=='D'}
											{if $details.details_url}
												<a href='{$details.details_url}' title='{t}View report{/t}'><span class='icon gray' data-icon='s'></span></a>
											{/if}
										{/if}
										{if $details.status!='W' AND $details.status!='Q'}
											{if $details.rerun_url}
												<a href='{$details.rerun_url}' title='{t}Regenerate report{/t}'><span class='icon gray' data-icon='%'></span></a>
											{/if}
											{if $details.delete_url}
												<a href='{$details.delete_url}' title='{t}Delete Report{/t}'><span class='icon gray' data-icon='x'></span></a>
											{/if}
										{else}
											<div class='center'>{t}Generating...{/t}</div>
										{/if}
									</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
					{if $tvars.prev_page_url OR $tvars.next_page_url}
						<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; {t}Previous page{/t}</a>{else}&nbsp;{/if}</div>
						<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>{t}Next page{/t} &raquo;</a>{else}&nbsp;{/if}</div>
					{/if}
				{else}
					<div class='col_12 center'>{t}No reports found.{/t}<br><a href='{$tvars.analyzeURL}'>{t}Analyze URL{/t}</a></div>
				{/if}
				<div class='clear'></div>
			</div>
		</fieldset>
	</div>
</div>