<div class="col_12">
	<div class="col_12">
		<fieldset>
			<div class="legend left">{t}Report details{/t}</div>
			<div class="content">
				<table class='striped'>
					<tr><td>{t}URL{/t}</td><td><a href='{$tvars.report_details.url_safe}' target='_blank'>{$tvars.report_details.url}</a></td></tr>
					<tr><td>{t}Keyword{/t}</td><td>{$tvars.report_details.keyword}</td></tr>
					{if !empty($tvars.report_details.stop_words_list)}
						<tr><td>{t}Stop words list{/t}</td><td>{$tvars.report_details.stop_words_list_human}</td></tr>
					{/if}
					<tr><td>{t}Search Engine{/t}</td><td>{$tvars.report_details.search_engine}</td></tr>
				</table>
			</div>
		</fieldset>
	</div>
	<div class='clear'></div>
	<div class="col_12">
		<fieldset>
			<div class="legend left">{t}Top ranking urls{/t}</div>
			<div class="content">
				<table class='striped'>
					<thead>
						<tr>
							<th class='header'>{t}Position{/t}</td>
							<th class='header left'>{t}Title & URL{/t}</td>
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.competitors key=position item=details}
							<tr>
								<td>{$position}</td>
								<td>{$details.title}<br><a href='{$details.url_safe}' target='_blank'>{$details.url}</a></td>
							</tr>
						{/foreach}
					</tbody>
				</table>
			</div>
		</fieldset>
	</div>
	<div class='clear'></div>
	{foreach from=$tvars.adjacent_keywords key=length item=keywords}
		<div class="col_6 column">
			<fieldset>
				<div class="legend left">{t 1=$length}Suggested %1-word adjacent keywords{/t}</div>
				<div class="content">
					<table class='striped'>
						<thead>
							<tr>
								<th class='header left'>{t}Keyword{/t}</th>
								<th class='header'>{t}URLs{/t}</th>
								<th class='header'>{t}Occurances{/t}</th>
							</tr>
						</thead>
						<tbody>
							{foreach from=$keywords key=keyword item=details}
								<tr>
									<td class='left'>{$keyword}</td>
									<td class='center'>{$details.urls}</td>
									<td class='center'>{$details.occurances}</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
				</div>
			</fieldset>
		</div>
	{/foreach}
</div>