<div class="col_12">
	<div class="col_4 column">
		<fieldset>
			<div class="legend">{t}Overall Activity{/t}</div>
			<div class="content">
				<div class='col_12'>{t}Total links{/t}: <b>{$tvars.linksCounts.total}</b></div>
				<div class='clear'></div>
				<div class='col_12'>{t}Pending links{/t}: <b><span class='statusPending'>{$tvars.linksCounts.W}</span></b></div>
				<div class='clear'></div>
				<div class='col_12'>{t}Approved links{/t}: <b><span class='statusApproved'>{$tvars.linksCounts.A}</span></b></div>
				<div class='clear'></div>
				<div class='col_12'>{t}Rejected links{/t}: <b><span class='statusRejected'>{$tvars.linksCounts.R}</span></b></div>
				<div class='clear'></div>
			</div>
		</fieldset>
	</div>
	<div class="col_8 column">
		<div class="col_12">
			graph here
		</div>
		<div class="clear"></div>
		<div class="col_12 center">
			<span class='bigger'>{t}Your LBQS(Link Builder Quality Score){/t}: {$tvars.qualityScore}</span>
		</div>
	</div>
	<div class="clear"></div>
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend">
				<div class="col_6 column" style='margin:0;'>{t}Links{/t}</div>
				<div class="col_6 column right" style='margin:0;'><a href='{$tvars.add_link}'>{t}Add link{/t}</a></div>
			</div>
			<div class="content">
				<table class='striped' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
		   					<th class="header alignCenter">#</th>
		   					<th class="header alignCenter">{t}Label{/t}</th>
		   					<th class="header alignCenter">{t}URL{/t}</th>
		   					<th class="header alignCenter">{t}PageRank{/t}</th> 
		    				<th class="header alignCenter">{t}Target URL{/t}</th> 
		    				<th class="header alignCenter">{t}Anchor{/t}</th> 
		    				<th class="header alignCenter">{t}Status{/t}</th>
		    				<th class="header alignCenter">{t}Actions{/t}</th> 
						</tr> 
					</thead>			
					<tbody id='linksList'>
						{if !empty($tvars.links)}
							{counter start=0 print=false}
							{foreach from=$tvars.links key=link_id item=details}
								<tr class='{cycle values="tbTableOddRow,tbTableEvenRow"}'>
									<td class='linkCount alignCenter'>{counter}</td>
									<td class='alignCenter'>{if empty($details.label_name)}<em>none</em>{else}{$details.label_name}{/if}</td>
									<td class="alignCenter"><a href='{$details.source_url_safe}' target='_blank'>{$details.source_host}</a></td>
									<td class="alignCenter">{$details.source_pr}</td>
									<td class="alignCenter"><a href='{$details.target_url_safe}' target='_blank'>{$details.target_host}</a></td>
									<td class="alignCenter">{$details.anchor}</td>
									<td class="alignCenter">{$details.status_human}</td>
									<td class="alignCenter">
										{if $details.edit_url}<a href='{$details.edit_url}' title='{t}Edit Link Data{/t}'><span class="icon gray" data-icon="7"></span></a></span>{/if}
										{if $details.delete_url}<a href='{$details.delete_url}' title='{t}Delete Link{/t}'><span class="icon gray" data-icon="x"></span></a></span>{/if}
									</td>
								</tr>
							{/foreach}
						{else}<tr><td colspan='8' class="alignCenter">{t}You haven't added any links yet{/t}</td></tr>{/if}
					</tbody>
				</table>
			</div>
		</fieldset>
	</div>
</div>