<?php
/*                                                                                                                                                                                                    
 *+---------------------------------------------------------------------------+
 *| OpenS v0.1                                                                |
 *| ==========                                                                |
 *|                                                                           |
 *| Copyright (c) 2011-2012 OpenS                                             |
 *| For contact details, see: http://www.opens.org/                           |
 *|                                                                           |
 *| This program is free software; you can redistribute it and/or modify      |
 *| it under the terms of the GNU General Public License as published by      |
 *| the Free Software Foundation; either version 2 of the License, or         |
 *| (at your option) any later version.                                       |
 *|                                                                           |
 *| This program is distributed in the hope that it will be useful,           |
 *| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
 *| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
 *| GNU General Public License for more details.                              |
 *|                                                                           |
 *| You should have received a copy of the GNU General Public License         |
 *| along with this program; if not, write to the Free Software               |
 *| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
 *+---------------------------------------------------------------------------+
 *$Id: os_core.php 2012-01-09$
 */

class OS_APP_backlinks_manage
{
	public function __construct() {}
	
	public function check()
	{
		return array();
	}
	
	public function run()
	{
		$actions=array(
			'eventHandlers'=>array(
				array('event'=>'projectDeleted','method'=>'eventProjectDeleted'),
			),
			'crons'=>array(
				array('action'=>'check_links','title'=>_('Check for broken links'),'interval'=>'1 h'),
				array('action'=>'import_links','title'=>_('Import backlinks from external sources'),'interval'=>'1 h')
			),
			'datasources'=>array(
				array('name'=>'backlinks','table'=>'links','fields'=>array('source_host','source_url','source_pr','target_host','target_url','anchor'))
			)
		);
		
		$result=array('actions'=>$actions);
		
		return $result;
	}
}	

?>