<?php
class OS_APPCRON_Compindexedurls_update
{
	public function run()
	{
		$OS=getOS();
		$db=$OS->getDb();
		
		$competitorOps=$OS->getCompetitorOps();
		
		$projectOps=$OS->getProjectOps();
		
		$appOps=$OS->getAppOps();
		$app=$appOps->getAppByName('compindexedurls');
		
		if ($projects=$appOps->getProjectsByAppID($app->id))
		{
			$appHandler=$OS->getAppHandler('compindexedurls');
			$appPlugin=$appHandler->getAppPlugin();
			$day=$appPlugin->getDay();
			$dayOps=$appPlugin->getOperations();
			
			foreach ($projects as $project_id)
			{
				if ($project=$projectOps->getProjectByID($project_id) AND $project->isActive())
				{
					if ($competitors=$competitorOps->getCompetitors($project_id))
					{
						$OS->initTimezone($project->timezone);
						
						foreach ($competitors as $competitor)
						{
							$day->setInitialValues();
							
							$day->project_id=$project->id;
							$day->competitor_id=$competitor->id;
							
							$day->urls=$dayOps->getNumberOfIndexedUrls($competitor->host);
							
							$day->date=date('Y-m-d');
							
							if ($day->urls!==false)
							{
								$day->save();
							}
						}
					}
				}
				
				unset($project);
			}
			
			unset($appHandler,$appPlugin,$day);
		}
		
		return true;
	}
}
?>