<?php
class OS_APPVIEW_CompIndexedUrls_Main extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function buildViewData()
	{
		$OS=getOS();
		
		$competitorOps=$OS->getCompetitorOps();
		
		$viewDataVars['competitors']=$competitorOps->getCompetitors();
		
		return $viewDataVars;
	}
	
	public function render()
	{
		$OS=getOS();

		$utils=$OS->getUtils();
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$viewData=$this->buildViewData();
		$tplVars=array('competitors'=>array());		
		
		if ($viewData['competitors'])
		{
			foreach ($viewData['competitors'] as $competitor)
			{
				$tplVars['competitors'][$competitor->id]=array(
					'host'=>$competitor->host,
					'view_url'=>$appPlugin->getAppActionUrl('competitor',array('competitor_id'=>$competitor->id))
				);
			}
		}
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('view',$tplVars);
	}
}
?>