<div class="col_12">
	<fieldset>
		<div class='legend'>{t}Personas{/t}</div>
		<div class='content'>
			<div class='col_12 right'><a href='{$tvars.addPersonaURL}' title='{t}Add persona{/t}' class='button small blue'>{t}Add persona{/t}</a></div>
			{if $tvars.personas}
				<table class='striped responsive'>
					<thead>
						<tr>
							<th class='header left'></th>
							{foreach from=$tvars.personas key=persona_id item=persona}
								<th class='header left'>
									{$persona.name}
									<a href='{$persona._editURL}' title='{t}Edit persona{/t}'><span class="icon gray small" data-icon="7"></span></a>
									<a href='{$persona._deleteURL}' title='{t}Delete persona{/t}'><span class="icon gray small" data-icon="x"></span></a>
								</th>
							{/foreach}
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.personaFields key=field item=details}
							<tr>
								<td class='left' {if $field=='keywords'}valign='top'{/if}><b>{$details.name}</b></td>
								{foreach from=$tvars.personas key=persona_id item=persona}
									<td {if $field=='keywords'}valign='top'{/if}>{$persona.$field}</td>
								{/foreach}
							</tr>
						{/foreach}
					</tbody>
				</table>
			{else}
				<div class='col_12 center bigger'>{t}No personas defined.{/t}</div><br>
			{/if}
		</div>
	</fieldset>
	<br>
	<fieldset>
		<div class='legend'>{t}Funnel{/t}</div>
		<div class='content'>
			<div class='col_12 right'><a href='{$tvars.addFunnelStageURL}' title='{t}Add funnel stage{/t}' class='button small blue'>{t}Add funnel stage{/t}</a></div>
			{if $tvars.funnelstages}
				<table class='striped responsive'>
					<thead>
						<tr>
							<th class='header left'>{t}Stage{/t}</th>
							<th class='header left'>{t}Description{/t}</th>
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.funnelstages key=funnelstage_id item=funnelstage}
							<tr>
								<td class='left'>
									{$funnelstage.name}
									<a href='{$funnelstage._editURL}' title='{t}Edit funnel stage{/t}'><span class="icon gray small" data-icon="7"></span></a>
									<a href='{$funnelstage._deleteURL}' title='{t}Delete funnel stage{/t}'><span class="icon gray small" data-icon="x"></span></a>
								</td>
								<td class='left'>{$funnelstage.description}</td>
							</tr>
						{/foreach}
					</tbody>
				</table>
			{else}
				<div class='col_12 center bigger'>{t}No funnel stages defined.{/t}</div><br>
			{/if}
		</div>
	</fieldset>
</div>