<div class="col_12">
	<fieldset>
		<div class='legend'>{t}Content Queue{/t}</div>
		<div class='content'>
			<div class='col_12 right'><a href='{$tvars.addQueuedURL}' title='{t}Add content to queue{/t}' class='button small blue'>{t}Add content to queue{/t}</a></div>
			{if $tvars.queue}
				<table class='striped responsive'>
					<thead>
						<tr>
							<th class='header left'>{t}Content Piece{/t}<br><em>{t}Author{/t}</em></th>
							<th class='header center'>{t}Status{/t}</th>
							<th class='header center'>{t}Type{/t}</th>
							<th class='header center'>{t}Keywords{/t}</th>
							<th class='header center'>{t}Persona{/t}</th>
							<th class='header center'>{t}Funnel stage{/t}</th>
							<th class='header center'>{t}Placement{/t}</th>
							<th class='header center'>{t}Due date{/t}</th>
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.queue key=content_id item=content}
							<tr>
								<td class='left'>
									{$content.title}
									<a href='{$content._editURL}' title='{t}Edit content{/t}'><span class="icon gray small" data-icon="7"></span></a>
									<a href='{$content._deleteURL}' title='{t}Delete content{/t}'><span class="icon gray small" data-icon="x"></span></a>
									<br>
									<em>{$content.author}</em>
								</td>
								<td class='center'>{$content.status_human}</td>
								<td class='center'>{$content.type_human}</td>
								<td class='center'>{$content.keywords}</td>
								<td class='center'>{if $content.persona}{$content.persona}{else}<em>{t}n/a{/t}</em>{/if}</td>
								<td class='center'>{if $content.funnelstage}{$content.funnelstage}{else}<em>{t}n/a{/t}</em>{/if}</td>
								<td class='center'>{$content.placement_human}</td>
								<td class='center'>{$content.due_date}</td>
							</tr>
						{/foreach}
					</tbody>
				</table>
			{else}
				<br><br><div class='col_12 center' style='font-size:150%;'>{t}No queued content available{/t}</div><br><br>
			{/if}
		</div>
	</fieldset>
	<br>
	<fieldset>
		<div class='legend'>{t}Published Content{/t}</div>
		<div class='content'>
			<div class='col_12 right'><a href='{$tvars.addPublishedURL}' title='{t}Add published content{/t}' class='button small blue'>{t}Add published content{/t}</a></div>
			{if $tvars.published}
				<table class='striped responsive'>
					<thead>
						<tr>
							<th class='header left'>{t}Content Piece{/t}<br><em>{t}Author{/t}</em></th>
							<th class='header center'>{t}Placement{/t}</th>
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.published key=content_id item=content}
							<tr>
								<td class='header left'>
									{$content.title}
									<a href='{$content._editURL}' title='{t}Edit content{/t}'><span class="icon gray small" data-icon="7"></span></a>
									<a href='{$content._deleteURL}' title='{t}Delete content{/t}'><span class="icon gray small" data-icon="x"></span></a>
									<br>
									<em>{$content.author}</em>
								</td>
								<td class='center'>
									{if $content.placement=='local'}
										<a href='{$content.url_safe}' target='_blank' title='{$content.url}'>{$content.placement_human}</a>
									{else}
										<a href='{$content.url_safe}' target='_blank' title='{$content.url}'>{$content.host}</a>
									{/if}
								</td>
							</tr>
						{/foreach}
					</tbody>
				</table>
			{else}
				<br><br><div class='col_12 center' style='font-size:150%;'>{t}You have not published any content{/t}</div><br><br>
			{/if}
		</div>
	</fieldset>
</div>