<?php exit; ?>
{
	"app_contentstrategy_content":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"title":{
				"field":"title",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"author":{
				"field":"author",
				"type":"varchar(64)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"url":{
				"field":"url",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"host":{
				"field":"host",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"type":{
				"field":"type",
				"type":"varchar(16)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"keywords":{
				"field":"keywords",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"persona_id":{
				"field":"persona_id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"funnelstage_id":{
				"field":"funnelstage_id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"placement":{
				"field":"placement",
				"type":"varchar(16)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"due_date":{
				"field":"due_date",
				"type":"date",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"status":{
				"field":"status",
				"type":"varchar(16)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"goals":{
				"field":"goals",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"stats":{
				"field":"stats",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"performance":{
				"field":"performance",
				"type":"decimal(11,2)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"goal_completion":{
				"field":"goal_completion",
				"type":"decimal(11,2)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_contentstrategy_content_stats":{
		"columns":{
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"content_id":{
				"field":"content_id",
				"type":"int(11)",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			},
			"stats":{
				"field":"stats",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"stats_d":{
				"field":"stats_d",
				"type":"date",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"content_stats_d":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"content_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"stats_d",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_contentstrategy_funnel_stages":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"name":{
				"field":"name",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"description":{
				"field":"description",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"position":{
				"field":"position",
				"type":"tinyint(4) unsigned",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_contentstrategy_personas":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"name":{
				"field":"name",
				"type":"varchar(64)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"age_min":{
				"field":"age_min",
				"type":"tinyint(4)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"age_max":{
				"field":"age_max",
				"type":"tinyint(4)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"gender":{
				"field":"gender",
				"type":"char(1)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"location":{
				"field":"location",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"device":{
				"field":"device",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"information":{
				"field":"information",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"keywords":{
				"field":"keywords",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"outcome":{
				"field":"outcome",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	}
}