<div class="section-center col_12">
	<div class='simple-box'>
		<div class='title'>{t}Page Copies Evolution{/t}</div>
		<div class='content'>
			{if !empty($tvars.timeframe_chart_html)}
				{$tvars.timeframe_chart_html}
			{/if}	
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div>
</div>	

<div class="section-center col_5_touch_7">
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>{t}Page Copies Distribution{/t}</div>
			<div class='content'>
				{if !empty($tvars.pie_chart_html)}
					<div class="col_4">
						{$tvars.pie_chart_html}
					</div>
					<div class="col_8 left">
						{if !empty($tvars.pie_chart_values)}
							{foreach from=$tvars.pie_chart_values key=type item=details}
								<span class="pieLegendBox {if isset($details.legend_color)}{$details.legend_color}{/if}"
									{if isset($details.legend_custom_color)} style='background-color:{$details.legend_custom_color}'{/if}
								></span>
								<span style='font-weight:bold;'>{$details.title}</span> - 
								<span>{$details.total}</span>
								<span>({$details.percentage}%)</span>
								
								{if isset($details.compare_evolution)}
									{if $details.compare_evolution == 'up'}
										<span title="{t}Increased{/t}" data-icon="~" class="icon large green stats-change-icon"></span>
										<span class="stats-change-text green">(+{$details.compare_percentage}%)</span>
									{elseif $details.compare_evolution == 'down'}
										<span title="{t}Decreased{/t}" data-icon="|" class="icon large red stats-change-icon"></span>
										<span class="stats-change-text green" red">(-{$details.compare_percentage}%)</span>
									{elseif $details.compare_evolution == 'same'}
										<span title="{t}Constant{/t}" data-icon="-" class="icon gray stats-change-icon"></span>
										<span class="stats-change-text green" gray">({$details.compare_percentage}%)</span>
									{/if}
								{/if}
								<br>
							{/foreach}
						{/if}	
					</div>	
				{/if}	
				
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>	


<div class="section-center col_12">
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>{t}Latest Text Copies{/t}</div>
			<div class='content'>
			{if !empty($tvars.pageLatestSearchCopies)}
				<table class='striped stats' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'>
							<th class="header" style="width:20px;">&nbsp;</th> 
							<th class="header" style="width:20px;">#</th>
							<th class="header" style='text-align:left;width:70%;'>{t}Search Copies (less than 7 Words){/t}</th>
							<th class="header" style="width:150px;">{t}Copy Words{/t}</th>
							<th class="header" style="width:150px;">{t}Time Ago{/t}</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						
							{counter start=0 print=false}
							{foreach from=$tvars.pageLatestSearchCopies key=index item=details}
								<tr class="stats-odd">
									<td class="center">
										<span style="display: inline-block; cursor:pointer" class="new_board icon green" id="expand-row-details" title="{t}Expand{/t}" data-icon="+"></span>
									</td>
									<td class="center">{counter}</td>
									<td>
										<span class="text-ellipsify">
											"{$details.content_text}"
										</span>
									</td>
									<td class='center'>{$details.copy_words}</td>
									<td class='center'>
										<span class='timeago-text' title="{$details.copy_dt_human}">{$details.timeago_dt}</span>
									</td>
								</tr>
								<tr class="stats-row-hide">
									<td colspan="5">
										<span class="details-field">
											<label>{t}Page URL{/t}:</label> {$details.page_url}</span>
										<span class="details-field">
											<label>{t}Page Title{/t}:</label> {$details.page_title}</span>
										<span class="details-field">
											<label>{t}Time{/t}:</label> {$details.copy_dt}</span>
										<span class="details-field">
											<label>{t}Location{/t}:</label><span class="flag flag-{$details.country_code_lower}"></span> {$details.country_name}
										</span>	
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan='5' align='center'>
									<div class="col_12 center">{t}No Search copies detected so far{/t}</div>
								</td>
							</tr>
						{/if}
					</tbody>
				</table>
				
				<br><br>		
				
				<table class='striped stats' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
							<th class="header" style="width:20px;">&nbsp;</th> 
							<th class="header" style="width:20px;">#</th>
							<th class="header" style='text-align:left;width:70%;'>{t}Content Copies (more than 7 Words){/t}</th>
							<th class="header" style="width:150px;">{t}Copy Words{/t}</th>
							<th class="header" style="width:150px;">{t}Time Ago{/t}</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.contentPageCopiesByTime)}
							{counter start=0 print=false}
							{foreach from=$tvars.contentPageCopiesByTime key=index item=details}
								<tr class="stats-odd">
									<td class="center">
										<span style="display: inline-block; cursor:pointer" class="new_board icon green" id="expand-row-details" title="{t}Expand{/t}" data-icon="+"></span>
									</td>
									<td class="center">{counter}</td>
									<td class="stable-row-fix">
										<span class="text-ellipsify">
											"{$details.content_text_truncated}"
										</span>
									</td>
									<td class='center' style="width:150px;">{$details.copy_words}</td>
									<td class='center' style="width:150px;">
										<span class='timeago-text' title="{$details.copy_dt_human}">{$details.timeago_dt}</span>
									</td>
								</tr>
								<tr class="stats-row-hide">
									<td colspan="5">
										<table class='striped stats' cellpadding='0' cellspacing='0'>
											<tr>
												<td width='10%'><label>{t}Page URL{/t}:</label></td>
												<td width='90%'>{$details.page_url}</td>
											</tr>
											<tr>
												<td width='10%'><label>{t}Page Title{/t}:</label></td>
												<td width='90%'>{$details.page_title}</td>
											</tr>
											<tr>
												<td width='10%'><label>{t}Copy Time{/t}:</label></td>
												<td width='90%'>{$details.copy_dt}</td>
											</tr>
											<tr>
												<td width='10%'><label>{t}Location{/t}:</label></td>
												<td width='90%'><span class="flag flag-{$details.country_code_lower}"></span> {$details.country_name}</td>
											</tr>
											<tr>
												<td width='10%'><label>{t}Full Text{/t}:</label></td>
												<td width='90%'>
													<div class="container-word-wrap" style="width:97%">
														<span class="text-ellipsify">"{$details.content_text}"</span>
													</div>
												</td>
											</tr>
										</table>
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan='5' align='center'>
									<div class="col_12 center">{t}No Content copies detected so far{/t}</div>
								</td>
							</tr>
						{/if}
					</tbody>
				</table>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>	

<div class="section-center col_12">
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>{t}Latest Image Copies{/t}</div>
			<div class='content'>
				<table class='striped stats' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'>
							<th class="header" style="width:20px;">&nbsp;</th> 
							<th class="header" style="width:20px;">#</th>
							<th class="header" style='text-align:left;width:80%;'>{t}Copy Details{/t}</th>
							<th class="header" style="width:150px;">{t}Time Ago{/t}</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.imagePageCopiesByTime)}
							{counter start=0 print=false}
							{foreach from=$tvars.imagePageCopiesByTime key=index item=details}
								<tr class="stats-odd">
									<td class="center">
										<span style="display: inline-block; cursor:pointer" class="new_board icon green" id="expand-row-details" title="{t}Expand{/t}" data-icon="+"></span>
									</td>
									<td class="center">{counter}</td>
									<td class="stable-row-fix">
										<span class="ellipsify">
											"{$details.img_src}"
										</span>
									</td>
									<td class='center'>
										<span class='timeago-text' title="{$details.copy_dt_human}">{$details.timeago_dt}</span>
									</td>
								</tr>
								<tr class="stats-row-hide">
									<td colspan="4">
										<span class="details-field">
											[IMG-Thumb]
										</span>
										
										{if !empty($details.img_title)}
											<span class="details-field">
												<label>{t}Link Title{/t}:</label> {$details.img_title}
											</span>
										{/if}
										
										{if !empty($details.img_alt)}
											<span class="details-field">{t}ALT Title{/t}:</label> {$details.img_alt}</span>
										{/if}
										
										<span class="details-field">
											<label>{t}Page URL{/t}:</label> {$details.page_url}
										</span>
										
										<span class="details-field">
											<label>{t}Page Title{/t}:</label> {$details.page_title}
										</span>
										
										<span class="details-field">
											<label>{t}Time{/t}:</label> {$details.copy_dt}
										</span>
										
										<span class="details-field">
											<label>{t}Location{/t}:</label><span class="flag flag-{$details.country_code_lower}"></span> {$details.country_name}
										</span>	
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan='4' align='center'>
									<div class="col_12 center">{t}No Image copies detected so far{/t}</div>
								</td>
							</tr>
						{/if}
					</tbody>
				</table>					
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>	


<div class="section-center col_12">
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>{t}Latest Link Copies{/t}</div>
			<div class='content'>
				<table class='striped stats' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
							<th class="header" style="width:20px;">&nbsp;</th> 
							<th class="header" style="width:20px;">#</th>
							<th class="header" style='text-align:left;width:80%;'>{t}Copy Details{/t}</th>
							<th class="header" style="width:150px;">{t}Time Ago{/t}</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.linkPageCopiesByTime)}
							{counter start=0 print=false}
							{foreach from=$tvars.linkPageCopiesByTime key=index item=details}
								<tr class="stats-odd">
									<td class="center">
										<span style="display: inline-block; cursor:pointer" class="new_board icon green" id="expand-row-details" title="{t}Expand{/t}" data-icon="+"></span>
									</td>
									<td class="center">{counter}</td>
									<td class="stable-row-fix">
										<span class="ellipsify">
											"{$details.link_url}"
										</span>
									</td>
									<td class="center">
										<span class='timeago-text' title="{$details.copy_dt_human}">{$details.timeago_dt}</span>
									</td>
								</tr>
								<tr class="stats-row-hide">
									<td colspan="4">
										{if !empty($details.link_title)}
											<span class="details-field">
												<label>{t}Link Title{/t}:</label> {$details.link_title}
											</span>
										{/if}
										
										<span class="details-field">
											<label>{t}Page URL{/t}:</label> {$details.page_url}
										</span>
										
										<span class="details-field">
											<label>{t}Page Title{/t}:</label> {$details.page_title}
										</span>

										<span class="details-field">
											<label>{t}Time{/t}:</label> {$details.copy_dt}
										</span>
										
										<span class="details-field">
											<label>{t}Location{/t}:</label><span class="flag flag-{$details.country_code_lower}"></span> {$details.country_name}
										</span>	
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan='4' align='center'>
									<div class="col_12 center">{t}No Link copies detected so far{/t}</div>
								</td>
							</tr>
						{/if}
					</tbody>
				</table>					
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>