<?php
class OS_APP_CopyDetector_codeView
{
	public $requestParams;
	
	private $osUser;
	
	private $osProject;
	
	public function __construct()
	{
		$OS = getOS();
		
		$this->osUser =	$OS->getUser();
		$this->osProject =	$OS->getProject();
	}
	
	public function processRequest()
	{
		//handle post requests
	
	}
	
	public function render()
	{
		$OS = getOS();
		
		$user_id = $this->osUser->id;
		$project_id = $this->osProject->id;
		
		//replace with obj instance
		$copyOps = OS_APP_copydetector_CopyOperations::get_instance();
		
		$codeSameple = $copyOps->getCodeSnippet($user_id, $project_id);
		
		$details =  array(
			'copySample' => $codeSameple	
			);
			
		$tpl = $OS->getTemplate();
		
		return $tpl->fetchTemplate('code', $details);
	}
}
?>