<div class="col_12 center">
	{if $tvars.urlsCounts}
		<div class="col_12 nofloat marginsCenter">
			<fieldset>
				<div class="legend left">Duplication Overview</div>
				<div class="content">
					<table class="striped">
						<tr>
							{foreach from=$tvars.similarityGroups key=similarity_group item=details}
								<td class='center'>
									<a class='statsInfoBoxText {$details.color}' href='{$details.view_url}'>{$details.title}</a>
								</td>
							{/foreach}
						</tr>
						<tr>
							{foreach from=$tvars.similarityGroups key=similarity_group item=details}
								<td>
									<div class='nofloat marginsCenter statsInfoBox fill {$details.color}' style="cursor:pointer;" onClick="window.location='{$details.view_url}'" title='{$details.description}'>
										<div class='statsInfoBoxInside'>{$tvars.urlsCounts.$similarity_group.urls}<br><span class='statsInfoBoxInsidePercent'>({$tvars.urlsCounts.$similarity_group.percentage}% of pages)</span></div>
									</div>
								</td>
							{/foreach}
						</tr>
					</table>
				</div>
			</fieldset>
		</div>
		<div class="clear"></div>
		<div class="col_12 nofloat marginsCenter">
			{assign var=similarity_group value=$tvars.similarity_group}
			<fieldset>
				<div class="legend left">
					{if $similarity_group}
						{$tvars.similarityGroups.$similarity_group.title} - <a href='{$tvars.showAllGroupsUrl}'>Show all</a>
					{else}
						Project URLs
					{/if}
				</div>
				<div class="content">
					{if $tvars.actualUrls}
						<table class="striped">
							<thead>
								<tr>
									<th class='header center urlCounter'>#</td>
									<th class='header left'>Page title & URL</td>
									<th class='header center'>Duplicate</td>
								</tr>
							</thead>
							<tbody>
							{counter start=$tvars.previous_urls print=false}
							{foreach from=$tvars.actualUrls key=url_id item=url}
								<tr>
									<td class='center urlCounter'>{counter}</td>
									<td class='left urlRow'>
										<div class="ellipsify urlTitle"><a href='{$url.details_url}'>{if empty($url.url_title)}<i>Untitled document</i>{else}{$url.url_title}{/if}</a></div>
										<div class="ellipsify urlDetails">
											<a href='{$url.url_safe}' target='_blank'><span class="icon gray urlIcon" data-icon="_"></span></a>
											{$url.url}
										</div>
									</td>
									<td class='left' width='150' nowrap><div class='percentageBar'><div style='width:{$url.similarity}%;' class='percentageBarInside {$url.similarity_color}'></div></div>&nbsp;{$url.similarity} %</td>
								</tr>
							{/foreach}
							</tbody>
						</table>
						{if $tvars.prev_page_url OR $tvars.next_page_url}
							<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; Previous page</a>{else}&nbsp;{/if}</div>
							<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>Next page &raquo;</a>{else}&nbsp;{/if}</div>
						{/if}
					{/if}
					{else}
						No data available
					{/if}
					<div class='clear'></div>
				</div>
			</fieldset>
		</div>
</div>