<?php exit; ?>
{
	"app_duplcontent_reports":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"urls_group_1":{
				"field":"urls_group_1",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"urls_group_2":{
				"field":"urls_group_2",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"urls_group_3":{
				"field":"urls_group_3",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"urls_group_4":{
				"field":"urls_group_4",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"report_dt":{
				"field":"report_dt",
				"type":"datetime",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_duplcontent_trigrams":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"trigram":{
				"field":"trigram",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_trigram":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"trigram",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_duplcontent_url_trigrams":{
		"columns":{
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"trigram_id":{
				"field":"trigram_id",
				"type":"int(11)",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			},
			"url_id":{
				"field":"url_id",
				"type":"int(11)",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"trigram_url":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"trigram_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"url_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"url_id":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"url_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"trigram_id":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"trigram_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_id":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_duplcontent_urls":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"url":{
				"field":"url",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"canonical_url":{
				"field":"canonical_url",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"url_title":{
				"field":"url_title",
				"type":"varchar(80)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"url_depth":{
				"field":"url_depth",
				"type":"tinyint(4)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"similarity":{
				"field":"similarity",
				"type":"tinyint(4)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"similarity_group":{
				"field":"similarity_group",
				"type":"tinyint(4)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"similar_to":{
				"field":"similar_to",
				"type":"text",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"seen_dt":{
				"field":"seen_dt",
				"type":"datetime",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_url":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"url",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_group":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"similarity_group",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_canonical_url":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"canonical_url",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_seen_dt":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"seen_dt",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	}
}