{if isset($tvars.chart)}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class='legend'>{t}Organic Traffic Evolution{/t}</div>
			<div class='content'>
				{$tvars.chart}
			</div>
		</fieldset>
	</div>
	<div class='clear'></div>
{/if}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Incoming keywords{/t}</div>
			<div class="content">
				<table class='striped' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
							<th class="header">#</th>
							<th class="header" style='text-align:left;'>{t}Keyword{/t}</th>
							<th class="header">{t}Visits{/t}</th>
							<th class="header" colspan='2'>{t}Performance{/t} <span class="icon gray smallest helper" data-icon="i" title="{t}Percentage increase/decrease compared to the Average number of visits per keyword from organic search{/t}"></span><br>({t}last 30 days{/t})</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.keywords)}
							{counter start=$tvars.startCounter print=false}
							{foreach from=$tvars.keywords key=keyword_id item=details}
								<tr>
									<td class='linkCount alignCenter'>{counter}</td>
									<td>
										{if $details.keyword_url}
											<div class="ellipsify"><a href='{$details.keyword_url}' title='{t}View keyword details{/t}'>{if empty($details.keyword_html)}<em>({t}not provided{/t})</em>{else}{$details.keyword_html}{/if}</a></div>
										{else}
											<div class="ellipsify">{if empty($details.keyword_html)}<em>({t}not provided{/t})</em>{else}{$details.keyword_html}{/if}</div>
										{/if}
									</td>
									<td class='center'>{$details.visits_timeframe}</td>
									{if isset($tvars.keywordsPerformance.$keyword_id)}
										{if $tvars.keywordsPerformance.$keyword_id.diff_type=='+'}
											<td class='diffDesc'></td>
											<td class='diffAsc'>
												<div class='diffAscBarWrapper'><div class='diffAscBar' style='width:{$tvars.keywordsPerformance.$keyword_id.bar_width}px;'></div>&nbsp;+{$tvars.keywordsPerformance.$keyword_id.diff_percent}%</div>
											</td>
										{elseif $tvars.keywordsPerformance.$keyword_id.diff_type=='-'}
											<td class='diffDesc'>
												<div class='diffDescBarWrapper'>-{$tvars.keywordsPerformance.$keyword_id.diff_percent}%&nbsp;<div class='diffDescBar' style='width:{$tvars.keywordsPerformance.$keyword_id.bar_width}px;'></div></div>
											</td>
											<td class='diffAsc'></td>
										{else}
											<td class='diffDesc'></td>
											<td class='diffAsc'></td>
										{/if}
									{else}
										<td class='alignCenter' colspan='2'>n/a</td>
									{/if}
								</tr>
							{/foreach}
								<tr>
									<td colspan="5">
										<div style="float:right; display:inline-block; padding:0px 10px;">		
											<button class="small blue" onclick="window.location='{$tvars.prev_link}'" title="{t}Previous Entries{/t}">&laquo;</button>
											<button class="small blue" onclick="window.location='{$tvars.next_link}'" title="{t}Next Entries{/t}">&raquo;</button>
										</div>
										<div style="float:right; display:inline-block; padding:0px 10px;">
											<label>Rows</label>
											<form name="tableset-rows-selector" id="tableset-rows-selector" action="?#tableset" method='GET' style="display:inline;">
												{foreach from=$tvars.linkParams key=name item=value}
													<input type='hidden' name="{$name}" value="{$value}">
												{/foreach}
				
												<select name="rows" onchange='osKernel.submitForm("tableset-rows-selector")'><option value=""></option>
													{foreach from=$tvars.availableTotalRows item=rowsRange}
														<option value="{$rowsRange}" {if $tvars.maxRows == $rowsRange}selected{/if}>{$rowsRange}</option>
													{/foreach}
												</select>
											</form>
										</div>	
									</td>
								</tr>	
						{else}
							<tr>
								<td colspan='{if $tvars.view_keyword}7{else}8{/if}' align='center'>
									<div class="col_12 center">{t}No keywords detected so far{/t}</div>
								</td>
							</tr>
						{/if}
					</tbody>
				</table>
			</div>
		</fieldset>		
	</div>