{if isset($tvars.chart)}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Organic Traffic Evolution for{/t} {if empty($tvars.actualKeyword)}<em>({t}not provided{/t})</em>{else}{$tvars.actualKeyword}{/if}</div>
			<div class="cotent">
				{$tvars.chart}
			</div>
		</fieldset>
	</div>
{/if}
<div class="col_12">
	{if !empty($tvars.enginesSummary)}
		<div class="col_7 nofloat marginsCenter">
			<fieldset>
				<div class="legend">{t}Search Engine Overview{/t}</div>
				<div class="cotent">
					<table class='striped' cellpadding='0' cellspacing='0'>
						<thead> 
							<tr align='center'> 
								<th class="header">{t}Search Engine{/t}</th>
								<th class="header">{t}Visits{/t}</th>
								<th class="header">{t}Last visit{/t}</th>
								<th class="header">{t}Trend{/t}</th> 
							</tr> 
						</thead>			
						<tbody id='keywordsList'>
							{counter start=0 print=false}
							{foreach from=$tvars.enginesSummary key=engine item=details}
								<tr>
									<td>{$engine}</td>
									<td class='center'>{$details.visits}</td>
									<td class="center">{$details.last_dt}</td>
									<td class="center">
										{if $details.trend=='asc'}
											<span class="icon green" data-icon="~"></span>
										{elseif $details.trend=='desc'}
											<span class="icon red" data-icon="|"></span>
										{elseif $details.trend=='static'}
											<span class="icon blue" data-icon="}"></span>
										{/if}
									</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
				</div>
			</fieldset>
		</div>
		<div class="clear"></div>
	{/if}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Visits for{/t} {if empty($tvars.actualKeyword)}<em>({t}not provided{/t})</em>{else}{$tvars.actualKeyword}{/if}</div>
			<div class="cotent">
				<table class='striped' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
							<th class="header">#</th>
							<th class="header">{t}Search Engine{/t}</th>
							<th class="header">{t}Landing Page{/t}</th>
							<th class="header">{t}Date{/t}</th> 
							<th class="header">{t}Location{/t}</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.visits)}
							{counter start=0 print=false}
							{foreach from=$tvars.visits key=visit_id item=details}
								<tr>
									<td class='linkCount alignCenter'>{counter}</td>
									<td>{$details.engine} <a href='{$details.serp_url_safe}' target='_blank'><span class="icon gray" data-icon="_"></span></a></td>
									<td><a href='{$details.landing_page_safe}' target='_blank'>{$details.landing_page}</a></td>
									<td class="alignCenter">{$details.date}</td>
									<td class="alignCenter">
										{if !$details.geolocation}
											n/a
										{elseif !$details.geolocation.country_code OR !$details.geolocation.country_name}
											n/a
										{else}
											<img class='flag flag-{$details.geolocation.country_code_lower}' title='{$details.geolocation.country_name}' align='absmiddle' /> {$details.geolocation.country_name}
										{/if}
									</td>
								</tr>
							{/foreach}
						{else}
							<tr><td colspan='5' class="alignCenter"><div class="col_12 center">{t}No visits for this keyword detected so far{/t}</div></td></tr>
						{/if}
						<tr><td colspan='5' align='center'><a href='{$tvars.back_url}'>{t}Back{/t}</a></td></tr>
					</tbody>
				</table>
			</div>
		</fieldset>
	</div>
</div>