<?php exit; ?>
{
	"app_incomingkws_keywords":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(10) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"user_id":{
				"field":"user_id",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"keyword":{
				"field":"keyword",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visits_day":{
				"field":"visits_day",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"day":{
				"field":"day",
				"type":"date",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visits_week":{
				"field":"visits_week",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"week":{
				"field":"week",
				"type":"tinyint(4)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visits_month":{
				"field":"visits_month",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"month":{
				"field":"month",
				"type":"tinyint(4)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visits_year":{
				"field":"visits_year",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"year":{
				"field":"year",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"last_dt":{
				"field":"last_dt",
				"type":"datetime",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"last_ip":{
				"field":"last_ip",
				"type":"varchar(15)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"2",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_kw":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"2",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"keyword",
						"collation":"A",
						"cardinality":"2",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_incomingkws_stats_keyword":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"keyword_id":{
				"field":"keyword_id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"stats_d":{
				"field":"stats_d",
				"type":"date",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visits":{
				"field":"visits",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"5",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"keyword_day":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"keyword_id",
						"collation":"A",
						"cardinality":"5",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"stats_d",
						"collation":"A",
						"cardinality":"5",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_day":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"5",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"stats_d",
						"collation":"A",
						"cardinality":"5",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_incomingkws_stats_project":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"stats_d":{
				"field":"stats_d",
				"type":"date",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visits":{
				"field":"visits",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"2",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_day":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"2",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"stats_d",
						"collation":"A",
						"cardinality":"2",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_incomingkws_visits":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(10) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"keyword_id":{
				"field":"keyword_id",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"keyword":{
				"field":"keyword",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"engine":{
				"field":"engine",
				"type":"varchar(16)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"referral":{
				"field":"referral",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"landing_page":{
				"field":"landing_page",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visit_dt":{
				"field":"visit_dt",
				"type":"datetime",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"visit_ip":{
				"field":"visit_ip",
				"type":"varchar(15)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"5",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_id":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"5",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	}
}