<?php
class OS_APPCRON_indexedurls_update
{
	public function run()
	{
		$OS=getOS();
		$db=$OS->getDb();
		
		$appOps=$OS->getAppOps();
		$app=$appOps->getAppByName('indexedurls');
		
		if ($projects=$appOps->getProjectsByAppID($app->id))
		{
			$appHandler=$OS->getAppHandler('indexedurls');
			$appPlugin=$appHandler->getAppPlugin();
			$day=$appPlugin->getDay();
			$dayOps=$appPlugin->getOperations();
			
			foreach ($projects as $project_id)
			{
				$projectOps=$OS->getProjectOps();
		
				if ($project=$projectOps->getProjectByID($project_id) AND $project->isActive())
				{
					$OS->initTimezone($project->timezone);
					
					$day->setInitialValues();
					
					$day->project_id=$project->id;
					
					$day->urls=$dayOps->getNumberOfIndexedUrls($project->url);
					
					$day->date=date('Y-m-d');
					
					if ($day->urls!==false)
					{
						$day->save();
					}
				}
				
				unset($project);
			}
			
			unset($appHandler,$appPlugin,$day);
		}
		
		return true;
	}
}
?>