<?php
class OS_APPFORK_IndexedUrls_Get
{
	public function run($params)
	{
		$result=false;
		
		if (!empty($params[0]))
		{
			$project_id=$params[0];
			
			$OS=getOS();
			
			$projectOps=$OS->getProjectOps();
			
			if ($project=$projectOps->getProjectByID($project_id))
			{
				$appOps=$OS->getAppOps();
				$app=$appOps->getAppByName('indexedurls');
				
				if ($appOps->isProjectApp($project_id,$app->id))
				{
					$OS->initTimezone($project->timezone);
					
					$appHandler=$OS->getAppHandler('indexedurls');
					$appPlugin=$appHandler->getAppPlugin();
					$db=$OS->getDb();
					$dayOps=OS_APP_IndexedUrls_DayOperations::get_instance();
					
					$day=new OS_APP_IndexedUrls_Day();
					
					$day->project_id=$project->id;
					
					$day->urls=$dayOps->getNumberOfIndexedUrls($project->url);
					
					$day->date=date('Y-m-d');
					
					if ($day->urls!==false)
					{
						$day->save();
					}
				}
			}
		}
	}
}
?>