{if !empty($tvars.chart)}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class='legend'>{t}Indexed URLs Evolution{/t}</div>
			<div class='content'>
				{$tvars.chart}
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
{/if}
<div class="col_12">
	<div class="col_8 nofloat marginsCenter">
		<fieldset>
			<div class='legend'>{t}Indexed URLs{/t}</div>
			<div class='content'>
				<table class='striped' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
		   					<th class="header">#</th>
		   					<th class="header">{t}URLs{/t}</th>
		   					<th class="header">{t}Date{/t}</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.days)}
							{counter start=$tvars.startCounter print=false}
							{foreach from=$tvars.days key=day_id item=details}
								<tr class='{cycle values="tbTableOddRow,tbTableEvenRow"}'>
									<td class='linkCount alignCenter'>{counter}</td>
									<td class='alignCenter'>{$details.urls}</td>
									<td class='alignCenter'>{$details.date}</td>
								</tr>
							{/foreach}
							<tr>
								<td colspan="3">
									<div style="float:right; display:inline-block; padding:0px 10px;">		
										<button class="small blue" onclick="window.location='{$tvars.prev_link}'" title="{t}Previous Entries{/t}">&laquo;</button>
										<button class="small blue" onclick="window.location='{$tvars.next_link}'" title="{t}Next Entries{/t}">&raquo;</button>
									</div>
									<div style="float:right; display:inline-block; padding:0px 10px;">
										<label>Rows</label>
										<form name="tableset-rows-selector" id="tableset-rows-selector" action="?#tableset" method='GET' style="display:inline;">
											{foreach from=$tvars.linkParams key=name item=value}
												<input type='hidden' name="{$name}" value="{$value}">
											{/foreach}
			
											<select name="rows" onchange='osKernel.submitForm("tableset-rows-selector")'><option value=""></option>
												{foreach from=$tvars.availableTotalRows item=rowsRange}
													<option value="{$rowsRange}" {if $tvars.maxRows == $rowsRange}selected{/if}>{$rowsRange}</option>
												{/foreach}
											</select>
										</form>
									</div>	
								</td>
							</tr>	
						{else}
							<tr><td colspan='3' class='alignCenter'>{t}Data not available{/t}</td></tr>
						{/if}
					</tbody>
				</table>
			</div>
		</fieldset>		
	</div>
</div>