<?php
class OS_APPCRON_KwAnalysis_Check_Kw
{
	public function run()
	{
		$OS=getOS();
		$db=$OS->getDb();
		
		$projectOps=$OS->getProjectOps();
		
		$appOps=$OS->getAppOps();
		$app=$appOps->getAppByName('kwanalysis');
		
		if ($projects=$appOps->getProjectsByAppID($app->id))
		{
			$appHandler=$OS->getAppHandler('kwanalysis');
			$appPlugin=$appHandler->getAppPlugin();
			$ops=OS_APP_KwAnalysis_KeywordOperations::get_instance();
			
			if ($keyword=$ops->getKeywordsForAnalysis(1))
			{
				$keyword=reset($keyword);
				
				if ($project=$projectOps->getProjectByID($keyword->project_id) AND $project->isActive())
				{
					$OS->initTimezone($project->timezone);
					
					sleep(rand(10,25));
					
					if ($keyword->getStats())
					{
						$keyword->status='D';
					}
					else
					{
						$keyword->status='F';
					}
					
					$keyword->save();
				}
				
				unset($project);
			}
			
//			foreach ($projects as $project_id)
//			{
//				if ($project=$projectOps->getProjectByID($project_id))
//				{
//					$keywords=array();
//					
//					if (!$keywords=$ops->getPendingKeywords($project_id,1))
//					{
//						$keywords=$ops->getFailedKeywords($project_id,1);
//					}
//					
//					if ($keywords)
//					{
//						$OS->initTimezone($project->timezone);
//						
//						foreach ($keywords as $keyword)
//						{
//							$run=false;
//							
//							if ($keyword->status=='F')
//							{
//								if (time()-strtotime($keyword->status_dt)>=60*15)
//								{
//									$run=true;
//								}
//							}
//							else
//							{
//								$run=true;
//							}
//							
//							if ($run)
//							{
//								sleep(rand(10,25));
//								
//								if ($keyword->getStats())
//								{
//									$keyword->status='D';
//								}
//								else
//								{
//									$keyword->status='F';
//								}
//								
//								$keyword->save();
//							}
//						}
//					}
//				}
//				
//				unset($project);
//			}
			
			unset($appHandler,$appPlugin);
		}
		
		return true;
	}	
}
?>