<?php
class OS_APPFORK_KwAnalysis_Check_Kw
{
	public function run($params)
	{
		$result=false;

		if (!empty($params[0]))
		{
			$project_id=$params[0];
			
			$OS=getOS();
			$osProjectOps=$OS->getProjectOps();
			
			if ($project=$osProjectOps->getProjectByID($project_id))
			{
				if (!empty($params[1]))
				{
					$appHandler=$OS->getAppHandler('kwanalysis');
					
					$keyword_id=$params[1];
					
					$ops=OS_APP_KwAnalysis_KeywordOperations::get_instance();
					
					if ($keyword=$ops->getKeywordByID($keyword_id,$project_id))
					{
						$OS->initTimezone($project->timezone);
						
						if ($keyword->getStats())
						{
							$keyword->status='D';
						}
						else
						{
							$keyword->status='F';
						}
						
						if ($keyword->save())
						{
							$result=true;
						}
					}
				}
			}
		}
		
		return $result;
	}
}
?>