<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend left">
				{if $tvars.export_url}
					<div class='col_6 left' style='margin:0;'>{t}Analyzed Keywords{/t}</div><div class='col_6 right' style='margin:0;'><a href='{$tvars.export_url}'>{t}Export data{/t}</a></div>
				{else}
					{t}Analyzed Keywords{/t}
				{/if}
			</div>
			<div class="content">
				{if !empty($tvars.keywords)}
					<table class="striped">
						<thead>
							<tr>
								<th class='header left'>{t}Keyword{/t}</th>
								<th class='header left'>{t}Search Engine{/t}</th>
								<th class='header'>{t}Difficulty{/t}</th>
								<th class='header'>{t}Popularity{/t}</th>
								<th class='header'>{t}ROI{/t}</th>
							</tr>
						</thead>
						<tbody>
							{foreach from=$tvars.keywords key=keyword_id item=details}
								<tr>
									<td>{$details.keyword}</td>
									<td>{$details.search_engine}</td>
									{if $details.status=='D'}
										<td class='center'>{$details.difficulty_human}</td>
										<td class='center'>{$details.popularity_human}</td>
										<td class='center'>{$details.roi_human}</td>
									{elseif $details.status=='W'}
										<td colspan='3' class='center'>{t}Analyzing...{/t}</td>
									{elseif $details.status=='F'}
										<td colspan='3' class='center'>{t}Failed{/t}</td>
									{/if}
								</tr>
							{/foreach}
						</tbody>
					</table>
					{if $tvars.prev_page_url OR $tvars.next_page_url}
						<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; {t}Previous page{/t}</a>{else}&nbsp;{/if}</div>
						<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>{t}Next page{/t} &raquo;</a>{else}&nbsp;{/if}</div>
					{/if}
				{else}
					<div class='col_12 center'>{t}No keywords analyzed so far.{/t}</div>
				{/if}
				<div class='clear'></div>
			</div>
		</fieldset>
	</div>
</div>