<?php
class OS_APPFORK_KwLab_Analyze
{
	public function run($params)
	{
		$result=false;
		
		if (!empty($params[0]) AND !empty($params[1]))
		{
			$project_id=$params[0];
			$report_id=$params[1];
			
			$OS=getOS();
			$projectOps=$OS->getProjectOps();
			
			if ($project=$projectOps->getProjectByID($project_id))
			{
				$appOps=$OS->getAppOps();
				$app=$appOps->getAppByName('kwlab');
				
				if ($appOps->isProjectApp($project_id,$app->id))
				{
					$OS->initTimezone($project->timezone);
					
					$appHandler=$OS->getAppHandler('kwlab');
					
					$reportOps=OS_APP_KwLab_ReportOperations::get_instance();
					if ($report=$reportOps->getReportByID($report_id,$project_id))
					{
						$keywordOps=OS_APP_KwLab_KeywordOperations::get_instance();
						
						if ($keywords=$keywordOps->getKeywordsByReportID($report_id,$project_id))
						{
							foreach ($keywords as $keyword)
							{
								if ($keyword->competitors=='' AND !$keywordOps->isQueuedKeyword($keyword->id,'competitors'))
								{
									if ($keyword->should_discover=='Y')
									{
										$keywordOps->fetchRelated($keyword);
									}
									
									$keywordOps->fetchCompetitors($keyword,'google',$report->locale);
								}
							}
							
							$result=true;
						}
					}
				}
			}
		}
		
		return $result;
	}
}
?>