<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		{if $tvars.overview}
			<fieldset>
				<div class="legend left">{t}Topic overview for{/t} `{$tvars.report.name}`</div>
				<div class="content col_12 grid flex" style="margin:0px; padding:0px;">
					<div class='col_4 center'>
						<div class='col_12 center'>{t}Topic difficulty{/t}</div><div class='clear'></div>
						<div class='col_12 center'>
							{if $tvars.overview.difficulty}
								<div class='nofloat marginsCenter statsInfoBox fill {$tvars.overview.difficulty.color}'><div class='statsInfoBoxInside' style='padding-top:10px;'>{$tvars.overview.difficulty.difficulty}%<br><span class='smaller'>{$tvars.overview.difficulty.difficulty_text}</span></div></div>
							{else}
								<br><span class="icon x-large gray" data-icon="E"></span>
							{/if}
						</div>
					</div>
					<div class='col_8'>
						<div class='col_12 center'>{t}Topic spread{/t}</div><div class='clear'></div>
						<div class='col_12 center'>
							<table>
								<tr>
									<td class='center' onclick='toggleDifficultyGroup("easy")' style='cursor:pointer;'><span class='statsInfoBoxText blue'>{t}Easy{/t}</span></td>
									<td class='center' onclick='toggleDifficultyGroup("average")' style='cursor:pointer;'><span class='statsInfoBoxText green'>{t}Average{/t}</span></td>
									<td class='center' onclick='toggleDifficultyGroup("challenging")' style='cursor:pointer;'><span class='statsInfoBoxText yellow'>{t}Challenging{/t}</span></td>
									<td class='center' onclick='toggleDifficultyGroup("hard")' style='cursor:pointer;'><span class='statsInfoBoxText orange'>{t}Hard{/t}</span></td>
									<td class='center' onclick='toggleDifficultyGroup("extreme")' style='cursor:pointer;'><span class='statsInfoBoxText red'>{t}Extreme{/t}</span></td>
								</tr>
								<tr>
									<td onclick='toggleDifficultyGroup("easy")' style='cursor:pointer;'><div id='difficulty_toggle_easy' class='nofloat marginsCenter statsInfoBox fill blue' style='width:50px;height:25px;cursor:pointer;'><div class='statsInfoBoxInside' style='width:50px;height:25px;padding-top:2px;'>{$tvars.overview.spread.easy}</div></div></td>
									<td onclick='toggleDifficultyGroup("average")' style='cursor:pointer;'><div id='difficulty_toggle_average' class='nofloat marginsCenter statsInfoBox fill green' style='width:50px;height:25px;cursor:pointer;'><div class='statsInfoBoxInside' style='width:50px;height:25px;padding-top:2px;'>{$tvars.overview.spread.average}</div></div></td>
									<td onclick='toggleDifficultyGroup("challenging")' style='cursor:pointer;'><div id='difficulty_toggle_challenging' class='nofloat marginsCenter statsInfoBox fill yellow' style='width:50px;height:25px;cursor:pointer;'><div class='statsInfoBoxInside' style='width:50px;height:25px;padding-top:2px;'>{$tvars.overview.spread.challenging}</div></div></td>
									<td onclick='toggleDifficultyGroup("hard")' style='cursor:pointer;'><div id='difficulty_toggle_hard' class='nofloat marginsCenter statsInfoBox fill orange' style='width:50px;height:25px;cursor:pointer;'><div class='statsInfoBoxInside' style='width:50px;height:25px;padding-top:2px;'>{$tvars.overview.spread.hard}</div></div></td>
									<td onclick='toggleDifficultyGroup("extreme")' style='cursor:pointer;'><div id='difficulty_toggle_extreme' class='nofloat marginsCenter statsInfoBox fill red' style='width:50px;height:25px;cursor:pointer;'><div class='statsInfoBoxInside' style='width:50px;height:25px;padding-top:2px;'>{$tvars.overview.spread.extreme}</div></div></td>
								</tr>
								<tr>
									<td colspan='5' class='right'>
										* {t}Click to toggle difficulty visibility{/t}
									</td>
								</tr>
							</table>
						</div>
					</div>
				</div>
			</fieldset>
			<br>
		{/if}
		<fieldset>
			<div class="legend left"><div class='col_8 left' style='margin:0;'>{t}Topic analysis{/t}</div><div class='col_4 right' style='margin:0;'><a href='{$tvars.exportURL}'>{t}Export{/t}</a></div></div>
			<div class="content">
				<form action='{$tvars.appURL}' method='POST'>
				<input type='hidden' name='view' value='keywords'>
				<input type='hidden' name='report_id' value='{$tvars.report.id}'>
				<div class='col_12 left' style='margin-bottom:10px;display:none;' id='keywords_bulk_action_top'>
					{t}Bulk action{/t}: <select name='keywords_bulk_action_box'><option value=''></option><option value='delete'>{t}Delete{/t}</option></select> <button type="submit" class="small blue">{t}Go{/t}</button>
				</div>
				<div class='clear'></div>
				<table class="striped responsive">
					<thead>
						<tr>
							<th class='header left'><input type='checkbox' onChange='toggleAllCheckboxes(this)'> Keyword</th>
							<th class='header center'>{t}Difficulty{/t}</th>
							<th class='header center show-desktop-tablecell'>{t}Source{/t}</th>
							{if $tvars.report.discover}
								<th class='header center show-desktop-tablecell'>{t}Related{/t}</th>
								<th class='header center show-desktop-tablecell'>{t}Autosuggest{/t}</th>
								<th class='header center hide-desktop-tablecell'>{t}Discovery{/t}</th>
							{/if}
							<th class='header center hide-break-tablecell'>{t}Competitors{/t}</th>
							<th class='header center'>{t}Actions{/t}</th>
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.keywords key=keyword_id item=details}
							<tr class='difficulty_{$details.difficulty_group}'>
								<td class='left'><input onChange='toggleBulkAction()' class='keyword_check' type='checkbox' id='keyword_{$keyword_id}_box' name='keyword_{$keyword_id}_box' value='Y'> <label for='keyword_{$keyword_id}_box'>{$details.keyword}</label></td>
								<td class='center'>
									{if $details.competitors=='Y'}
										<span class='statsInfoBoxText {$details.difficulty_color}'>{$details.difficulty}%</span>
									{else}
										<span class="icon small gray" data-icon="E"></span>
									{/if}
								</td>
								<td class='center show-desktop-tablecell'>{$details.source_human}</td>
								{if $tvars.report.discover}
									<td class='center show-desktop-tablecell'>
										{if $details.should_discover=='Y'}
											{if $details.related=='Y'}
												<span class='icon small green' data-icon='C'></span>
											{else}
												<span class="icon small gray" data-icon="E"></span>
											{/if}
										{else}
											-
										{/if}
									</td>
									<td class='center show-desktop-tablecell'>
										{if $details.should_discover=='Y'}
											{if $details.autosuggest=='Y'}
												<span class='icon small green' data-icon='C'></span>
											{else}
												<span class="icon small gray" data-icon="E"></span>
											{/if}
										{else}
											-
										{/if}
									</td>
									<td class='center hide-desktop-tablecell'>
										{if $details.should_discover=='Y'}
											{if $details.autosuggest=='Y' AND $details.related=='Y'}
												<span class='icon small green' data-icon='C'></span>
											{else}
												<span class="icon small gray" data-icon="E"></span>
											{/if}
										{else}
											-
										{/if}
									</td>
								{/if}
								<td class='center hide-break-tablecell'>
									{if $details.competitors=='Y'}
										<span class='icon small green' data-icon='C'></span>
									{else}
										<span class="icon small gray" data-icon="E"></span>
									{/if}
								</td>
								<td class='center' nowrap>
									{if $details.discover_url}
										<a href='{$details.discover_url}' title='{t}Discover other related keywords{/t}'><span class='icon small gray' data-icon='s'></span></a>
									{/if}
									{if $details.competitors_url}
										<a href='{$details.competitors_url}' title='{t}View competitors{/t}'><span class='icon small gray' data-icon='U'></span></a>
									{/if}
									{if $details.delete_url}
										<a href='{$details.delete_url}' title='{t}Delete keyword{/t}'><span class='icon small gray' data-icon='x'></span></a>
									{/if}
								</td>
							</tr>
						{/foreach}
					</tbody>
				</table>
				</form>
			</div>
		</fieldset>
	</div>
</div>