<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend left"><div class='col_8 left' style='margin:0;'>{t}Topic competitors in{/t} `{$tvars.report.name}`</div><div class='col_4 right' style='margin:0;'><a href='{$tvars.exportURL}'>{t}Export{/t}</a></div></div>
			<div class="content">
				<table class="striped">
					<thead>
						<tr>
							<th class='header left' rowspan='2'>{t}Competitor{/t}</th>
							<th class='header left' rowspan='2'>{t}Keyword{/t}</th>
							<th class='header center' rowspan='2'>#</th>
							<th class='header left' rowspan='2'>{t}URL{/t}</th>
							<th class='header center' colspan='2'>Moz {t}data{/t}</th>
						</tr>
						<tr>
							<th class='header center'>DA</th>
							<th class='header center'>PA</th>
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.competitors key=host item=details}
							<tr style='border-bottom:1px;'>
								<td rowspan='{$details.total_keywords}' class='top' valign='top'><span class='bigger'><b>{$host}</b></span><br>{t}Keywords{/t}: {$details.total_keywords}<br>{t}Avg. position{/t}: {$details.avg_position}</td>
								<td class='left'>{$details.first_keyword.keyword_human}</td>
								<td class='center'>{$details.first_keyword.position}</td>
								<td class='left'>
									<div class='col_12'>
										{$details.first_keyword.title}<br>
										<a href='{$details.first_keyword.url_safe}' target='_blank'>{$details.first_keyword.url}</a>
									</div>
									<div class='clear'></div>
									<div class='col_12' style='margin-top:3px;'>
										<img src='{$tvars.imagesURL}/social/facebook_16.png' align='absmiddle'> {$details.first_keyword.social_facebook}
										<img src='{$tvars.imagesURL}/social/gplus_16.png' align='absmiddle'> {$details.first_keyword.social_gplus}
										<img src='{$tvars.imagesURL}/social/twitter_16.png' align='absmiddle'> {$details.first_keyword.social_twitter}
									</div>
								</td>
								<td class='center'>{$details.first_keyword.moz_da}</td>
								<td class='center'>{$details.first_keyword.moz_pa}</td>
							</tr>
							{if !empty($details.other_keywords)}
								{foreach from=$details.other_keywords key=competitor_id item=cdetails}
									<tr>
										<td class='left'>{$cdetails.keyword_human}</td>
										<td class='center'>{$cdetails.position}</td>
										<td class='left'>
											<div class='col_12'>
												{$cdetails.title}<br>
												<a href='{$cdetails.url_safe}' target='_blank'>{$cdetails.url}</a>
											</div>
											<div class='clear'></div>
											<div class='col_12' style='margin-top:3px;'>
												<img src='{$tvars.imagesURL}/social/facebook_16.png' align='absmiddle'> {$cdetails.social_facebook}
												<img src='{$tvars.imagesURL}/social/gplus_16.png' align='absmiddle'> {$cdetails.social_gplus}
												<img src='{$tvars.imagesURL}/social/twitter_16.png' align='absmiddle'> {$cdetails.social_twitter}
											</div>
										</td>
										<td class='center'>{$cdetails.moz_da}</td>
										<td class='center'>{$cdetails.moz_pa}</td>
									</tr>
								{/foreach}
							{/if}
						{/foreach}
					</tbody>
				</table>
			</div>
		</fieldset>
	</div>
</div>