<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		{if $tvars.charts}
			<fieldset>
				<div class="legend left">{t}Topic competitors distribution{/t}</div>
				<div class="content">
					<div class='col_4 center'>
						<div class='col_12 center'>{t}By{/t} Domain Authority</div><div class='clear'></div>
						<div class='col_12 center'>
							{$tvars.charts.da}
						</div>
					</div>
					<div class='col_4 center'>
						<div class='col_12 center'>{t}By{/t} CitationFlow</div><div class='clear'></div>
						<div class='col_12 center'>
							{$tvars.charts.cf}
						</div>
					</div>
					<div class='col_4 center'>
						<div class='col_12 center'>{t}By{/t} TrustFlow</div><div class='clear'></div>
						<div class='col_12 center'>
							{$tvars.charts.tf}
						</div>
					</div>
					<div class='clear'></div>
					<div class='col_12 center'>
						<table>
							<tr><td class='center' colspan='5'><em>{t}Legend{/t}</em></td></tr>
							<tr>
								<td class='center'>
									<div class='nofloat marginsCenter statsInfoBox fill blue' style='width:25px;height:25px;d'></div><span class='statsInfoBoxText blue'><=25</span>
								</td>
								</td>
								<td class='center'>
									<div class='nofloat marginsCenter statsInfoBox fill green' style='width:25px;height:25px;'></div><span class='statsInfoBoxText green'>25-50</span>
								</td>
								<td class='center'>
									<div class='nofloat marginsCenter statsInfoBox fill yellow' style='width:25px;height:25px;'></div><span class='statsInfoBoxText yellow'>50-75</span>
								</td>
								<td class='center'>
									<div class='nofloat marginsCenter statsInfoBox fill orange' style='width:25px;height:25px;'></div><span class='statsInfoBoxText orange'>75-90</span>
								</td>
								<td class='center'>
									<div class='nofloat marginsCenter statsInfoBox fill red' style='width:25px;height:25px;'></div><span class='statsInfoBoxText red'>>90</span>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</fieldset>
			<br>
		{/if}
		<fieldset>
			<div class="legend left"><div class='col_8 left' style='margin:0;'>{t}Topic competitors in{/t} `{$tvars.report.name}`</div><div class='col_4 right' style='margin:0;'><a href='{$tvars.exportURL}'>{t}Export{/t}</a></div></div>
			<div class="content">
				<table class="striped responsive">
					<thead>
						<tr>
							<th class='header left'>{t}Competitor{/t}</th>
							<th class='header center'>{t}Keywords{/t}</th>
							<th class='header center'>{t}Average Position{/t}</th>
							<th class='header center'>Moz DA</th>
							<th class='header center'>CitationFlow</th>
							<th class='header center'>TrustFlow</th>
							<th class='header center'>{t}Backlinks{/t}</th>
							<th class='header center'>{t}Rootdomains{/t}</th>
						</tr>
					</thead>
					<tbody>
						{foreach from=$tvars.competitors key=host item=details}
							<tr style='border-bottom:1px;'>
								<td class='left'>{$host}</td>
								<td class='center'>{$details.total_keywords}</td>
								<td class='center'>{$details.avg_position}</td>
								<td class='center'>{$details.host_moz_da}</td>
								<td class='center'>{$details.host_majestic_cf}</td>
								<td class='center'>{$details.host_majestic_tf}</td>
								<td class='center'>{$details.host_majestic_backlinks}</td>
								<td class='center'>{$details.host_majestic_rootdomains}</td>
							</tr>
						{/foreach}
					</tbody>
				</table>
				<div class="col_12 center"><a href='{$tvars.detailedReportURL}'>{t}View detailed report{/t}</a></div>
				<div class="clear"></div>
			</div>
		</fieldset>
	</div>
</div>