<?php
class OS_APPVIEW_KwLab_Other extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function render()
	{
		$OS=getOS();
		
		$appBoardURL=$OS->getConfigVar('root_url').'/livedash/index.php#apps';
		$appsURL=$OS->getConfigVar('root_url').'/apps';
		
		$tplVars['reports']=array(
			'kwextractor'=>array(
				'name'=>_("Extract keywords"),
				'url'=>"{$appBoardURL}/kwextractor",
				'icon'=>"{$appsURL}/kwextractor/resources/app_icon_board.png"
			),
			'kwanalysis'=>array(
				'name'=>_("Analyze keywords"),
				'url'=>"{$appBoardURL}/kwanalysis",
				'icon'=>"{$appsURL}/kwanalysis/resources/app_icon_board.png"
			),
			'relatedkws'=>array(
				'name'=>_("Related keywords"),
				'url'=>"{$appBoardURL}/relatedkws",
				'icon'=>"{$appsURL}/relatedkws/resources/app_icon_board.png"
			),
			'adjacentkws'=>array(
				'name'=>_("Adjacent keywords"),
				'url'=>"{$appBoardURL}/adjacentkws",
				'icon'=>"{$appsURL}/adjacentkws/resources/app_icon_board.png"
			)
		);
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('others',$tplVars);
	}
}
?>