<div class="col_12">
	<fieldset>
		<div class='legend'>{t}Keywords overview{/t}</div>
		<div class='content'>
			<div class='col_12 right'>
				<label>{t}Search Engine{/t}: </label>
				{if count($tvars.view_details.se_topics)>1}
					<select name="se_box" id="se_box" onChange="kwtrackerUpdateView('search_engine')">
						<option value=''>All</option>
						{foreach from=$tvars.view_details.se_topics key=se_id item=se}
							<option value='{$se_id}' {if $tvars.view_details.se_id==$se_id}selected{/if}>{$se.se_details.title}</option>
						{/foreach}
					</select>
				{else}
					{assign var=se value=$tvars.view_details.se_topics[$tvars.view_details.se_id]}
					<b>{$se.se_details.title}</b>
					<input type='hidden' name='se_box' id='se_box' value='{$tvars.view_details.se_id}'>
				{/if} | 
				<label>{t}Topic{/t}: </label>
				{if $tvars.view_details.view_type=='general'}
					<em>{t}All{/t}</em>
				{else}
					{assign var=topics value=$tvars.view_details.se_topics[$tvars.view_details.se_id].topics}
					{if count($topics)>1}
						<select name="topic_box" id="topic_box" onChange="kwtrackerUpdateView('topic')">
							<option value=''>All</option>
							{foreach from=$topics key=topic_id item=topic}
								<option value='{$topic_id}' {if $tvars.view_details.topic_id==$topic_id}selected{/if}>{$topic.topic}</option>
							{/foreach}
						</select>
					{else}
						{assign var=topic value=$topics[$tvars.view_details.topic_id]}
						<b>{$topic.topic}</b>
					{/if}
				{/if}
			</div>
			<div class='col_12'>
				{if $tvars.hasData}
					{if $tvars.graph}
						{$tvars.graph}
					{else}
						<table>
							<tr>
								<td class='center' style='width:25%;'><span class='statsInfoBoxText green'>{t}1st position{/t}</span><br><div id='difficulty_toggle_average' class='nofloat marginsCenter statsInfoBox fill green' style='margin-top:5px;'><div class='statsInfoBoxInside'>{$tvars.stats.p1}</div></div></td>
								<td class='center' style='width:25%;'><span class='statsInfoBoxText yellow'>{t}1st page{/t}</span><br><div id='difficulty_toggle_challenging' class='nofloat marginsCenter statsInfoBox fill yellow' style='margin-top:5px;'><div class='statsInfoBoxInside'>{$tvars.stats.t10}</div></div></td>
								<td class='center' style='width:25%;'><span class='statsInfoBoxText orange'>{t}2nd or 3rd page{/t}</span><br><div id='difficulty_toggle_hard' class='nofloat marginsCenter statsInfoBox fill orange' style='margin-top:5px;'><div class='statsInfoBoxInside'>{$tvars.stats.t30}</div></div></td>
								<td class='center' style='width:25%;'><span class='statsInfoBoxText red'>{t}Other{/t}</span><br><div id='difficulty_toggle_extreme' class='nofloat marginsCenter statsInfoBox fill red' style='margin-top:5px;'><div class='statsInfoBoxInside'>{$tvars.stats.others}</div></div></td>
							</tr>
						</table>
					{/if}
				{else}
					<br><br><div class='col_12 center' style='font-size:150%;'>{t}No data available{/t}</div><br><br>
				{/if}
			</div>
			<div class='clear'></div>
		</div>
	</fieldset><br>
	<fieldset>
		<div class='legend'>{t}Current status{/t}</div>
		<div class='content'>
			<table class='striped responsive'>
				<thead>
					<tr>
						<th class='header left'>{t}Engine & Topic{/t}</th>
						<th class='header'>{t}1st position{/t}</th>
						<th class='header'>{t}1st page{/t}</th>
						<th class='header'>{t}2nd or 3rd page{/t}</th>
						<th class='header'>{t}Other{/t}</th>
					</tr>
				</thead>
				<tbody>
					{foreach from=$tvars.view_details.se_topics key=se_id item=se_details}
						{foreach from=$se_details.topics key=topic_id item=topic_details}
							<tr>
								<td class='left'>
									{if isset($tvars.latestStats.$topic_id)}
										<a href='{$topic_details.link}'>{$se_details.se_details.title} - {$topic_details.topic}</a>
									{else}
										{$se_details.se_details.title} - {$topic_details.topic}
									{/if}
								</td>
								{if isset($tvars.latestStats.$topic_id)}
									<td class='center'>
										{$tvars.latestStats.$topic_id.p1.keywords}
										{if $tvars.latestStats.$topic_id.p1.change<0}
											<span class='text red bold'>[ - {$tvars.latestStats.$topic_id.p1.change|abs} ]</span>
										{elseif $tvars.latestStats.$topic_id.p1.change>0}
											<span class='text green bold'>[ + {$tvars.latestStats.$topic_id.p1.change} ]</span>
										{/if}
									</td>
									<td class='center'>
										{$tvars.latestStats.$topic_id.t10.keywords}
										{if $tvars.latestStats.$topic_id.t10.change<0}
											<span class='text red bold'>[ - {$tvars.latestStats.$topic_id.t10.change|abs} ]</span>
										{elseif $tvars.latestStats.$topic_id.t10.change>0}
											<span class='text green bold'>[ + {$tvars.latestStats.$topic_id.t10.change} ]</span>
										{/if}
									</td>
									<td class='center'>
										{$tvars.latestStats.$topic_id.t30.keywords}
										{if $tvars.latestStats.$topic_id.t30.change<0}
											<span class='text red bold'>[ - {$tvars.latestStats.$topic_id.t30.change|abs} ]</span>
										{elseif $tvars.latestStats.$topic_id.t30.change>0}
											<span class='text green bold'>[ + {$tvars.latestStats.$topic_id.t30.change} ]</span>
										{/if}
									</td>
									<td class='center'>
										{$tvars.latestStats.$topic_id.others.keywords}
										{if $tvars.latestStats.$topic_id.others.change<0}
											<span class='text red bold'>[ - {$tvars.latestStats.$topic_id.others.change|abs} ]</span>
										{elseif $tvars.latestStats.$topic_id.others.change>0}
											<span class='text green bold'>[ + {$tvars.latestStats.$topic_id.others.change} ]</span>
										{/if}
									</td>
								{else}
									<td class='center' colspan='4'><em>{t}No data available{/t}</em></td>
								{/if}
							</tr>
						{/foreach}
					{/foreach}
				</tbody>
			</table>
		</div>
	</fieldset>
</div>