<?php

class OS_APP_LinkRequest extends OS_AppBase
{
	private static $_instance;
	
	protected function __construct()
	{
		parent::__construct();
		
		$this->addMenuItem('view', array("name" => "Main", 'routerOption'=> "handleMainView"));
	}
	
	public static function &get_instance()
	{
		if( !self::$_instance  )
		{
			self::$_instance = new OS_APP_LinkRequest();
		}
		return self::$_instance;
	}
	
	public function handleMainView()
	{
		require $this->getAppHomePath()."/views/mainview.php";
		$viewData = new OS_APP_LinkRequest_mainView();
		
		return $viewData->render();
	}
	
	public function eventProjectDeleted($params)
	{
	}
	
	protected function defineAppPermissions()
	{
		$this->appPermissions=array(
			'linkrequest'=>array(
				'view'=>array('name'=>"View Link Request Manager Details"),
			)
		);
	}
}
?>	