<?php

class OS_APP_LinkRequest_Partners
{
	public $id;
	
	public $project_id;
	
	public $insert_dt;
	
	public $url;
	
	public $name;
	
	public $notes;
	
	public $contact_details;
	
	public $status;
	
	public $status_dt;
	
	public $status_ip;
	
	public $status_by;
	
	public function __construct(){}
	
	public function get($param)
	{
		$result = null;
		
		if(isset($this->$param))
		{
			$result = $this->$param; 
		}
		return $result;
	}
	
	public function set($data)
	{
		$result = false;
		
		$objVars = get_object_vars($this);
		
		if(is_object($data))
		{
			$data = get_object_vars($data);
		}
		
		foreach($objVars as $key=>$val)
		{
			if(isset($data[$key]))
			{
				$this->$key = $data[$key];
				$result = true;
			}
		}
		
		return $result;
	}
	
	public function save()
	{
		$result = false;
		
		$partnersOps = OS_APP_LinkRequest_Partners_Operations::get_instance();
		
		$this->beforeInsert();
		
		if ($this->id < 1 || is_null($this->id))
		{
			$newid = $partnersOps->insertPartner($this);
			$this->id = $newid;
			$this->afterInsert();
			$result = true;
		}
		else
		{
			$result = $partnersOps->updatePartner($this);
		}

		return $result;
	}
	
	public function delete()
	{
		$result = false;
		
		if ($this->id > -1)
		{
			$OS = getOS();
			
			//Remove user record from the database
			$partnersOps = OS_APP_LinkRequest_Partners_Operations::get_instance();
			
			$deleteResult = $partnersOps->deletePartnerByID($this->id);
			if ($deleteResult)
			{
				$result = true;
			}
		}

		return $result;
	}
	
	
	private function beforeInsert() {}

	private function afterInsert() {}
	
	private function beforeUpdate() {}

	private function afterUpdate() {}
}	
?>