<div class="col_12">
	<div class="col_12">
		<fieldset>
			<div class='legend left'>{t}Page details{/t}</div>
			<div class='content'>
				<table>
					<tr>
						<td class='right'><b>{t}URL{/t}</b></td>
						<td><a href='{$tvars.url_safe}' target='_blank'>{$tvars.url}</a></td>
					</tr>
					<tr>
						<td class='right'><b>{t}Title{/t}</b></td>
						<td>{if empty($tvars.title)}<i>{t}Untitled Document{/t}</i>{else}{$tvars.title}{/if}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Meta Description{/t}</b></td>
						<td>{if empty($tvars.description)}<i>n/a</i>{else}{$tvars.description}{/if}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Canonical URL{/t}</b></td>
						<td>{if empty($tvars.canonical_url)}<i>n/a</i>{else}<a href='{$tvars.canonical_url_safe}' target='_blank'>{$tvars.canonical_url}</a>{/if}</td>
					</tr>
				</table>
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
	<div class="col_7 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Perform Keyword Analysis{/t}</div>
			<div class="content">
				<form action='{$tvars.form_url}' method='POST'>
					<input type='hidden' name='view' value='kwanalysis'>
					{foreach from=$tvars.form_hiddens key=field item=value}
						<input type='hidden' name='{$field}' value='{$value}'>
					{/foreach}
					<label for='keyword_box'>{t}Keyword{/t}</label>
					<div>
						<input type='text'  class='col_12' id='keyword_box' name='keyword_box' value='{$tvars.keyword_box}'>						
					</div>
					<div class='clear'></div>
					<br>
					<div class='col_12 center'>
						<button type='submit' class='small blue'>{t}Analyze{/t}</button>
					</div>
					<div class='clear'>
				</form>
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
	{if $tvars.hasResults}
		<div class="col_12">
			<ul class="tabs left">
				{foreach from=$tvars.messages key=category item=category_details}
					<li><a target='#tests_{$category}' href='javascript:void(0);'><span class="icon {$category_details.status_visuals.color} small" data-icon='{$category_details.status_visuals.icon}'></span>{$category_details.title}</a></li>
				{/foreach}
			</ul>
			
			{foreach from=$tvars.messages key=category item=category_details}
				<div id="tests_{$category}" class="tab-content" style='margin-bottom:0;'>
					{foreach from=$category_details.groups key=group item=group_details}
						<div class="col_12">
							<fieldset class="{$group_details.status_visuals.color}">
								<div class="legend fill {$group_details.status_visuals.color}">
									<div class='col_11 left' style='margin:0;'>{$group_details.title}</div>
									<div class='right column' style='margin:0;padding-right:5px;'>{if $group_details.help_url} <a href='{$group_details.help_url}' target='_blank'><span class='icon small black' data-icon='?' style="position:static;text-indent:0;"></span></a>{/if}</div>
								</div>
								<div class="content" style='padding-bottom:5px;'>
									<table class="striped" style='margin:0;'>
										{foreach from=$group_details.elements key=element item=details}
											<tr>
												<td align='left' width='100' valign='top' style='padding-top:12px;'><b>{$details.title}</b></td>
												<td align='left'>
													{if empty($details.messages)}
														<div class='col_12'><span class='icon {$details.status_visuals.color} medium' data-icon='{$details.status_visuals.icon}'></span> {$details.status_visuals.message}</div>
													{else}
														<div class="clear"></div>
														{if !empty($details.messages.overall)}
															{if !empty($details.messages.element)}
																<br>
																{t}General optimization problems{/t}
																<div class='col_12' style='padding-left:20px;'>
																{assign var=should_br value=true}
															{else}
																{assign var=should_br value=false}
															{/if}
															{foreach from=$details.messages.overall key=dummy item=test}
																{if $should_br}
																	<br>
																{/if}
																<div class='col_12'><span class='icon {$test.color} medium' data-icon='{$test.icon}'></span> {$test.message}</div>
																<div class='clear'></div>
																{assign var=should_br value=true}
															{/foreach}
															{if !empty($details.messages.element)}
																</div>
																<div class='clear'></div>
															{/if}
														{/if}
														{if !empty($details.messages.element)}
															{if !empty($details.messages.overall)}
																<br>
																{t}Per-element optimization problems{/t}
																<div class='col_12' style='padding-left:20px;'>
																{assign var=should_br value=true}
															{else}
																{assign var=should_br value=false}
															{/if}
															{foreach from=$details.messages.element key=element_id item=tests}
																{if $should_br}
																	<br>
																{/if}
																<div class='col_12'><i>{$element_id}</i></div>
																<div class='clear'></div><br>
																{foreach from=$tests key=dummy item=test}
																	<div class='col_12' style='padding-left:20px;'><span class='icon {$test.color} medium' data-icon='{$test.icon}'></span> {$test.message}</div>
																	<div class='clear'></div>
																{/foreach}
																{assign var=should_br value=true}
															{/foreach}
															{if !empty($details.messages.overall)}
																</div>
																<div class='clear'></div>
															{/if}
														{/if}
													{/if}
												</td>
											</tr>
										{/foreach}
									</table>
								</div>
							</fieldset>
						</div>
					{/foreach}
				</div>
			{/foreach}
		</div>
	{/if}
</div>