<div class="col_12">
	{if !$tvars.hasData}
		<div class="col_12">
			<fieldset>
				<div class='legend'>{t}No data{/t}</div>
				<div class='content center'>
					{t}No onpage SEO report has been generated.{/t}<br><a href='{$tvars.crawl_now_url}'>{t}Generate report{/t}</a>
				</div>
			</fieldset>
		</div>	
	{else}
		{if $tvars.chart}
			<div class="col_12">
				<fieldset>
					<div class='legend'>{t}Evolution{/t}</div>
					<div class='content center'>
						{$tvars.chart}
					</div>
				</fieldset>
			</div>
			<div class='clear'></div>
		{/if}			
		{if !$tvars.messages}
			<div class="col_12">
				<fieldset>
					<div class='legend'>{t}Everything is OK!{/t}</div>
					<div class='content center'>
						{t}No onpage SEO problems have been detected with your website! Congratulations!{/t}
					</div>
				</fieldset>
			</div>
		{else}
			{foreach from=$tvars.messageTypes key=type item=typeDetails}
				{if isset($tvars.messages.$type)}
					<div class="col_12">
						<fieldset class='{$typeDetails.color}'>
							<div class='legend fill {$typeDetails.color}'>{$typeDetails.plural}</div>
							<div class='content'>
								{foreach from=$tvars.messages.$type key=dummy item=message}
									<div class='col_4 column center' style='margin-top:0;'>
										<p class='message-desc'><a href='{$message.pagelist_url}' class='statsInfoBoxText {$typeDetails.color}'>{$message.message.desc}</a></p>
										<div class='nofloat marginsCenter statsInfoBoxSlim fill {$typeDetails.color}' onclick="window.location='{$message.pagelist_url}';" style='cursor:pointer;'>
											<div class='statsInfoBoxSlimInside'>{$message.message.pages}</div>
										</div>
									</div>
								{/foreach}
							</div>
						</fieldset>
					</div>
					<div class='clear'></div>
				{/if}
			{/foreach}
		{/if}
	{/if}
</div>