<?php
class OS_APPVIEW_OnPage_Reports extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function render()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		$tplVars=array('imagesPath'=>$appPlugin->getAppHomeUrl().'/resources/images/reports');
		
		$types=$appPlugin->getReportingTypes();
		
		foreach ($types as $type=>$name)
		{
			if ($type=='overview')
			{
				$view='report';
			}
			else
			{
				$view='report'.$type;
			}
			
			$tplVars['reportTypes'][$type]=array(
				'name'=>$name,
				'url'=>$appPlugin->getAppActionUrl($view)
			);
		}
		
		return $OS->getTemplate()->fetchTemplate('reports',$tplVars);
	}
}
?>