{if !empty($tvars.liveTable)}
<div class='simple-box'>
	{if isset($tvars.liveTable.title)}
		<div class='title'>{$tvars.liveTable.title}</div>
	{/if}	
	<div class='content'>
	
		<table class='striped' cellpadding='0' cellspacing='0'>
			<thead> 
				<tr> 
					<th class="header center" style="width:50px">#</th>
					<th class="header" style="width:40%;text-align:left">
						<label>{t}Primary Dimension{/t}:</label>
						<form name="stable_primary_dimension" id="stable_primary_dimension" action="?" method='GET'>
							<input type='hidden' name="app" value="organicimages">
							<input type='hidden' name="view" value="{$tvars.liveTable.currentTableView}">
							{if $tvars.liveTable.currentSecondaryDimension}
								<input type='hidden' name="sd" value="{$tvars.liveTable.currentSecondaryDimension}">
							{/if}
							
							{if isset($tvars.liveTable.mainDimensionName)}
								<input type='hidden' name="dn" value="{$tvars.liveTable.mainDimensionName}">
								<input type='hidden' name="dv" value="{$tvars.liveTable.mainDimensionValue}">
							{/if}	

							<select name="pd" class="stable-styled-select" onchange='osKernel.submitForm("stable_primary_dimension")'><option value=""></option>
								{foreach from=$tvars.liveTable.availableDimensions key=group_type item=group_details}
									{if isset($group_details.dimensions)}
										<optgroup label="{$group_details.title}">
										{foreach from=$group_details.dimensions key=dimension_name item=dimension_details}
											{if $tvars.liveTable.currentSecondaryDimension != $dimension_name}
												<option value="{$dimension_name}" {if $tvars.liveTable.currentPrimaryDimension == $dimension_name}selected{/if}>
													{$dimension_details.title}
												</option>
											{/if}	
										{/foreach}	
										</optgroup>
									{/if}
								{/foreach}
							</select>
						</form>
					</th>
					<th class="header" style="width:40%;text-align:left">
						<label>{t}Secondary Dimension{/t}: </label>
						<form name="stable_secondary_dimension" id="stable_secondary_dimension" action="?" method='GET'>
							<input type='hidden' name="app" value="organicimages">
							<input type='hidden' name="view" value="{$tvars.liveTable.currentTableView}">
							<input type='hidden' name="pd" value="{$tvars.liveTable.currentPrimaryDimension}">
							
							{if isset($tvars.liveTable.mainDimensionName)}
								<input type='hidden' name="dn" value="{$tvars.liveTable.mainDimensionName}">
								<input type='hidden' name="dv" value="{$tvars.liveTable.mainDimensionValue}">
							{/if}	
							
							<select name="sd" class="stable-styled-select" onchange='osKernel.submitForm("stable_secondary_dimension")'><option value=""></option>
								{foreach from=$tvars.liveTable.availableDimensions key=group_type item=group_details}
									{if isset($group_details.dimensions)}
										<optgroup label="{$group_details.title}">
										{foreach from=$group_details.dimensions key=dimension_name item=dimension_details}
											{if $tvars.liveTable.currentPrimaryDimension != $dimension_name}
												<option value="{$dimension_name}" {if $tvars.liveTable.currentSecondaryDimension == $dimension_name}selected{/if}>{$dimension_details.title}</option>
											{/if}	
										{/foreach}	
										</optgroup>
									{/if}
								{/foreach}
							</select>
						</form>	
					</th>							
					<th class="header center" style="width:50px">
						{if isset($tvars.liveTable.column_3_name)}
							{$tvars.liveTable.column_3_name}
						{else}&nbsp;{/if}
					</th>
					<th class="header" style="width:150px">{t}Percentage{/t}</th>
				</tr> 
			</thead>
						
			<tbody id='keywordsList'>
				{if !empty($tvars.liveTable.reportData)}
					{counter start=0 print=false}
					{foreach from=$tvars.liveTable.reportData key=index item=details}
						<tr>
							<td class="center">{counter}</td>
							<td class="stable-row-fix">
								<div class="ellipsify urlTitle">
									{if isset($details.primary_flag_code)}
										<span class="flag {$details.primary_flag_code}"></span>
									{/if}
									 
									{if !empty($details.view_link)}
										<a href="{$details.view_link}" title='View Details'>
											{$details.primary_metric}
										</a>
									{else}
										<span>{$details.primary_metric}</span>
									{/if}
								</div>
							</td>
							<td class="stable-row-fix">
								{if isset($details.secondary_flag_code)}
									<span class="flag {$details.secondary_flag_code}"></span>
								{/if}
							
								{if !empty($details.secondary_metric)}
									<span class="ellipsify urlTitle">{$details.secondary_metric}</span>
								{else}&nbsp;{/if}	
							</td>
							<td class='center' style="width:10%;">{$details.total}</td>
							<td class='alignCenter' style="width:10%;">
								<div class="percentageBar">
									<div class="percentageBarInside blue" style="width:{$details.percentage}%;"></div>
								</div>
								{$details.percentage}%
							</td>
						</tr>
					{/foreach}
					
					{if !empty($tvars.liveTable.availableTotalRows)}
						<tr>
							<td colspan="4">&nbsp;</td>
							<td>
								<label>Rows</label>
								<form name="stable_total_rows" id="stable_total_rows" action="?" method='GET' style="display:inline;">
									<input type='hidden' name="app" value="organicimages">
									<input type='hidden' name="view" value="{$tvars.liveTable.currentTableView}">
									<input type='hidden' name="pd" value="{$tvars.liveTable.currentPrimaryDimension}">
									
									{if $tvars.liveTable.currentSecondaryDimension}
										<input type='hidden' name="sd" value="{$tvars.liveTable.currentSecondaryDimension}">
									{/if}
									
									{if isset($tvars.liveTable.mainDimensionName)}
										<input type='hidden' name="dn" value="{$tvars.liveTable.mainDimensionName}">
										<input type='hidden' name="dv" value="{$tvars.liveTable.mainDimensionValue}">
									{/if}	

									<select name="rows" class="stable-styled-select" style="width:50px" onchange='osKernel.submitForm("stable_total_rows")'><option value=""></option>
										{foreach from=$tvars.liveTable.availableTotalRows item=rowsRange}
											<option value="{$rowsRange}" {if $tvars.liveTable.currentCurrentRowsRange == $rowsRange}selected{/if}>{$rowsRange}</option>
										{/foreach}
									</select>
								</form>
							</td>
						</tr>	
					{/if}
				{else}
					<tr>
						<td colspan='4' align='center'>
							<div class="col_12 center">{t}No details{/t}</div>
						</td>
					</tr>
				{/if}
			</tbody>
		</table>
	
		<div class="clear"></div>
	</div>
	<div class="clear"></div>
</div>
{/if}