<?php
class OS_APPCRON_OutgoingLinks_Checker
{
	public function run()
	{
		$OS=getOS();
		$db=$OS->getDb();
		
		$appOps=$OS->getAppOps();
		$app=$appOps->getAppByName('backlinks');
		
		$projectOps=$OS->getProjectOps();
		
		if ($projects=$appOps->getProjectsByAppID($app->id))
		{
			$appHandler=$OS->getAppHandler('backlinks');
			$appPlugin=$appHandler->getAppPlugin();
			$ops=$appPlugin->getOperations();
			
			foreach ($projects as $project_id)
			{
				if ($project=$projectOps->getProjectByID($project_id) AND $project->isActive())
				{
					if ($links_to_check=$ops->getLinksForChecking($project_id))
					{
						$OS->initTimezone($project->timezone);
						
						$osHttp=$OS->getHttp();
						
						foreach ($links_to_check as $link_id=>$link)
						{
							$osHttp->get($link->url);
							
							$link->http_code=$osHttp->responseCode;
							$link->check_dt=$db->DBTimeStamp(time());
							
							$link->save();
						}
					}
				}
			}
		}
	}
}
?>