<div class='col_12'>
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Comparison details{/t}</div>
			<div class="content">
				<div class='col_7'>
					{foreach from=$tvars.urls key=index item=url}
						<div class='col_2 right'>URL {$index}:</div>
						<div class='col_10 left'><a href='{$url.url_safe}' target='_blank'>{$url.url}</a></div>
						<div class='clear'></div> 
					{/foreach}
				</div>
				<div class='col_5 center'>
					<div class='col_12 center'><strong>{t}Wins distribution{/t}</strong></div>
					{$tvars.chart_html}
				</div>
				<div class='clear'></div>
			</div>
		</fieldset>
		<br>
		<fieldset>
			<div class="legend left"><div class='col_8 left' style='margin:0;'>{t}Comparison results{/t}</div><div class='col_4 right' style='margin:0;'><a href='{$tvars.exportURL}'>{t}Export{/t}</a></div></div>
			<div class="content">
				<table class='striped'>
					<thead>
						<th class='header' width='20%'>{t}URL metrics{/t}</th>
						{foreach from=$tvars.urls key=index item=url}
							<th class='header' title='{$url.url}'>{$url.url_nice}</th>
						{/foreach}
					</thead>
					<tbody>
						{foreach from=$tvars.details.url key=type item=details}
							<tr>
								<td class='center' title='{$details.info.title}'><strong>{$details.info.short}</strong></td>
								{foreach from=$details.values key=index item=value}
									<td class='center' {if $value.is_max}style='background-color:#E1FFBE;font-weight:bold;'{/if}>
											{$value.actual_value}
									</td>
								{/foreach}
							</tr>
						{/foreach}
					</tbody>
					<thead>
						<th class='header' width='20%'>{t}Subdomain metrics{/t}</th>
						{foreach from=$tvars.urls key=index item=url}
							<th class='header'>{$url.host}</th>
						{/foreach}
					</thead>
					<tbody>
						{foreach from=$tvars.details.subdomain key=type item=details}
							<tr>
								<td class='center' title='{$details.info.title}'><strong>{$details.info.short}</strong></td>
								{foreach from=$details.values key=index item=value}
									<td class='center' {if $value.is_max}style='background-color:#E1FFBE;font-weight:bold;'{/if}>
											{$value.actual_value}
									</td>
								{/foreach}
							</tr>
						{/foreach}
					</tbody>
					{if $tvars.showRoots}
						<thead>
							<th class='header' width='20%'>{t}Root domain metrics{/t}</th>
							{foreach from=$tvars.urls key=index item=url}
								<th class='header'>{$url.root}</th>
							{/foreach}
						</thead>
						<tbody>
							{foreach from=$tvars.details.root key=type item=details}
								<tr>
									<td class='center' title='{$details.info.title}'><strong>{$details.info.short}</strong></td>
									{foreach from=$details.values key=index item=value}
										<td class='center' {if $value.is_max}style='background-color:#E1FFBE;font-weight:bold;'{/if}>
												{$value.actual_value}
										</td>
									{/foreach}
								</tr>
							{/foreach}
						</tbody>
					{/if}
					<thead>
						<tr><th class='left' colspan='6'>{t}Wins summary{/t}</th></tr>
					</thead>
					<tbody>
						<tr>
							<td class='center' title='{t}Number of wins{/t}'><strong>{t}Wins #{/t}</strong></td>
							{foreach from=$tvars.urls key=index item=url}
								<td class='center' {if $tvars.max_wins==$url.wins}style='background-color:#E1FFBE;font-weight:bold;'{/if}>{$url.wins}</td>
							{/foreach}
						</tr>
					</tbody>
				</table>
			</div>
		</fieldset>
	</div>
</div>