<div class='col_12'>
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Comparisons{/t}</div>
			<div class="content">
				{if $tvars.comparisons}
					<table class='striped'>
						<thead>
							<th class='header'>URL 1</th>
							<th class='header'>URL 2</th>
							<th class='header'>URL 3</th>
							<th class='header'>URL 4</th>
							<th class='header'>URL 5</th>
							<th class='header'>{t}Status{/t}</th>
							<th class='header'>{t}Actions{/t}</th>
						</thead>
						<tbody>
							{foreach from=$tvars.comparisons key=comparison_id item=details}
								<tr>
									<td class='center' title='{$details.url_1}'>{$details.url_1_host}</td>
									<td class='center' title='{$details.url_2}'>{$details.url_2_host}</td>
									<td class='center' title='{$details.url_3}'>{$details.url_3_host}</td>
									<td class='center' title='{$details.url_4}'>{$details.url_4_host}</td>
									<td class='center' title='{$details.url_5}'>{$details.url_5_host}</td>
									<td class='center'>
										{if $details.status=='W'}
											<span class="icon small gray" data-icon="E" title='{$details.status_human}'></span>
										{elseif $details.status=='D'}
											<span class="icon small green" data-icon="C" title='{$details.status_human}'></span>
										{elseif $details.status=='F'}
											<span class="icon small red" data-icon="X" title='{$details.status_human}'></span>
										{/if}
									</td>
									<td class='center'>
										{if $details.view_url}
											<a href='{$details.view_url}' title='{t}View comparison{/t}'><span class='icon small gray' data-icon='s'></span></a>
										{/if}
										{if $details.delete_url}
											<a href='{$details.delete_url}' title='{t}Delete comparison{/t}'><span class='icon small gray' data-icon='x'></span></a>
										{/if}
									</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
					{if $tvars.prev_page_url OR $tvars.next_page_url}
						<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; {t}Previous page{/t}</a>{else}&nbsp;{/if}</div>
						<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>{t}Next page{/t} &raquo;</a>{else}&nbsp;{/if}</div>
						<div class='clear'></div>
					{/if}
				{else}
					<div class='col_12 center'>{t}No comparisons requested.{/t}</div>
					<div class='clear'></div>
				{/if}
			</div>
		</fieldset>
	</div>
</div>