<div class="col_12">
	<div class="col_12">
		<fieldset>
			<div class='legend'>{t}Templates{/t}</div>
			<div class='content center'>
				<div class='col_12 center'>
					{if empty($tvars.templates)}
						{t}No templates defined{/t}
					{else}
						<table class='striped responsive'>
							<thead>
								<tr>
									<th class='header left'>{t}Name{/t}</th>
									<th class='header'>{t}Actions{/t}</th>
								</tr>
							</thead>
								{foreach from=$tvars.templates key=template_id item=details}
									<tr>
										<td class='left'>{$details.name}{if $details.default} ({t}default{/t}){/if}</td>
										<td class='center'>
											{if !$details.default}
												<a href='{$details.make_default_url}' title='{t}Mark as default template{/t}'><span class='icon small gray' data-icon='f'></span></a>
											{/if}
											<a href='{$details.edit_url}' title='{t}Edit template{/t}'><span class='icon small gray' data-icon='7'></span></a>
											<a href='{$details.delete_url}' title='{t}Delete template{/t}'><span class='icon small gray' data-icon='x'></span></a>
										</td>
									</tr>
								{/foreach}
							<tbody>
							</tbody>
						</table>
					{/if}
				</div>
				<div class='clear'></div>
				<div class='col_12 center'>
					<a href='{$tvars.addTemplateURL}' title='{t}Add new template{/t}' class='button blue small'>{t}Add template{/t}</a>
				</div>
				<div class='clear'></div>
			</div>
		</fieldset>
	</div>
</div>