<?php
class OS_APP_SampleApp_Manage
{
	public function __construct() {}
	
	public function check()
	{
		return array();
	}
	
	public function run()
	{
		$actions=array(
			'eventHandlers'=>array(
				array('event'=>'sample','method'=>'eventSample'), //hook the app to an event
			),
			'interactions'=>array(
				'worker'=>array(
					array('action'=>'sample','title'=>'Sample interaction','method'=>'interactionSample'), //define an interaction provided by the app
				),
			),
			'crons'=>array(
				array('action'=>'sample','title'=>'Sample cron','interval'=>'1 m') //set up a cron inside the app
			),
			'events'=>array(
				array('name'=>'sampleAppEvent') //Define an event that is going to be triggered by the app
			),
			'datasources'=>array(
				array('name'=>'sample','table'=>'sample','fields'=>array('sample')), //Define a datasource built by the app
			)
		);
		
		$result=array('actions'=>$actions);
		
		return $result;
	}
}
?>