{if isset($tvars.chart)}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class='legend'>{t}Sitemap URLs Evolution{/t}</div>
			<div class='content'>
				{$tvars.chart}
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
{/if}
<div class="col_12 nofloat marginsCenter">
	<fieldset>
		<div class='legend'>{t}Generated sitemaps{/t}</div>
		<div class='content'>
			<table class='striped' cellpadding='0' cellspacing='0'>
				<thead> 
					<tr align='center'> 
	   					<th width='24'>#</th>
	   					<th class="left">{t}URLs{/t}</th>
	   					<th class="left">{t}Generated at{/t}</th>
   						<th class="header" width='150'>{t}Actions{/t}</th>
					</tr> 
				</thead>			
				<tbody id='keywordsList'>
					{if !empty($tvars.sitemaps)}
						{counter start=0 print=false}
						{foreach from=$tvars.sitemaps key=day_id item=details}
							<tr class='{cycle values="tbTableOddRow,tbTableEvenRow"}'>
								<td class='linkCount'>{counter}</td>
								<td>{$details.urls}</td>
								<td>{$details.generate_dt}</td>
								<td class="alignCenter">
									{if $tvars.hasActions}
										{if $details.filelist_url}<a href='{$details.filelist_url}' title='{t}Browse sitemap files{/t}'><span class="icon gray" data-icon="]"></span></a>{/if}
										{if $details.download_xml_url}<a href='{$details.download_xml_url}' title='{t}Download XML sitemap{/t}'><span class="icon gray" data-icon="]"></span></a>{/if}
										{if $details.download_txt_url}<a href='{$details.download_txt_url}' title='{t}Download TXT sitemap{/t}'><span class="icon gray" data-icon="]"></span></a>{/if}
									{/if}
									<a href='{$details.delete_url}' title='{t}Delete sitemap{/t}'><span class='icon gray' data-icon='x'></span></a>
								</td>
							</tr>
						{/foreach}
					{else}
						<tr><td colspan='4' class='center'>{t}No sitemaps generated{/t}</td></tr>
					{/if}
				</tbody>
			</table>
		</div>
	</fieldset>
</div>