<div class="col_12 grid flex" style="padding:0;margin:0;">
	{if !$tvars.report}
		<div class="col_12 center ">{t}No data available{/t}.</div>
	{else}
		<div class="{if $tvars.report_evolution}col_6{else}col_12{/if}">
			<fieldset>
				<div class="legend left">{t}Social Signals Overview{/t}</div>
				<div class="content">
					<div class='fixed_12 center'><img src='{$tvars.imagesURL}/facebook_32.png' align='absmiddle'> Facebook: {$tvars.report.signals.facebook.shares} {t}shares{/t}, {$tvars.report.signals.facebook.likes} {t}likes{/t}, {$tvars.report.signals.facebook.comments} {t}comments{/t}</div>
					<div class='clear'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/gplus_32.png' align='absmiddle'> Google+: {$tvars.report.signals.gplus}</div>
					<div class='fixed_2'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/twitter_32.png' align='absmiddle'> Twitter: {$tvars.report.signals.twitter}</div>
					<div class='clear'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/pinterest_32.png' align='absmiddle'> Pinterest: {$tvars.report.signals.pinterest}</div>
					<div class='fixed_2'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/linkedin_32.png' align='absmiddle'> Linkedin: {$tvars.report.signals.linkedin}</div>
					<div class='clear'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/delicious_32.png' align='absmiddle'> Delicious: {$tvars.report.signals.delicious}</div>
					<div class='fixed_2'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/stumbleupon_32.png' align='absmiddle'> Stumbleupon: {$tvars.report.signals.stumbleupon}</div>
					<div class='clear'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/digg_32.png' align='absmiddle'> Digg: {$tvars.report.signals.diggs}</div>
					<div class='fixed_2'></div>
					<div class='fixed_5'><img src='{$tvars.imagesURL}/reddit_32.png' align='absmiddle'> Reddit: {$tvars.report.signals.reddit}</div>
				</div>
			</fieldset>
		</div>
		{if $tvars.report_evolution}
			<div class="col_6">
				<fieldset>
					<div class='legend'>{t}Social Signals Evolution{/t}</div>
					<div class='content center'>
						<div class="col_12 right" style="margin-top:0px;margin-bottom:0px;">{t}Network{/t}: <select onChange="socialSignalsNowChangeType(this.selectedIndex)">{foreach from=$tvars.chartTypes key=type item=details}<option value='{$type}' {if $type=='overall'}selected{/if}>{$details.name}</option>{/foreach}</select></div>
						<div class="clear"></div>
						<div id='chartWindow'>
							<div id='chartsContainer'>
								{foreach from=$tvars.report_evolution key=type item=html}
									{$html}
								{/foreach}
							</div>
						</div>
					</div>
				</fieldset>
			</div>
		{/if}
		<div class='clear'></div>
		{if $tvars.urls}
			<div class="col_12 nofloat marginsCenter">
				<fieldset>
					<div class="legend left"><div class='col_8 left' style='margin:0;'>{t}Social Signals per Page{/t}</div><div class='col_4 right' style='margin:0;'><a href='{$tvars.exportURL}'>{t}Export{/t}</a></div></div>
					<div class="content">
						<table class='striped'>
							<thead>
								<tr>
									<th rowspan='2' class='header left'>{t}Page{/t}</th>
									<th colspan='3' class='header hide-break-tablecell'>Facebook</th>
									<th rowspan='2' class='header show-break-tablecell'>Facebook</th>
									<th rowspan='2' class='header'>Google+</th>
									<th rowspan='2' class='header'>Twitter</th>
									<th rowspan='2' class='header'>Pinterest</th>
									<th rowspan='2' class='header'>Total</th>
								</tr>
								<tr>
									<th class='header hide-break-tablecell'>{t}Shares{/t}</th>
									<th class='header hide-break-tablecell'>{t}Likes{/t}</th>
									<th class='header hide-break-tablecell'>{t}Comments{/t}</th>
								</tr>
							</thead>
							<tbody>
								{foreach from=$tvars.urls key=url_id item=url}
									<tr>
										<td class='left'><a href='{$url._details_url}'><span class='hide-break'>{$url.url}</span><span class='show-break'>{$url.path}</span></a></td>
										<td class='center hide-break-tablecell'>{$url.signals_facebook_shares}</td>
										<td class='center hide-break-tablecell'>{$url.signals_facebook_likes}</td>
										<td class='center hide-break-tablecell'>{$url.signals_facebook_comments}</td>
										<td class='center show-break-tablecell'>{$url.signals_facebook_total}</td>
										<td class='center'>{$url.signals_gplus}</td>
										<td class='center'>{$url.signals_twitter}</td>
										<td class='center'>{$url.signals_pinterest}</td>
										<td class='center'>{$url.signals_total}</td>
									</tr>
								{/foreach}
							</tbody>
						</table>
						{if $tvars.prev_page_url OR $tvars.next_page_url}
							<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; {t}Previous page{/t}</a>{else}&nbsp;{/if}</div>
							<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>{t}Next page{/t} &raquo;</a>{else}&nbsp;{/if}</div>
							<div class='clear'></div>
						{/if}
					</div>
				</fieldset>
			</div>
		{/if}
	{/if}
</div>