<?php exit; ?>
{
	"app_socialsignals_reports":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"UNI",
				"default":null,
				"extra":""
			},
			"signals":{
				"field":"signals",
				"type":"varchar(512)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_id":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_socialsignals_reports_history":{
		"columns":{
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"report_id":{
				"field":"report_id",
				"type":"int(11)",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			},
			"signals":{
				"field":"signals",
				"type":"varchar(1024)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"history_d":{
				"field":"history_d",
				"type":"date",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"report_history":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"report_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"history_d",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_socialsignals_urls":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11)",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"url_hash":{
				"field":"url_hash",
				"type":"char(32)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"url":{
				"field":"url",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"title":{
				"field":"title",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals":{
				"field":"signals",
				"type":"varchar(1024)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_stumbleupon":{
				"field":"signals_stumbleupon",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_reddit":{
				"field":"signals_reddit",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_facebook_comments":{
				"field":"signals_facebook_comments",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_facebook_likes":{
				"field":"signals_facebook_likes",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_facebook_shares":{
				"field":"signals_facebook_shares",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_facebook_total":{
				"field":"signals_facebook_total",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_delicious":{
				"field":"signals_delicious",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_gplus":{
				"field":"signals_gplus",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_twitter":{
				"field":"signals_twitter",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_diggs":{
				"field":"signals_diggs",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_pinterest":{
				"field":"signals_pinterest",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_linkedin":{
				"field":"signals_linkedin",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_total":{
				"field":"signals_total",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"signals_dt":{
				"field":"signals_dt",
				"type":"datetime",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"timeout":{
				"field":"timeout",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"refresh_dt":{
				"field":"refresh_dt",
				"type":"datetime",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_url_hash":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"url_hash",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_id":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"pending_refresh":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"refresh_dt",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_socialsignals_urls_history":{
		"columns":{
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"url_hash":{
				"field":"url_hash",
				"type":"char(32)",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			},
			"signals":{
				"field":"signals",
				"type":"varchar(1024)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"history_d":{
				"field":"history_d",
				"type":"date",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"url_history":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"url_hash",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"history_d",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	}
}