<div class="col_12">
	{if !empty($tvars.actions)}
		<div class='col_12 center bigger'><b>{t}Hours worked:{/t} {$tvars.worked_hours}</b></div><br>
		<table class='striped responsive'>
			<thead>
				<tr>
					<th class='center'>{t}Date{/t}</th>
					<th class='center'>{t}Duration{/t}</th>
					{if $tvars.supervisor}
						<th class='center'>{t}User{/t}</th>
					{/if}
					<th class='left'>{t}Description{/t}</th>
					<th class='center'>{t}Edit{/t}</th>
					<th class='center'>{t}Delete{/t}</th>
				</tr>
			</thead>
			<tbody>
				{foreach from=$tvars.actions key=action_id item=action}
					<tr>
						<td class='center'>{$action.action_d_human}</td>
						<td class='center'>{$action.duration_human}</td>
						{if $tvars.supervisor}
							<td class='center'><b>{$action.user}</b></td>
						{/if}
						<td class='left'>{$action.description}</td>
						<td class='center'>
							<a href="{$action._editURL}" title="{t}Edit Action{/t}"><span class="icon gray" data-icon="7"></span></a>
						</td>
						<td class='center'>
							<a href="{$action._deleteURL}" title="{t}Delete Action{/t}"><span class="icon gray" data-icon="T"></span></a>
						</td>
				{/foreach}
			</tbody>
		</table>
	{else}
		<div class='col_12 center bigger'>{t}No actions performed.{/t}</div><br>
	{/if}
</div>