<div class="col_12">
	{if !$tvars.reports}
		<div class="col_12">
			<fieldset>
				<div class='legend'>No data</div>
				<div class='content center'>
					{t}No website SEO audit has been performed on your website.{/t}
				</div>
			</fieldset>
		</div>	
	{else}
		{if $tvars.chart}
			<div class="col_12">
				<fieldset>
					<div class='legend'>{t}SEO Grade Evolution{/t}</div>
					<div class='content center'>
						{$tvars.chart}
					</div>
				</fieldset>
			</div>
			<div class='clear'></div>
		{/if}			
		<div class="col_12">
			<fieldset>
				<div class='legend'>{t}Website Audit{/t}</div>
				<div class='content'>
					<div class='col_2 column center bold'>{t}SEO Score{/t}<br><h1>{$tvars.latestReport.grade}</h1></div>
					<div class='col_10 column'>
						<ul class="tabs left">
								<li><a target='#audit_domain' href='javascript:void(0);'>{t}Domain{/t}</a></li>
								<li><a target='#audit_onsite' href='javascript:void(0);'>{t}Onsite{/t}</a></li>
								<li><a target='#audit_rankings' href='javascript:void(0);'>{t}Metrics{/t}</a></li>
								<li><a target='#audit_social' href='javascript:void(0);'>{t}Social{/t}</a></li>
						</ul>
						<div id="audit_domain" class="tab-content" style='margin-bottom:0;padding:10px;'>
							<div class="col_12">
								<fieldset style='margin-bottom:5px;'>
									<div class="legend">{t}Server{/t}</div>
									<div class='content'>
										{if $tvars.latestReport.result.server.cms}
											<div class='col_2 right column bold'>CMS</div><div class='col_10 left column'><img src='{$tvars.latestReport.result.server.cms_details.icon_url}' align='absmiddle'> <a href='{$tvars.latestReport.result.server.cms_details.url}' target='_blank'>{$tvars.latestReport.result.server.cms_details.name}</a></div><div class='clear'></div>
										{/if}
										<div class='col_2 right column bold'>IP</div><div class='col_10 left column'>{$tvars.latestReport.result.server.ip}</div><div class='clear'></div>
										<div class='col_2 right column bold'>{t}Load time{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.server.load_time} seconds</div><div class='clear'></div>
										{if $tvars.latestReport.result.server.location_text}
											<div class='col_2 right column bold'>{t}Location{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.server.location_text}</div><div class='clear'></div>
										{/if}
										{if $tvars.latestReport.result.server.reverse_ip}
											<div class='col_2 right column bold'>{t}Reverse IP{/t}</div><div class='col_10 left column'>Other domains hosted on the same IP as you:<br><pre style='max-height:200px;overflow-y:auto;'>{foreach from=$tvars.latestReport.result.server.reverse_ip key=dummy item=host}{$host}<br>{/foreach}</pre></div><div class='clear'></div>
										{/if}
									</div>
								</fieldset>
							</div>
							<div class="clear"></div>
							<div class="col_12">
								<fieldset>
									<div class="legend">Whois</div>
									<div class='content'>
										<div class='col_2 right column bold'>{t}Whois information{/t}</div><div class='col_10 left column'><pre style='max-height:200px;overflow-y:auto;'>{$tvars.latestReport.result.whois}</pre></div><div class='clear'></div>
									</div>
								</fieldset>
							</div>
						</div>
						<div id="audit_onsite" class="tab-content" style='margin-bottom:0;padding:10px;'>
							<div class="col_12">
								<fieldset style='margin-bottom:5px;'>
									<div class="legend">Content</div>
									<div class='content'>
										<div class='col_2 right column bold'>URL</div><div class='col_10 left column'>{$tvars.latestReport.result.onsite.url}</div><div class='clear'></div>
										{if $tvars.latestReport.result.onsite.analyzed}
											<div class='col_2 right column bold'>{t}Title{/t}</div><div class='col_10 left column'>{if empty($tvars.latestReport.result.onsite.title)}<em>n/a</em>{else}{$tvars.latestReport.result.onsite.title}{/if}</div><div class='clear'></div>
											<div class='col_2 right column bold'>{t}Description{/t}</div><div class='col_10 left column'>{if empty($tvars.latestReport.result.onsite.description)}<em>n/a</em>{else}{$tvars.latestReport.result.onsite.description}{/if}</div><div class='clear'></div>
											<div class='col_2 right column bold'>{t}Headings{/t}</div>
											<div class='col_10 left column'>
												<table class='striped'>
													<thead>
														<tr>
															<th class="header center">H1</th>
															<th class="header center">H2</th>
															<th class="header center">H3</th>
															<th class="header center">H4</th>
															<th class="header center">H5</th>
															<th class="header center">H6</th>
														</tr>
													</thead>
													<tbody>
														<tr>
															<td class="center">{$tvars.latestReport.result.onsite.headings.h1}</td>
															<td class="center">{$tvars.latestReport.result.onsite.headings.h2}</td>
															<td class="center">{$tvars.latestReport.result.onsite.headings.h3}</td>
															<td class="center">{$tvars.latestReport.result.onsite.headings.h4}</td>
															<td class="center">{$tvars.latestReport.result.onsite.headings.h5}</td>
															<td class="center">{$tvars.latestReport.result.onsite.headings.h6}</td>
														</tr>
													</tbody>
												</table>
											</div>
											<div class='clear'></div>
											<div class='col_2 right column bold'>{t}Images{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.onsite.images.total} images, {$tvars.latestReport.result.onsite.images.no_alt} missing the ALT attribute</div><div class='clear'></div>
										{/if}
									</div>
								</fieldset>
							</div>
							<div class="clear"></div>
							<div class="col_12">
								<fieldset style='margin-bottom:5px;'>
									<div class="legend">Usability</div>
									<div class='content'>
										<div class='col_2 right column bold'>Favicon</div><div class='col_10 left column'>{if $tvars.latestReport.result.usability.favicon}<img src='{$tvars.latestReport.result.usability.favicon}' align='absmiddle'> Found{else}Not found{/if}</div><div class='clear'></div>
									</div>
								</fieldset>
							</div>
							<div class="clear"></div>
							<div class="col_12">
								<fieldset>
									<div class="legend">Compliance</div>
									<div class='content'>
										<div class='col_2 right column bold'>robots.txt</div><div class='col_10 left column'>{if $tvars.latestReport.result.compliance.robots}Present{else}Not found{/if}</div><div class='clear'></div>
										<div class='col_2 right column bold'>{t}Sitemap{/t}</div><div class='col_10 left column'>{if $tvars.latestReport.result.compliance.sitemap}Present{else}Not found{/if}</div><div class='clear'></div>
										<div class='col_2 right column bold'>Google Analytics</div><div class='col_10 left column'>{if $tvars.latestReport.result.compliance.ga}Present{else}Not found{/if}</div><div class='clear'></div>
									</div>
								</fieldset>
							</div>
						</div>
						<div id="audit_rankings" class="tab-content" style='margin-bottom:0;padding:10px;'>
							<div class="col_12">
								<fieldset style='margin-bottom:5px;'>
									<div class="legend">Metrics</div>
									<div class='content'>
										<div class='col_2 right column bold'>{t}Alexa rank{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.rankings.alexa}</div><div class='clear'></div>
										<div class='col_2 right column bold'>PageRank</div><div class='col_10 left column'>{if $tvars.latestReport.result.rankings.pagerank==-1}n/a{else}{$tvars.latestReport.result.rankings.pagerank}{/if}</div><div class='clear'></div>
										{if !empty($tvars.latestReport.result.rankings.moz_da)}
											<div class='col_2 right column bold'>Moz DA</div><div class='col_10 left column'>{$tvars.latestReport.result.rankings.moz_da}</div><div class='clear'></div>
										{/if}
										{if !empty($tvars.latestReport.result.rankings.moz_pa)}
											<div class='col_2 right column bold'>Moz PA</div><div class='col_10 left column'>{$tvars.latestReport.result.rankings.moz_pa}</div><div class='clear'></div>
										{/if}
										{if !empty($tvars.latestReport.result.rankings.majestic_cf)}
											<div class='col_2 right column bold'>Majestic CitationFlow</div><div class='col_10 left column'>{$tvars.latestReport.result.rankings.majestic_cf}</div><div class='clear'></div>
										{/if}
										{if !empty($tvars.latestReport.result.rankings.majestic_tf)}
											<div class='col_2 right column bold'>Majestic TrustFlow</div><div class='col_10 left column'>{$tvars.latestReport.result.rankings.majestic_tf}</div><div class='clear'></div>
										{/if}
									</div>
								</fieldset>
							</div>
							<div class="clear"></div>
							<div class="col_12">
								<fieldset>
									<div class="legend">{t}Indexed Pages{/t}</div>
									<div class='content'>
										<div class='col_2 right column bold'>Google</div><div class='col_10 left column'>{$tvars.latestReport.result.indexed.google}</div><div class='clear'></div>
										<div class='col_2 right column bold'>Bing</div><div class='col_10 left column'>{$tvars.latestReport.result.indexed.bing}</div><div class='clear'></div>
									</div>
								</fieldset>
							</div>
						</div>
						<div id="audit_social" class="tab-content" style='margin-bottom:0;padding:10px;'>
							<div class="col_12">
								<fieldset style='margin-bottom:5px;'>
									<div class="legend">Facebook</div>
									<div class='content'>
										<div class='col_2 right column bold'>{t}Shares{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.social.facebook.shares}</div><div class='clear'></div>
										<div class='col_2 right column bold'>{t}Likes{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.social.facebook.likes}</div><div class='clear'></div>
										<div class='col_2 right column bold'>{t}Comments{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.social.facebook.comments}</div><div class='clear'></div>
									</div>
								</fieldset>
							</div>
							<div class="clear"></div>
							<div class="col_12">
								<fieldset>
									<div class="legend">Twitter</div>
									<div class='content'>
										<div class='col_2 right column bold'>{t}Tweets{/t}</div><div class='col_10 left column'>{$tvars.latestReport.result.social.twitter.tweets}</div><div class='clear'></div>
									</div>
								</fieldset>
							</div>
						</div>
					</div>
				</div>
			</fieldset>
		</div>
		<div class='clear'></div>
	{/if}
</div>