<?php
class OS_WIDGET_selfcrawlevo_mainView
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$viewDataVars = array();
		
		

		return $viewDataVars;
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tplVars = array();
		
		$headContents = array();
		
		$osWidgetPlugin = $OS->getWidgetHandler()->getWidgetPlugin();
		
		$viewData = $this->buildViewData();
		
		$osProject=$OS->getProject();
		$crawlOps=$OS->getProjectCrawlOps();
		
		if ($crawls = $crawlOps->getProjectCrawls(array('project_id' => $osProject->id, 'status' => 'D', 'set'=> 1, 'max_rows' => 6)) AND count($crawls)>=2)
		{
			$crawls=array_reverse($crawls,true);
			
			$stats=array('all'=>array(),'2xx'=>array(),'3xx'=>array(),'4xx'=>array(),'5xx'=>array());
			
			$chartColors=array('all'=>'#27ae60','2xx'=>'#27ae60','3xx'=>'#3498db','4xx'=>'#d35400','5xx'=>'#c13a32');
			
			foreach ($crawls as $crawl)
			{
				$stats['all'][$crawl->status_dt]=$crawl->urls;
				$stats['2xx'][$crawl->status_dt]=$crawl->urls_2xx;
				$stats['3xx'][$crawl->status_dt]=$crawl->urls_3xx;
				$stats['4xx'][$crawl->status_dt]=$crawl->urls_4xx;
				$stats['5xx'][$crawl->status_dt]=$crawl->urls_5xx;
			}
			
			$osCharts=$OS->getCharts();
			
			$tplVars['chartTypes']=array('all'=>_("All"),'2xx'=>_("Success (1xx,2xx)"),'3xx'=>_("Redirects (3xx)"),'4xx'=>_("Client Errors (4xx)"),'5xx'=>_("Server Errors (5xx)"));
			$tplVars['charts']=array();
			
			foreach ($stats as $type=>$data)
			{
				$chartValues=array();$chartTooltips=array();$chartLabels=array();
				$day_index=0;
				foreach ($data as $day=>$urls)
				{
					$chartValues[]=$urls;
					if ($day_index%3==0)
					{
						$chartLabels[]=date('d M',strtotime($day));
					}
					else
					{
						$chartLabels[]=false;
					}
					$chartTooltips[]=date('d M',strtotime($day))."\n{$urls} "._("URLs");
				}
				
				$chartOptions=array(
					'values'=>array_values($chartValues),
					'labels'=>$chartLabels,
					'tooltips'=>$chartTooltips,
					'fill'=>true,
					'color'=>$chartColors[$type]
				);
				
				if ($type!=='all')
				{
					$chartOptions['width']='inherit';
				}
				
				$chartData = $osCharts->getLineChart($chartOptions);
				
				$tplVars['charts'][$type] = $chartData['html'];
				
				$headContents = array_merge($headContents, $chartData['js']);
			}
			
			$headContents['selfcrawlevo']="<script type='text/javascript'>
				var currentType='all';

				function selfcrawlevoChangeType(selectedIndex)
				{
					$('#chartsContainer').css('margin-top',(-selectedIndex*150)+'px')
				}
			</script>";
			
			$headContents['css']['selfcrawlevo']=$osWidgetPlugin->getWidgetHomeUrl()."/resources/style.css";
		}

		
		$tpl = $OS->getTemplate();
		
		$tpl->setHeadContents($headContents);
		
		return $tpl->fetchTemplate('mainview', $tplVars);
	}
}
?>