<?php
class OS_WIDGET_SocialSignalsTopUrls_mainView
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$appHandler = $OS->getAppHandler('socialsignals');

		$appOps=OS_APP_SocialSignals_UrlOperations::get_instance();
		
		return array(
			'urls'=>$appOps->getUrls(false,0,10,'total',1)
		);
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tplVars=array();
		$viewData=$this->buildViewData();
		
		$appBaseURL=$OS->getConfigVar('root_url').'/livedash/index.php#apps/socialsignals/url';
		
		if ($viewData['urls'])
		{
			$osWidgetPlugin = $OS->getWidgetHandler()->getWidgetPlugin();
			
			$tplVars['imagesURL']=$osWidgetPlugin->getWidgetHomeUrl().'/resources/images/social';
			
			foreach ($viewData['urls'] as $url_id=>$url)
			{
				$tplVars['urls'][$url_id]=$url->toTemplate();
				$tplVars['urls'][$url_id]['_inAppURL']=$appBaseURL.'/url_id='.$url_id;
			}
		}
		else
		{
			$tplVars['urls']=false;
		}
		
		$tpl = $OS->getTemplate();
		
		return $tpl->fetchTemplate('mainview', $tplVars);
	}
}
?>