<div class="section-center col_6">
	<div class="simple-box">
		<div class="title">{t}Check OpenS Database tables{/t}</div>
		<div class="content center">
		
			<table cellspacing="0" cellpadding="0" class="tight" width="100%">
				<tbody>
					{if !empty($tvars.stepDetails.sqlBatchTests)}
						{foreach from=$tvars.stepDetails.sqlBatchTests key=index  item=operation}
							<tr>
								<td class="col_1">&nbsp;</td>
								<td class="col_11 left">{$operation.message}</td>
							</tr>
						{/foreach}
					{else}
						<tr>
							<td class="center">{t}All SQL Tables are synced{/t}</td>
						</tr>
					{/if}	
				</tbody>
			</table>
		</div>
	</div>
	<div class="clear"></div>
</div>
	
	
{if !empty($tvars.stepDetails.userDetailsResponse)}
	<div class="section-center col_6">
		<div class="simple-box">
			<div class="title">{t}OpenS Admin User Details{/t}</div>
			<div class="content">			
		
				<table cellspacing="0" cellpadding="0" class="default" width="100%">
					<tbody>
						<tr>
							<td class="col_6 center"><label>{t}Administrator Username{/t}</label></td>
							<td class="col_6 center"><b>{$tvars.stepDetails.userDetailsResponse.username}</b></td>
						</tr>
						<tr>
							<td class="col_6 center"><label>{t}Administrator Email{/t}</label></td>
							<td class="col_6 center"><b>{$tvars.stepDetails.userDetailsResponse.email}</b></td>
						</tr>
					</tbody>
				</table>
				
			</div>
		</div>
		<div class="clear"></div>
	</div>	
{/if}
	
	
{if !empty($tvars.stepDetails.projectDetailsResponse)}
	<div class="section-center col_6">
		<div class="simple-box">
			<div class="title">{t}OpenS Project Details{/t}</div>
			<div class="content">			
			
				<table cellspacing="0" cellpadding="0" class="default" width="100%">
					<tbody>
						<tr>
							<td class="col_6 center"><label>{t}Project Name{/t}</label></td>
							<td class="col_6 center"><b>{$tvars.stepDetails.projectDetailsResponse.project_name}</b></td>
						</tr>
						<tr>
							<td class="col_6 center"><label>{t}Project URL{/t}</label></td>
							<td class="col_6 center"><b>{$tvars.stepDetails.projectDetailsResponse.project_url}</b></td>
						</tr>
						<tr>
							<td class="col_6 center"><label>{t}Project Timezone{/t}</label></td>
							<td class="col_6 center"><b>{$tvars.stepDetails.projectDetailsResponse.timezone}</b></td>
						</tr>
					</tbody>
				</table>
			
			</div>
		</div>
		<div class="clear"></div>
	</div>
{/if}