<?php
/*                                                                                                                                                                                                    
 *+---------------------------------------------------------------------------+
 *| OpenS v0.1                                                                |
 *| ==========                                                                |
 *|                                                                           |
 *| Copyright (c) 2011-2012 OpenS                                             |
 *| For contact details, see: http://www.opens.org/                           |
 *|                                                                           |
 *| This program is free software; you can redistribute it and/or modify      |
 *| it under the terms of the GNU General Public License as published by      |
 *| the Free Software Foundation; either version 2 of the License, or         |
 *| (at your option) any later version.                                       |
 *|                                                                           |
 *| This program is distributed in the hope that it will be useful,           |
 *| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
 *| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
 *| GNU General Public License for more details.                              |
 *|                                                                           |
 *| You should have received a copy of the GNU General Public License         |
 *| along with this program; if not, write to the Free Software               |
 *| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
 *+---------------------------------------------------------------------------+
 *$Id: /int/proxy_check.php 2012-01-09$
 */

include "../init.php";

$OS = getOS();

//add hash validation 

$remoteAddr = $_SERVER['REMOTE_ADDR'];

$proxy_headers = array(
		'CLIENT_IP', 
		'FORWARDED', 
		'FORWARDED_FOR', 
		'FORWARDED_FOR_IP', 
		'HTTP_CLIENT_IP', 
		'HTTP_FORWARDED', 
		'HTTP_FORWARDED_FOR', 
		'HTTP_FORWARDED_FOR_IP', 
		'HTTP_PC_REMOTE_ADDR', 
		'HTTP_PROXY_CONNECTION',
		'HTTP_VIA', 
		'HTTP_X_FORWARDED', 
		'HTTP_X_FORWARDED_FOR', 
		'HTTP_X_FORWARDED_FOR_IP', 
		'HTTP_X_IMFORWARDS', 
		'HTTP_XROXY_CONNECTION', 
		'VIA', 
		'X_FORWARDED', 
		'X_FORWARDED_FOR'
		);

$responseData = array(
	'actionStatus'=> true,
	'actionData' => array('remote_addr' => $remoteAddr)
	);

foreach($proxy_headers as $proxy_header)
{
	$test = (isset($_SERVER[$proxy_header])? true : false);
	$responseData['actionData'][strtolower($proxy_header)] = $test;
	
	if($test === true)
	{
		$responseData['actionStatus'] = false;
	}
}	

echo json_encode($responseData);
?>