<?php
class OS_Fork
{
	public static function fork($module,$module_name,$action,$params=array())
	{
		$OS=getOS();
		$osUtils=$OS->getUtils();
		
		$fork_lib=os_join_path($OS->getConfigVar('root_path'),'forks','fork.php');
		
		$command=$osUtils->getPHPCLI()." {$fork_lib} {$module}";
		
		if (!empty($module_name))
		{
			$command.=" {$module_name}";
		}
		
		$command.=" {$action}";
		
		if (!empty($params))
		{
			foreach ($params as $param=>$value)
			{
				$command.=" {$value}";
			}
		}

		return $osUtils->execForked($command);
	}
	
	public static function isCLI()
	{
		$result=false;
		
		if (php_sapi_name()=='cli')
		{
			$result=true;
		}
		
		return $result;
	}
	
	public static function forceCLI()
	{
		if (!self::isCLI())
		{
			exit;
		}
	}
}
?>