<?php
class OS_PLUGIN_SearchEngine_bing_xl extends OS_PLUGIN_SearchEngine_bing_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.bing.com/search?q=##query##&setmkt=es-xl";
	
	public $serpReferral=array(
		'domain_pattern'=>'.bing.com',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='xl';
	public $title='Latin America';
	public $domain='bing.com';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_bing_xl();
		}
		
		return self::$_instance;
	}
}
?>