<?php
class OS_PLUGIN_SearchEngine_google_az extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.az/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.az',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='az';
	public $title='Azerbaijan';
	public $domain='google.az';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_az();
		}
		
		return self::$_instance;
	}
}
?>