<?php
class OS_PLUGIN_SearchEngine_google_ba extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.ba/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.ba',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ba';
	public $title='Bosnia Herzegovina';
	public $domain='google.ba';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ba();
		}
		
		return self::$_instance;
	}
}
?>