<?php
class OS_PLUGIN_SearchEngine_google_be extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.be/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.be',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='be';
	public $title='Belgium';
	public $domain='google.be';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_be();
		}
		
		return self::$_instance;
	}
}
?>