<?php
class OS_PLUGIN_SearchEngine_google_cl extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.cl/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.cl',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='cl';
	public $title='Chile';
	public $domain='google.cl';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_cl();
		}
		
		return self::$_instance;
	}
}
?>