<?php
class OS_PLUGIN_SearchEngine_google_cn extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.cn/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.cn',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='cn';
	public $title='China';
	public $domain='google.cn';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_cn();
		}
		
		return self::$_instance;
	}
}
?>