<?php
class OS_PLUGIN_SearchEngine_google_cz extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.cz/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.cz',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='cz';
	public $title='Czech Republic';
	public $domain='google.cz';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_cz();
		}
		
		return self::$_instance;
	}
}
?>