<?php
class OS_PLUGIN_SearchEngine_google_es extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.es/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.es',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='es';
	public $title='Spain';
	public $domain='google.es';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_es();
		}
		
		return self::$_instance;
	}
}
?>