<?php
class OS_PLUGIN_SearchEngine_google_fm extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.fm/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.fm',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='fm';
	public $title='Micronesia';
	public $domain='google.fm';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_fm();
		}
		
		return self::$_instance;
	}
}
?>