<?php
class OS_PLUGIN_SearchEngine_google_fr extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.fr/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.fr',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='fr';
	public $title='France';
	public $domain='google.fr';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_fr();
		}
		
		return self::$_instance;
	}
}
?>