<?php
class OS_PLUGIN_SearchEngine_google_gp extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.gp/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.gp',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='gp';
	public $title='Guadaloupe';
	public $domain='google.gp';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_gp();
		}
		
		return self::$_instance;
	}
}
?>