<?php
class OS_PLUGIN_SearchEngine_google_gr extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.gr/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.gr',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='gr';
	public $title='Greece';
	public $domain='google.gr';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_gr();
		}
		
		return self::$_instance;
	}
}
?>