<?php
class OS_PLUGIN_SearchEngine_google_gt extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.gt/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.gt',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='gt';
	public $title='Guatemala';
	public $domain='google.com.gt';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_gt();
		}
		
		return self::$_instance;
	}
}
?>