<?php
class OS_PLUGIN_SearchEngine_google_hr extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.hr/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.hr',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='hr';
	public $title='Croatia';
	public $domain='google.hr';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_hr();
		}
		
		return self::$_instance;
	}
}
?>