<?php
class OS_PLUGIN_SearchEngine_google_hu extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.hu/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.hu',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='hu';
	public $title='Hungary';
	public $domain='google.hu';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_hu();
		}
		
		return self::$_instance;
	}
}
?>