<?php
class OS_PLUGIN_SearchEngine_google_in extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.in/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.in',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='in';
	public $title='India';
	public $domain='google.co.in';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_in();
		}
		
		return self::$_instance;
	}
}
?>