<?php
class OS_PLUGIN_SearchEngine_google_it extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.it/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.it',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='it';
	public $title='Italy';
	public $domain='google.it';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_it();
		}
		
		return self::$_instance;
	}
}
?>