<?php
class OS_PLUGIN_SearchEngine_google_jp extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.jp/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.jp',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='jp';
	public $title='Japan';
	public $domain='google.co.jp';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_jp();
		}
		
		return self::$_instance;
	}
}
?>