<?php
class OS_PLUGIN_SearchEngine_google_li extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.li/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.li',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='li';
	public $title='Liechtenstein';
	public $domain='google.li';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_li();
		}
		
		return self::$_instance;
	}
}
?>