<?php
class OS_PLUGIN_SearchEngine_google_ls extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.ls/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.ls',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ls';
	public $title='Lesotho';
	public $domain='google.co.ls';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ls();
		}
		
		return self::$_instance;
	}
}
?>