<?php
class OS_PLUGIN_SearchEngine_google_lt extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.lt/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.lt',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='lt';
	public $title='Lithuania';
	public $domain='google.lt';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_lt();
		}
		
		return self::$_instance;
	}
}
?>