<?php
class OS_PLUGIN_SearchEngine_google_lv extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.lv/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.lv',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='lv';
	public $title='Latvia';
	public $domain='google.lv';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_lv();
		}
		
		return self::$_instance;
	}
}
?>