<?php
class OS_PLUGIN_SearchEngine_google_mv extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.mv/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.mv',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='mv';
	public $title='Maldives';
	public $domain='google.mv';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_mv();
		}
		
		return self::$_instance;
	}
}
?>