<?php
class OS_PLUGIN_SearchEngine_google_mx extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.mx/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.mx',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='mx';
	public $title='Mexico';
	public $domain='google.com.mx';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_mx();
		}
		
		return self::$_instance;
	}
}
?>