<?php
class OS_PLUGIN_SearchEngine_google_no extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.no/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.no',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='no';
	public $title='Norway';
	public $domain='google.no';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_no();
		}
		
		return self::$_instance;
	}
}
?>