<?php
class OS_PLUGIN_SearchEngine_google_qa extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.qa/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.qa',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='qa';
	public $title='Qatar';
	public $domain='google.com.qa';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_qa();
		}
		
		return self::$_instance;
	}
}
?>