<?php
class OS_PLUGIN_SearchEngine_google_ro extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.ro/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.ro',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ro';
	public $title='Romania';
	public $domain='google.ro';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ro();
		}
		
		return self::$_instance;
	}
}
?>