<?php
class OS_PLUGIN_SearchEngine_google_tl extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.tl/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.tl',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='tl';
	public $title='Timor-Leste';
	public $domain='google.tl';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_tl();
		}
		
		return self::$_instance;
	}
}
?>