<?php
class OS_PLUGIN_SearchEngine_google_tt extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.tt/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.tt',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='tt';
	public $title='Trinidad-Tobago';
	public $domain='google.tt';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_tt();
		}
		
		return self::$_instance;
	}
}
?>