<?php
class OS_PLUGIN_SearchEngine_google_ua extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.ua/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.ua',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ua';
	public $title='Ukraine';
	public $domain='google.com.ua';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ua();
		}
		
		return self::$_instance;
	}
}
?>