<?php
class OS_PLUGIN_SearchEngine_google_ve extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.ve/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.ve',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ve';
	public $title='Venezuela';
	public $domain='google.co.ve';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ve();
		}
		
		return self::$_instance;
	}
}
?>