<?php
class OS_PLUGIN_SearchEngine_google_vu extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.vu/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.vu',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='vu';
	public $title='Vanuatu';
	public $domain='google.vu';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_vu();
		}
		
		return self::$_instance;
	}
}
?>