<?php
class OS_PLUGIN_SearchEngine_google_zw extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.zw/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.zw',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='zw';
	public $title='Zimbabwe';
	public $domain='google.co.zw';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_zw();
		}
		
		return self::$_instance;
	}
}
?>