<?php
class OS_PLUGIN_SocialSignals_Twitter
{
	private static $_instance;
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SocialSignals_Twitter();
		}
		
		return self::$_instance;
	}
	
	public function buildSignalsUrl($url)
	{
		return "http://urls.api.twitter.com/1/urls/count.json?url=".urlencode($url);
	}
	
	public function getSignals($url)
	{
		$result=false;
		
		$signalsUrl=$this->buildSignalsUrl($url);
		
		$osHttp=getOS()->getHttp();
		
		$response=$osHttp->get($signalsUrl);
		
		if ($response AND $osHttp->success())
		{
			if ($response=json_decode($response,true))
			{
				if (isset($response['count']))
				{
					$result=array(
						'tweets'=>$response['count'],
					);
				}
			}
		}
		
		return $result;
	}
}
?>