//assign global objects
document.head = document.head || document.getElementsByTagName("head")[0];

var osKernel = window.osKernel || {};

var xHttp = window.xHttp || {};

var jqNotify = window.jqNotify || {};

function keepAlive(rootURL)
{
	var keep_alive=document.getElementById('keep_alive_img');
	var cb=Math.random()*999999;
	if (!keep_alive)
	{
		var keep_alive=document.createElement('img');
		keep_alive.id='keep_alive_img';
		keep_alive.src=rootURL+"/users/keep_alive.php?cb="+cb;
		document.body.appendChild(keep_alive);
	}
	else keep_alive.src=rootURL+"/users/keep_alive.php?cb="+cb;
}

var osKernel = 
{
	//replace with other values	
	ajax : xHttp, 	 	
	notification : $.noty,
	boxErrorMessages: null,
	fieldErrorMessages: null,
	infoMessages: null,
		
	isset : function (variable)
    {
    	return typeof(variable) != "undefined" && variable !== null;	
    },

    showNotification : function()
    {
    	return this.notification;
    	//noty({layout : 'topLeft', theme : 'noty_theme_default', type : 'warning',         text: 'warning with default theme',         timeout : false });
    },
    
    showErrorNotification: function(messageText)
    {
    	this.showNotification({type: 'error', layout : 'topRight', text: messageText});
    },
    
    showInfoNotification: function(messageText)
    {
    	this.showNotification({type: 'info', layout : 'topRight', text: messageText});
    },
    
    showSuccessNotification: function(messageText)
    {
    	this.showNotification({type: 'success', layout : 'topRight', text: messageText});
    },
    
    showWarningNotification: function(messageText)
    {
    	this.showNotification({type: 'warning', layout : 'topRight', text: messageText});
    },
    
    
    showErrorSplash: function(messageText)
    {
    	this.showNotification({type: 'error', text: messageText});
    },
    
    showInfoSplash: function(messageText)
    {
    	this.showNotification({type: 'info', text: messageText});
    },
    
    showSuccessSplash: function(messageText)
    {
    	this.showNotification({type: 'success', text: messageText});
    },
    
    showWarningSplash: function(messageText)
    {
    	this.showNotification({type: 'warning', text: messageText});
    },
    
    
    showNotification: function(options)
    {
    	var defaultOptions = {layout : 'topCenter', theme : 'noty_theme_default', type : 'warning', text: "", timeout : 5000 };
    	
    	for(index in options) defaultOptions[index] = options[index];
    	
    	this.notification(defaultOptions);
    },
    
    ajax: function()
    {
    	return this.xHttp;
    },
    
    setErrorsData: function(errorData)
    {
		var boxErrors = []; var fieldErrors = {};
		for(index in errorData)
		{
			if(errorData[index].type == 'B') boxErrors.push(errorData[index].error);
			else if(errorData[index].type == 'F') fieldErrors[index] = errorData[index].error;
		}
		
		this.boxErrorMessages = boxErrors;
		this.fieldErrorMessages = fieldErrors;
    },
    
    setInfoMessagesData: function(infoData)
    {
    	var infoMessages = [];
    	for(index in infoData) infoMessages.push(infoData[index]);
    	
    	this.infoMessages = infoMessages;
    },
    
    loadErrorMessages: function()
    {
		if(this.boxErrorMessages.length > 0) this.showErrorSplash(this.boxErrorMessages.join('<br>'));
		
		var self =  this;

		//Highlight fields inputs
		$('form :input').each(function(){

			currentItem = this;
			if(currentItem.name) if(currentItem.name !='')
			{
				for(errType in self.fieldErrorMessages) 
				{
					tmpName = errType+'_box';
					if(tmpName == currentItem.name)
					{
						self.activateErrorField(currentItem, errType, self.fieldErrorMessages[errType]);
					}
				}
			}  	
		});
		
		//Highlight fields labels
		/*
		$('form').find("label").each(function(){
			
			var labelObj = $(this);
			var labelLink = labelObj.attr("for");
			
			if(labelLink)
			{
				for(errType in self.fieldErrorMessages) 
				{
					tmpName = errType+"_box";
					if(tmpName == labelLink)
					{
						labelObj.addClass("error");
					}
				}
			}
		});
		*/
		
    },
    
    loadInfoMessages: function()
    {
    	if(this.infoMessages.length > 0) this.showSuccessSplash(this.infoMessages.join('<br>'));
    },
    
    activateErrorField: function(fieldObj, errType, message)
    {
		$(fieldObj).addClass('error');
		parentBox  = $(fieldObj).parent();
		parentBox.append('<label class="error col_12" for="'+errType+'_box" generated="true">'+message+'</label>');
    },
    
    go2Url:  function(url)
    {
    	if(url) window.location.href = url;
    },
    
    submitForm :  function(ObjID)
    {
    	var OBJ = document.getElementById(ObjID);
    	if(OBJ) if(OBJ.tagName == 'FORM') {OBJ.submit();}
    }

};


var jqNotify = 
{
	showNotification : function(params)
	{
		// options array
		var options = { 
			'showAfter': 0, // number of sec to wait after page loads
			'duration': 0, // display duration
			'autoClose' : false, // flag to autoClose notification message
			'type' : 'success', // type of info message error/success/info/warning
			'message': '', // message to dispaly
			'link_notification' : '', // link flag to show extra description
			'description' : '' // link to desciption to display on clicking link message
		}; 
		// Extending array from params
		$.extend(true, options, params);
		
		var msgclass = 'succ_bg'; // default success message will shown
		if(options['type'] == 'error')
		{
			msgclass = 'error_bg'; // over write the message to error message
		} 
		else if(options['type'] == 'information')
		{
			msgclass = 'info_bg'; // over write the message to information message
		} 
		else if(options['type'] == 'warning')
		{
			msgclass = 'warn_bg'; // over write the message to warning message
		} 
		
		// Parent Div container
		var container = '<div id="info_message" class="'+msgclass+'"><div class="center_auto"><div class="info_message_text message_area">';
		container += options['message'];
		container += '</div><div class="info_close_btn button_area" onclick="return jqNotify.close()"></div><div class="clearboth"></div>';
		container += '</div><div class="info_more_descrption"></div></div>';
		
		$notification = $(container);
		
		// Appeding notification to Body
		$('body').append($notification);
		
		var divHeight = $('div#info_message').height();
		// see CSS top to minus of div height
		$('div#info_message').css({
			top : '-'+divHeight+'px'
		});
		
		// showing notification message, default it will be hidden
		$('div#info_message').show();
		
		// Slide Down notification message after startAfter seconds
		this.slideDownNotification(options['showAfter'], options['autoClose'],options['duration']);
		
		$('.link_notification').live('click', function(){
			$('.info_more_descrption').html(options['description']).slideDown('fast');
		});
		
	},
	
	showSplash : function (type,message)
	{
		this.showNotification({
	            type: type,
	            message: message,
	            autoClose: true,
	            duration: 5                                        
				});
	},
	
	showError : function (message)
	{
		this.showNotification(
				{
	            message: message,
	            type: 'error',
	            autoClose: true,
	            duration: 5                                        
				});
	},

	showInfo : function (message)
	{
		this.showNotification(
				{
	            message: message,
	            type: 'info',
	            autoClose: true,
	            duration: 5                                        
				});
	},
	
	
	showSuccess : function (message)
	{
		this.showNotification(
				{
	            message: message,
	            type: 'success',
	            autoClose: true,
	            duration: 5                                        
				});
	},

	showWarning : function (message)
	{
		this.showNotification(
				{
	            message: message,
	            type: 'warning',
	            autoClose: true,
	            duration: 5                                        
				});
	},
	
	// function to close notification message
	// slideUp the message
	close : function(duration)
	{
		var divHeight = $('div#info_message').height();
		setTimeout(function(){
			$('div#info_message').animate({
				top: '-'+divHeight
			}); 
			// removing the notification from body
			setTimeout(function(){
				$('div#info_message').remove();
			},200);
		}, parseInt(duration * 1000));   
	},

	// sliding down the notification
	slideDownNotification : function (startAfter, autoClose, duration)
	{    
		setTimeout(function()
		{
			$('div#info_message').animate({top: 0});
			
			if(autoClose)
			{
				setTimeout(function(){jqNotify.close(duration);}, duration);
			}
		}, parseInt(startAfter * 1000));    
	}
};


var xHttp =
{
	jQuery : $,
	remoteUrl:"../controllers",
	successCallBack : null,
	errorCallBack : null,
	action: null,
	section: null,
	
	Post : function (requestData)	
		{
		if(typeof requestData.action != 'undefined')
			{
			if (typeof requestData.app != 'undefined') this.remoteUrl="../apps/"+requestData.app+"/controllers";
			
			this.section = requestData.section;
			this.action = requestData.action;
			this.successCallBack = requestData.callback; //this.action+'Response';
			
			var actionParams = (typeof requestData.params != 'undefined' ? requestData.params :{});
			
			//change with full ajax request
			jQuery.post(
				this.remoteUrl+'/'+this.section+'/', 
				{action: this.action, params: actionParams}, 
				function(jsonResponse) {xHttp.responseOk(jsonResponse);},
				'json');
			}
		},
		
	Get : function (requestData)	
		{
		if (typeof requestData.app != 'undefined') this.remoteUrl="../apps/"+requestData.app+"/controllers";
		
		var action = requestData.action;
		this.successCallBack = requestData.callback;
		
		jQuery.getJSON(
			this.remoteUrl, 
			{action: requestData.action, params: requestData.params}, 
			function(jsonResponse) {xHttp.responseOk(jsonResponse);});
		},

	responseOk : function (jsonResponse)	
		{
			if(jsonResponse.status == 'FAIL')
			{
				jqNotify.showError(jsonResponse.data.message);
			}
			else
			{
				this.handleNotification(jsonResponse.data);
				this.successCallBack(jsonResponse.data);
			}
		},
	responseError : function(jsonResponse)
		{
			jqNotify.showError("Connection error. Please try again later");
			
			//execute error callback function if exists
			if(this.successCallBack != null) this.successCallBack();
		},
		
	handleNotification : function(responseData)
		{
	    	if(typeof responseData.notification  != 'undefined')
			{
	    		var notification = responseData.notification;
	    		jqNotify.showSplash(notification.type,notification.message);
			}
		}
};


//handle main window draggable
$().ready(function() {
	var mainWindow = $('.main-window');
	
	if(mainWindow.length)
	{
		mainWindow.draggable({handle: '.window-header',opacity: 0.7});
		$('.window-header').disableSelection();
		$('span.window-close').click(function(){$('div.main-window').hide();});
	}
});