(function($){
    $.fn.jExpand = function(){
        var element = this;
        
        $(element).find("tr:odd").not("table tr").addClass("stats-odd");
        $(element).find("tr:not(.stats-odd)").not("table tr").addClass("stats-row-hide");
        $(element).find("tr:first-child").show();

        $(element).find("tr.stats-odd").each(function()
        {
            var currentRow = $(this);
            
            currentRow.find("span#expand-row-details").click(function()
            {
            	var nextRow = currentRow.next("tr");
            	if(nextRow.hasClass("stats-row-hide"))
            	{
            		nextRow.removeClass("stats-row-hide").addClass("stats-row-show");	
            	}
            	else if(nextRow.hasClass("stats-row-show"))
            	{
            		nextRow.removeClass("stats-row-show").addClass("stats-row-hide");
            	}
            });	
        });
        
    }    
})(jQuery); 