<?php
/*                                                                                                                                                                                                    
 *+---------------------------------------------------------------------------+
 *| OpenS v0.1                                                                |
 *| ==========                                                                |
 *|                                                                           |
 *| Copyright (c) 2011-2012 OpenS                                             |
 *| For contact details, see: http://www.opens.org/                           |
 *|                                                                           |
 *| This program is free software; you can redistribute it and/or modify      |
 *| it under the terms of the GNU General Public License as published by      |
 *| the Free Software Foundation; either version 2 of the License, or         |
 *| (at your option) any later version.                                       |
 *|                                                                           |
 *| This program is distributed in the hope that it will be useful,           |
 *| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
 *| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
 *| GNU General Public License for more details.                              |
 *|                                                                           |
 *| You should have received a copy of the GNU General Public License         |
 *| along with this program; if not, write to the Free Software               |
 *| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
 *+---------------------------------------------------------------------------+
 *$Id: os_core.php 2012-01-09$
 */

include "../init.php";

$OS = getOS();

$osUser = $OS->getUser();


//check if user is logged
$osUser->forceUserLogin();


$tpl = $OS->getTemplate();

$root_url = $OS->getConfigVar('root_url');

$headContents = array(
	'css' => array(
		'kickstart-buttons.css' => $root_url.'/lib/css/kickstart-buttons.css',
		'kickstart-forms.css' => $root_url.'/lib/css/kickstart-forms.css',
		'kickstart-menus.css' => $root_url.'/lib/css/kickstart-menus.css',
		'kickstart-grid.css' => $root_url.'/lib/css/kickstart-grid.css',
		'kickstart-icons.css' => $root_url.'/lib/css/kickstart-icons.css',
		'jquery.fancybox.css' => $root_url.'/lib/css/jquery.fancybox-1.3.4.css',
		'prettify.css' => $root_url.'/lib/css/prettify.css',
		'chosen.css' => $root_url.'/lib/css/chosen.css',
		'tiptip.css' => $root_url.'/lib/css/tiptip.css',
		'kickstart-strip.css' => $root_url.'/lib/css/kickstart-strip.css',
		'style.css' => $root_url.'/lib/css/style.css',
		'jquery.noty.css' => "{$root_url}/lib/javascript/noty/css/jquery.noty.css",
		'noty_theme_default.cs' => "{$root_url}/lib/javascript/noty/css/noty_theme_default.css",
		//'noty_theme_twitter.css' => "{$root_url}/lib/javascript/noty/css/noty_theme_twitter.css",
		//'noty_theme_mitgux.css' => "{$root_url}/lib/javascript/noty/css/noty_theme_mitgux.css",
		//'noty_theme_facebook.css' => "{$root_url}/lib/javascript/noty/css/noty_theme_facebook.css",
		//'noty_theme_growl.css' => "{$root_url}/lib/javascript/noty/css/noty_theme_growl.css",
		'livedash.css' => "{$root_url}/lib/css/livedash.css",
		'jquery.window.css' => "{$root_url}/livedash/js/libs/jqwindow/jquery.window.css"
		),
	'js' => array(
		'jquery.min.js' => "{$root_url}/lib/javascript/jquery/jquery-1.7.1.min.js",
		'jquery-ui-1.7.2.min.js' => "{$root_url}/lib/javascript/jqueryui/jquery-ui-1.7.2.min.js",
		'prettify.js' => $root_url.'/lib/javascript/kickstart/prettify.js',
		'kickstart.js' => $root_url.'/lib/javascript/kickstart/kickstart.js',
		'jquery.noty.js' => "{$root_url}/lib/javascript/noty/jquery.noty.js",
		'promise.js' => "{$root_url}/lib/javascript/noty/promise.js",
		'kernel.boot.js' => $root_url.'/lib/javascript/core/kernel.boot.js',
		),
	'html5shiv.googlecode.com' => '<!--[if lt IE 9]><script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script><![endif]-->',
	'require.js' => '<script data-main="js/main" src="js/libs/require/require.js"></script>'	
	);
	
$tpl->setHeadContents($headContents);

$tpl->setBodyContents("<div id='livedash-container'></div>");

echo $tpl->mainTemplateRender('main_live');
?>