define([
  'jquery',
  'underscore',
  'backbone',
  'models/admin_market/appitem'
], function($, _, Backbone, appItemModel){
	
  var appSet = Backbone.Collection.extend({
  
  	url: "../controllers/admin_market/index.php",
	
    model: appItemModel,
    
    defaults:{},
        
    initialize: function()
    {
    	Backbone.log("appSet initialized");
    	
	   	 this._meta = {};
		 
		 Backbone.setMeta(this, 'methodMap',{'read': 'getCategoryDetails'});
    }
  });
  
  return appSet;
});
