var xHttp =
{
	jQuery : $,
	remoteUrl: null,
	action: null,
	type: null,
	successCallBack: null,
	errorCallBack: null,
	
	Post : function (requestData)	
		{
		if(typeof requestData.url == 'undefined') return (false);
		else if(typeof requestData.type == 'undefined') return (false);
		else if(typeof requestData.action == 'undefined') return (false);
		else{
			this.remoteUrl = requestData.url;
			this.type = requestData.type;
			this.action = requestData.action;
			this.successCallBack = requestData.callback;
			
			var actionParams = (typeof requestData.params != 'undefined' ? requestData.params :{});
			
			//change with full ajax request
			jQuery.post(
				this.remoteUrl, 
				{action: this.action, type: requestData.type, params: actionParams}, 
				function(jsonResponse) {xHttp.responseOk(jsonResponse);},
				'json');
			
			return (true);
			}
		},
		
	Get : function (requestData)	
		{
		if(typeof requestData.action != 'undefined' &&  typeof requestData.url != 'undefined')
			{
			this.action = requestData.action;
			this.successCallBack = requestData.callback;
			
			jQuery.getJSON(
				this.remoteUrl, 
				{action: requestData.action, params: requestData.params}, 
				function(jsonResponse) {xHttp.responseOk(jsonResponse);});
			}
		},

	responseOk : function (jsonResponse)	
		{
			if(jsonResponse.status == 'FAIL')
			{
				jqNotify.showError(jsonResponse.data.message);
			}
			else
			{
				this.handleNotification(jsonResponse.data);
				this.successCallBack(jsonResponse.data);
			}
		},
	responseError : function(jsonResponse)
		{
			jqNotify.showError("Connection error. Please try again later");
			
			//execute error callback function if exists
			if(this.successCallBack != null) this.successCallBack();
		},
		
	handleNotification : function(responseData)
		{
	    	if(typeof responseData.notification  != 'undefined')
			{
	    		var notification = responseData.notification;
	    		jqNotify.showSplash(notification.type,notification.message);
			}
		}
}