define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var newAppModel = Backbone.Model.extend({
  
    url: "../controllers/admin_apps_manager/index.php",
    
    defaults :
    {
    	current_step : ""
    },
  
    initialize: function()
    {
    	Backbone.log("newAppModel initialized");
    	
    	 this._meta = {};
    	 
    	 Backbone.setMeta(this, 'methodMap',{'read': 'getNewAppDetails','update': 'updateNewAppDetails', 'create': 'updateNewAppDetails'});
    }
    
  });
  return newAppModel;

});
