define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var connectorModel = Backbone.Model.extend({
  	url: "../controllers/admin_connectors/index.php",
  	
    initialize: function()
    {
    	Backbone.log("admin_connectors connectorModel initialized");

    	var methodMap = {'read': 'getConnectorsDetails', 'create': 'updateConnectorsDetails', 'update': 'updateConnectorsDetails'};

    	this._meta = {};

    	Backbone.setMeta(this, 'methodMap', methodMap);
    }  
  });
  return connectorModel;

});