define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var eventModel = Backbone.Model.extend({
  	url: "../controllers/admin_events/index.php",
  	
    initialize: function()
    {
    	Backbone.log("admin_events eventModel initialized");

    	var methodMap = {'read': 'getEventsDetails', 'create': 'updateEventsDetails', 'update': 'updateEventsDetails'};

    	this._meta = {};

    	Backbone.setMeta(this,'methodMap',methodMap);
    }   
    
  });
  return eventModel;

});