define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var proxyModel = Backbone.Model.extend({
  	url: "../controllers/admin_proxies/index.php",
  	
    initialize: function()
    {
    	Backbone.log("admin_proxies proxyModel initialized");

    	var methodMap = {'read': 'getProxyDetails', 'create': 'updateProxyDetails', 'update': 'updateProxyDetails'};

    	this._meta = {};

    	Backbone.setMeta(this,'methodMap',methodMap);
    }   
    
  });
  return proxyModel;

});