define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var PageModel = Backbone.Model.extend({
    
	url: "../controllers/admin_settings/index.php", 
	  
	defaults:
	{
	},
    
    initialize: function()
    {
    	Backbone.log("admin_settings pageModel initialized");

    	var methodMap = {'read': 'getSettingsDetails','create': 'updateSettingsDetails', 'update': 'updateSettingsDetails'};

    	this._meta = {};

    	Backbone.setMeta(this, 'methodMap', methodMap);
    }
	
  });
  return PageModel;

});