define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var appItemModel = Backbone.Model.extend({
  
    url: "../controllers/market/index.php",
  
    initialize: function()
    {
    	Backbone.log("appItemModel initialized");
    	
    	 this._meta = {};
    	 
    	 Backbone.setMeta(this, 'methodMap',{'read': 'getStoreItem','update': 'updateStoreItem','create': 'updateStoreItem'});
    }
  });
  return appItemModel;

});
