define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var projectModel = Backbone.Model.extend({
  
    url: "../controllers/project_manager/index.php",
  
    initialize: function()
    {
    	Backbone.log("project_manager projectModel initialized");
    	
    	 this._meta = {};
    	 
    	 Backbone.setMeta(this, 'methodMap',{'get': 'getManagerDetails', 'create': 'updateManagerDetails', 'update': 'updateManagerDetails'});
    }

  });
  return projectModel;

});
