define([
  'underscore',
  'backbone',
  'core'
], function(_, Backbone, xHttp) {
  var boardModel = Backbone.Model.extend({
    
	url: "../controllers/widgets/index.php", 
	  
	defaults:
	{
    },
    
    initialize: function()
    {
    	Backbone.log("boardModel initialized");
    	
        var methodMap = {
        	'create': 'addSection',
        	'update': 'sectionEdit',
        	'delete': 'removeSection',
        	'read': 'getSectionWidgets',
          	};

       this._meta = {};
       
       Backbone.setMeta(this, 'methodMap', methodMap);
    }   
  });
  return boardModel;

});