// Filename: views/home/main
define([
  'jquery',
  'underscore',
  'backbone',
  'views/admin_apps_manager/appitem'
], function($, _, Backbone, appItemView){
	
  var installedAppSetView = Backbone.View.extend({
	  
	  el: '#installed-apps-container',
	
	initialize: function(options)
	{
		Backbone.log("installedAppSetView initialize");
		
		this.page = options['page'];
		
		//this.model.bind("change", this.render, this);
		
		this.appItemViews = {};
	},
	
    render: function()
    {
    	Backbone.log("installedAppSetView render");
    	
    	var self = this;
    	
    	var i=0; $(this.el).empty();
        _.each(this.model.models, function (appItem)
        {
    		i++;
    		
    		var appItemId = appItem.get("id");
    		
    		currentAppItemView = new appItemView({temp:i, model:appItem, page: self});
    		
    		self.appItemViews[appItemId] = currentAppItemView; 
    		
    		$(self.el).append(currentAppItemView.render().el);
        });
        
        return this;
    }
    
  });
  return installedAppSetView;
});	