// Filename: views/admin_market/categoryitem
define([
  'jquery',
  'underscore',
  'backbone',
  'models/admin_market/categoryitem'
], function($, _, Backbone, categoryItem){

  var categoryItemTouchView = Backbone.View.extend(
  {
  		tagName: "option",
  		
	    initialize : function (options)
	    {
	    	Backbone.log("categoryItemTouchView init");
	    	
	    	$(this.el).attr("id", 'category-item-'+this.model.get("name"));
	    	
	    	this.page = options['page'];
	    },
	    
	    render : function ()
	    {
	    	Backbone.log("categoryItemTouchView render");
	    	
	    	$(this.el).attr('id','category-touch-'+this.model.get('name')).html(this.model.get('title'));
	    	$(this.el).attr('value',this.model.get('name'));

    		if(this.page.currentCategory ==  this.model.get("name"))
			{
    			$(this.el).attr('selected','true');
			}

	    	return this;
	    }
  });
  
  return categoryItemTouchView;
});