// Filename: views/home/main
define([
  'jquery',
  'underscore',
  'backbone'
], function($, _, Backbone){

  var sectionItemTouchView = Backbone.View.extend(
  {
  		tagName: "option",
  		
	    initialize : function (options)
	    {
	    	Backbone.log("sectionItemTouchView init");
	    	
	    	$(this.el).attr("id", 'section-item-'+this.model.get("id"));
	    	
	    	this.page = options['page'];
	    },
	    
	    render : function ()
	    {
	    	Backbone.log("sectionItemTouchView render");
	    	
	    	$(this.el).attr('id','section-touch-'+this.model.get('name')).html(this.model.get('title'));
	    	$(this.el).attr('value',this.model.get('name'));

    		if(this.page.currentSection ==  this.model.get("name"))
			{
    			$(this.el).attr('selected','true');
			}

	    	return this;
	    }
  });
  
  return sectionItemTouchView;
});