{if isset($tvars.topSection)}
<header>
	{include file='top_section.tpl'}
</header>
{/if}

<div class="g12">
	<table class='tablesorter' cellpadding='0' cellspacing='0'>
		<thead> 
			<tr align='center'> 
   				<th class="header">{t}Application{/t}</th> 
   				<th class="header">{t}Description{/t}</th> 
   				<th class="header">{t}Actions{/t}</th> 
			</tr> 
		</thead>			
		<tbody>
			{if !empty($tvars.allApps)}
				{foreach from=$tvars.allApps key=app_id  item=appData}
				<tr style='height:40px;'>
					<td>{$appData.title}</td>
					<td>{$appData.description}</td>
					<td align='right' style='width:120px;'>
						<span class='action_btn_container'><a href='{$appData.remove_link}' title='{t}Remove application{/t}' class='delete_link'>&nbsp;</a></span>
					</td>
				</tr>
				{/foreach}
			{else}<tr><td colspan='3' align='center'>{t}There are no applications installed{/t}</td></tr>{/if}
		</tbody>
	</table>
	{if !empty($tvars.uninstalledApps)}
		<table class='tablesorter' cellpadding='0' cellspacing='0'>
			<thead> 
				<tr align='center'> 
	   				<th class="header">{t}Application{/t}</th> 
	   				<th class="header">{t}Actions{/t}</th> 
				</tr> 
			</thead>			
			<tbody>
				{foreach from=$tvars.uninstalledApps key=appName item=appDetails}
					<tr style='height:40px;'>
						<td>{$appName}</td>
						<td align='right' style='width:120px;'>
							<span class='action_btn_container'><a href='{$appDetails.install_link}' title='{t}Install application{/t}' class='add_link'>&nbsp;</a></span>
							<span class='action_btn_container'><a href='{$appDetails.remove_link}' title='{t}Remove uninstalled application{/t}' class='delete_link'>&nbsp;</a></span>
						</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	{/if}
<div>

