{if isset($tvars.topSection)}
<header>
	{include file='top_section.tpl'}
</header>
{/if}

<div class="g12">
	<table class='tablesorter' cellpadding='0' cellspacing='0'>
		<thead>
			<th>{t}Status{/t}</th>
			<th>{t}Name{/t}</th>
			<th>{t}Interval{/t}</th>
			<th>{t}Runs{/t}</th>
			<th>{t}Fails{/t}</th>
			<th>{t}Actions{/t}</th>
		</thead>
		<tbody>
			{if !empty($tvars.crons)}
				{foreach from=$tvars.crons key=cron_id  item=cronData}
					<tr style='height:40px;'>
						<td>{if $cronData.status=='E'}{t}ACTIVE{/t}{else}{t}INACTIVE{/t}{/if}</td>
						<td>{$cronData._module_title} - {$cronData.action}</td>
						<td>{$cronData._interval_human}</td>
						<td>{$cronData.runs} {if $cronData.runs>0}({$cronData._run_dt_human}){/if}</td>
						<td>{$cronData.fails} {if $cronData.fails>0}({$cronData._fail_dt_human}){/if}</td>
						<td align='right' style='width:120px;'>
							<span class='action_btn_container'><a href='{$cronData.action_url}' title='{$cronData.action_name}' class='{if $cronData.status=='E'}delete{else}add{/if}_link'>{$cronData.action_name}</a></span>
						</td>
					</tr>
				{/foreach}
			{else}
				<tr><td colspan='6' align='center'>{t}There are no crons defined{/t}</td></tr>
			{/if}
		</tbody>
	</table>
<div>

