{if !empty($tvars.appMenuOptions)}
	<div class="top-menu">
		<div class="col_12">
			<ul class="appmenu">
				{foreach from=$tvars.appMenuOptions key=type item=values name=top_menu}
					{if ($values.show_in_menu)}
						<li {if $values.selected}class="current"{/if} class="center">
							<a href="{$values.url}" id="menu_item_{$type}">
								{if !empty($values.menu_icon)}
									<span data-icon="{$values.menu_icon}" class="icon gray" style="display: inline-block; margin: -1px 0px -10px -5px;top:-7px;"></span>
								{/if}
								{$values.title}
							</a>
							{if $values.visible_suboptions > 0}
								<ul class="left">
									{foreach from=$values.suboptions key=sub_type item=sub_values name=top_sub_menu}
										{if ($sub_values.show_in_menu)}
											<li><a href="{$sub_values.url}">{$sub_values.title}</a></li>
										{/if}
									{/foreach}
								</ul>
							{/if}
						</li>
					{/if}
				{/foreach}
			</ul>
			<a href='{$tvars.appboardURL}' style='display:none;position:absolute;top:10px;right:5px;z-index:9999;' id='close_button'><span class='icon small gray' data-icon='x'></span></a>
			{literal}
				<script type='text/javascript'>if (location.href==top.location.href) { $('#close_button').css('display','block'); }</script>
			{/literal}
		</div>
	</div>
	<div class="clear"></div>
{/if}
{$tvars.appViewRender}