{include file="box_top.tpl"}

	<form action='?' method='POST' name='developers_apps_add_form' id='developers_apps_add_form'>
		<div class="col_12">
			<fieldset>
				<div class='legend'>{t}Application details{/t}</div>
				<div class='content'>
					<section>
						<label for='name_box'>{t}Name{/t}</label>
						<div>
							<input type='text' class="col_12" id='name_box' name='name_box' value='{if isset($smarty.post.name_box)}{$smarty.post.name_box}{/if}'>
						</div>
					</section>
					
					<section>
						<label for='title_box'>{t}Title{/t}</label>
						<div>
							<input type='text' class="col_12" id='title_box' name='title_box' value='{if isset($smarty.post.title_box)}{$smarty.post.title_box}{/if}'>
						</div>
					</section>
				
					<section>
						<label for='version_box'>{t}Version{/t}</label>
						<div>
							<input type='text' class="col_12" id='version_box' name='version_box' value='{if isset($smarty.post.version_box)}{$smarty.post.version_box}{/if}'>
						</div>
					</section>
					
					<section>
						<label for='category_box'>{t}Category{/t}</label>
						<div>
							<select id="category_box" name="category_box">
								<option value=''></option>
								{foreach from=$tvars.categories key=category_id item=category_details}
									<option value='{$category_id}' {if isset($smarty.post.category_box) AND $smarty.post.category_box==$category_id}selected{/if}>{$category_details.title}</option>
								{/foreach}
							</select>
						</div>
					</section>
					
					<section>
						<label for='description_box'>{t}Description{/t}</label>
						<div>
							<input type='text' class="col_12" id='description_box' name='description_box' value="{if isset($smarty.post.description_box)}{$smarty.post.description_box}{/if}">
						</div>
					</section>
					
					<section>
						<label for='webscope_box'>{t}Webscope{/t}</label>
						<div>
							<select id='webscope_box' name='webscope_box'>
								<option value=''></option>
								{foreach from=$tvars.webscopes key=webscope item=name}
									<option value='{$webscope}' {if isset($smarty.post.webscope_box) AND $smarty.post.webscope_box==$webscope}selected{/if}>{$name}</option>
								{/foreach}
							</select>
						</div>
					</section>
				</div>
			</fieldset>
		</div>
		
		<div class="clear"></div>
		
		<div class="col_12 right">
			<button type="submit" class="small blue">{t}Save{/t}</button>
		</div>
		
		<div class="clear"></div>
		
	</form>
	
{include file="box_bottom.tpl"}