{include file="box_top.tpl"}
<form action='?' method='POST' name='manage_project_form' id='manage_project_form' class='grid flex' style='padding:0;'>
	<div class="col_6">
		<fieldset>
			<div class='legend'>{t}Project Details{/t}</div>
			
			<div class='content'>
				<label for='name_box'>{t}Project Name{/t}</label>
				<div>
					<input type='text'  class='col_12' id='name_box' name='name_box' value='{if isset($smarty.post.name_box)}{$smarty.post.name_box}{/if}'>						
				</div>
			
				<label for='url_box'>{t}Project URL{/t}</label>
				<div>
					<input type='text'  class='col_12' id='url_box' name='url_box' value='{if isset($smarty.post.url_box)}{$smarty.post.url_box}{/if}'>						
				</div>
				
				<label for='client_box'>{t}Client{/t}</label>
				<div>
					<input type='text' class='col_12' id='client_box' name='client_box' value='{if isset($smarty.post.client_box)}{$smarty.post.client_box}{/if}'>
				</div>
			
				<label for='status_box'>{t}Status{/t}</label>
				<div>
					<select name='status_box'><option>-- {t}Choose{/t} --</option>
						{foreach from=$tvars.projectStatuses key=cstatus  item=status_name}
							<option value='{$cstatus}' {if isset($smarty.post.status_box)}{if $smarty.post.status_box == $cstatus} selected {/if}{/if} >{$status_name}</option>
						{/foreach}
					</select>
				</div>
			</div>
		</fieldset>
		<br>
		<fieldset>
			<div class='legend'>{t}Basic Details{/t}</div>
			<div class='content'>
				<label for='language_box'>{t}Language{/t}</label>
				<div>
					<select name='language_box'><option>-- {t}Choose{/t} --</option>
						{foreach from=$tvars.allLanguages key=clng  item=cdata}
							<option value='{$clng}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
						{/foreach}
					</select>
				</div>
			
				<label for='timezone_box'>{t}Timezone{/t}</label>
				<div>
					<select name='timezone_box'><option>-- {t}Choose{/t} --</option>
						{foreach from=$tvars.allTimezones key=ctz  item=cdata}
							<option value='{$ctz}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
						{/foreach}
					</select>
				</div>
			</div>
		</fieldset>
		{if $tvars.op=='add'}
			<br>
			<fieldset>
				<div class="legend">{t}Assign Departments to Project{/t}</div>
				<div class="content limitHeight200">
					{if !empty($tvars.allDepartments)}
						{foreach from=$tvars.allDepartments key=dep_id  item=depData}
							<div>
								<input type='checkbox' id='{$dep_id}_dep_check_box' name='{$dep_id}_dep_check_box' value='{$dep_id}' {if $depData.is_selected} checked {/if}>
								<label for='{$dep_id}_dep_check_box'>{$depData.name}</label>
							</div>
						{/foreach}
					{else}<li>{t}There are no departments{/t}</li>{/if}
				</div>
			</fieldset>	
		{/if}
	</div>
	
	<div class="col_6">
		{if !empty($tvars.allSearchEngines)}
			<fieldset>
				<div class='legend'>{t}Search Engines{/t}</div>
				<div class='content limitHeight200'>
					{foreach from=$tvars.allSearchEngines key=se_identifier  item=seData}
						<div>
							<input type='checkbox' id='se_{$se_identifier}_box' name='se_{$se_identifier}_box' value='{$se_identifier}' {if $seData.is_selected} checked {/if}>
							<label for='se_{$se_identifier}_box'>{$seData.name}</label>
						</div>
					{/foreach}
				</div>
			</fieldset>
			<br>
		{/if}
		<fieldset>
			{if $tvars.op=='add'}
				<div class='legend'>{t}Project crawling{/t}</div>
			{else}
				<div class="legend left"><div class='col_8 left' style='margin:0;'>Project crawling</div><div class='col_4 right' style='margin:0;'><a href='{$tvars.crawlNowUrl}'>Crawl now</a></div></div>
			{/if}
			<div class='content'>
				<label for='crawl_freq_box'>{t}Frequency{/t}</label>
				<div>
					<select name='crawl_freq_box'>
						{foreach from=$tvars.allCrawlFreq key=val item=cdata}
							<option value='{$val}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
						{/foreach}
					</select>
				</div>
				
				<label for='crawl_max_linkx_box'>{t}Maximum number of links{/t}</label>
				<div>
					<select name='crawl_max_links_box'>
						{foreach from=$tvars.allCrawlMaxLinks key=val item=cdata}
							<option value='{$val}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
						{/foreach}
					</select>
				</div>
				
				<label for='crawl_depth_box'>{t}Depth{/t}</label>
				<div>
					<select name='crawl_depth_box'>
						{foreach from=$tvars.allCrawlDepth key=val item=cdata}
							<option value='{$val}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
						{/foreach}
					</select>
				</div>
				
				<label for='crawl_threads_box'>{t}Threads{/t}</label>
				<div>
					<select name='crawl_threads_box'>
						{foreach from=$tvars.allCrawlThreads key=val item=cdata}
							<option value='{$val}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
						{/foreach}
					</select>
				</div>
				
				<div class='col_12 right'>
					<a href='javascript:void(0)' onClick='toggleAdvancedCrawlOptions()'>Advanced crawling options</a>
				</div>
				<div id='crawl_adv_options' class='col_12 left' style='display:none;'>
					<label for='crawl_scope_box'>Crawl scope</label>
					<div>
						<select name='crawl_scope_box'>
							{foreach from=$tvars.allCrawlScopes key=val item=cdata}
								<option value='{$val}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
							{/foreach}
						</select>
					</div>
					<label for='crawl_blacklist_box'>{t}Blacklisted URLs - regex allowed{/t}</label>
					<div>
						<textarea name='crawl_blacklist_box' style='width:100%;'>{$smarty.post.crawl_blacklist_box}</textarea>
					</div>
					<div>
						<input type='checkbox' name='crawl_adv_images_box' id='crawl_adv_images_box' value='Y' {if !empty($smarty.post.crawl_adv_images_box)}checked{/if} />
						<label for='crawl_adv_images_box'>{t}Crawl images{/t}</label>
					</div>
					<div>
						<input type='checkbox' name='crawl_adv_css_box' id='crawl_adv_css_box' value='Y' {if !empty($smarty.post.crawl_adv_css_box)}checked{/if} />
						<label for='crawl_adv_css_box'>{t}Crawl CSS files{/t}</label>
					</div>
					<div>
						<input type='checkbox' name='crawl_adv_js_box' id='crawl_adv_js_box' value='Y' {if !empty($smarty.post.crawl_adv_js_box)}checked{/if} />
						<label for='crawl_adv_js_box'>{t}Crawl JS files{/t}</label>
					</div>
				</div>
				
				<div class="clear"></div>
				{if $tvars.op=='add'}
					<div class='col_12 center'>
						<input type='checkbox' name='crawl_now_box' id='crawl_now_box' value='Y' {if !empty($smarty.post.crawl_now_box)}checked{/if}> <label for='crawl_now_box'>{t}Crawl project after adding{/t}</label>
					</div>
				{/if}
				<div class="clear"></div>
			</div>
		</fieldset>	
	</div>
	<div class="clear"></div>
	
	<div class="col_12 right">
		<button type="submit" class="small blue">{t}Save{/t}</button>
	</div>
		
	<input type='hidden' name='op' value='{$tvars.op}'>
	{if $tvars.op == 'edit'}<input type='hidden' name='project_id' value='{$tvars.project_id}'>{/if}
</form>
<div class="clear"></div>	
{include file="box_bottom.tpl"}
