{include file="box_top.tpl"}
<div class='col_12'>
	{if empty($tvars.projectCompetition)}
		<div class='col_12 center'>
			<br>
			<br>
			{t}No search engines defined{/t}.<br><a href='{$tvars.root_url}/users/project_manage.php?op=edit&project_id={$tvars.project_id}' class='button small blue'>{t}Select search engines{/t}</a>
			<br>
			<br>
		</div>
	{else}
		{foreach from=$tvars.projectCompetition key=se_id item=se}
			<fieldset>
				<div class='legend'>{$se.name}</div>
				<div class='content'>
					{if empty($se.topics)}
						<div class='col_12 center'>
							<br>
							{t}No topics defined{/t}.<br><a href='{$se.new_topic_url}' class='button small blue'>{t}Add topic{/t}</a>
							<br>
						</div>
					{else}
						<table class='striped responsive'>
							<thead>
								<tr>
									<th class='header left'>{t}Topic{/t}</th>
									<th class='header center'>{t}Keywords{/t}</th>
									<th class='header center'>{t}Competitors{/t}</th>
									<th class='header center'>{t}Actions{/t}</th>
								</tr>
							</thead>
							<tbody>
								{foreach from=$se.topics key=toic_id item=topic}
									<tr>
										<td class='left'><a href='{$topic.keywords_url}'>{$topic.name}</a></td>
										<td class='center'>{$topic.keywords}</td>
										<td class='center'>
											{if $topic.competitors}
												<span class='icon small green' data-icon='C'></span>
											{else}
												<span class="icon small gray" data-icon="E"></span>
											{/if}
										</td>
										<td class='center'>
											<a href='{$topic.keywords_url}' title='{t}View keywords{/t}'><span class='icon small gray' data-icon='b'></span></a>
											{if $topic.competitors_url}
												<a href='{$topic.competitors_url}' title='{t}View competitors{/t}'><span class='icon small gray' data-icon='U'></span></a>
											{/if}
											<a href='{$topic.delete_url}' title='{t}Delete topic{/t}'><span class='icon small gray' data-icon='x'></span></a>
										</td>
									</tr>
								{/foreach}
							</tbody>
						</table>
						<div class='clear'></div>
						<div class='col_12 center'>
							<a href='{$se.new_topic_url}' class='button small blue'>{t}Add topic{/t}</a>
						</div>
						<div class='clear'></div>
					{/if}
				</div>
			</fieldset>
			<br>
		{/foreach}
	{/if}
</div>
<div class="clear"></div>	
{include file="box_bottom.tpl"}