<div class="col_12">
	{if !empty($tvars.testDetails)}
	
		{foreach from=$tvars.testDetails key=sectionName item=sectionData}
		
		<fieldset>
			{if isset($sectionData.name)}
				<legend>{$sectionData.name}</legend>
			{/if}
			
			{if isset($sectionData.description)}
				<p>{$sectionData.description}</p>
			{/if}
			
			{if isset($sectionData.tests)}
				<table cellspacing="0" cellpadding="0" class="tight" width="100%">
					{foreach from=$sectionData.tests key=index item=testDetails}
						<tr>
							<td class="col_6 left">
								{if isset($testDetails.test.message)}
									<label>{$testDetails.test.message}</label>
								{/if}
								
								{if isset($testDetails.test.value)}
									<p>{$testDetails.test.value}</p>
								{/if}
							
								{if isset($testDetails.result.message)}
									<div class="col_11 notice {$testDetails.result.type}">
										{if $testDetails.result.type == 'success'}<span class="icon medium" data-icon="X"></span>
										{elseif $testDetails.result.type == 'error'}<span class="icon medium" data-icon="X"></span>
										{elseif $testDetails.result.type == 'warning'}<span class="icon medium" data-icon="X"></span>
										{elseif $testDetails.result.type == 'info'}<span class="icon medium" data-icon="X"></span>{/if}
										{$testDetails.result.message}
									</div>
									<div class="clear"></div>
								{/if}
								
								{if isset($testDetails.test.description)}
									<p><i>{$testDetails.test.description}</i></p>
								{/if}
								
							</td>
							
							<td class="col_5 right">
								{if isset($testDetails.result.value)}
									<p>{$testDetails.result.value}</p>
								{/if}							
							</td>
							
							<td class="col_1 center">
								{if isset($testDetails.result.type)}
									{if $testDetails.result.type == 'success'}<span class="icon medium green" data-icon="C" title="{t}Success{/t}"></span>
									{elseif $testDetails.result.type == 'error'}<span class="icon medium red" data-icon="x" title="{t}Failed{/t}"></span>
									{elseif $testDetails.result.type == 'warning'}<span class="icon medium yellow" data-icon="!" title="{t}Warning{/t}"></span>
									{elseif $testDetails.result.type == 'info'}<span class="icon medium blue" data-icon="!" title="{t}Info{/t}"></span>{/if}
								{/if}	
							</td>
							
						</tr>	
				
					{/foreach}
				</table>
			{/if}
			
		</fieldset>	
		{/foreach}	
	{/if}
</div>	