{if !empty($tvars.menuItems)}
	<div class="top-menu desktop-menu">
		<div class="col_12">
			<div class="col_8 left">
				{if !empty($tvars.optionsMenuItems)}
					<ul class="menu menu-left">
						{if isset($tvars.optionsMenuItems.logo_about)}
							<li id='menu-opens-btn'>
								<a href="{$tvars.optionsMenuItems.logo_about.url}" title="{$tvars.optionsMenuItems.logo_about.title}">
									<span class="opens-btn"><span>&nbsp;</span></span>
								</a>
							</li>
						{/if}
						{foreach from=$tvars.optionsMenuItems key=type item=values name=top_menu}
							{if ($values.show_in_menu)}
								<li class="center {if $values.selected}current{/if}">
									<a href="{$values.url}" id="menu_item_{$type}" title="{$values.title}">
										{if !empty($values.menu_icon)}
											<span data-icon="{$values.menu_icon}" class="icon {$values.menu_icon_color}" style="display: inline-block; text-transform:none; margin:-5px 1px -10px -5px"></span>
										{/if}
										{$values.name}
									</a>
									{if $values.visible_suboptions > 0}
										<ul class="left">
											{foreach from=$values.suboptions key=sub_type item=sub_values name=top_sub_menu}
												{if ($sub_values.show_in_menu)}
													<li {if $values.selected}class="current"{/if}>
														<a href="{$sub_values.url}" title="{$sub_values.title}">
															{if !empty($sub_values.menu_icon)}
																<span data-icon="{$sub_values.menu_icon}" class="icon {$sub_values.menu_icon_color}" style="display: inline-block; text-transform:none;"></span>
															{/if}
															{$sub_values.name}
														</a>
													</li>
												{/if}	
											{/foreach}
										</ul>
									{/if}
								</li>
							{/if}
						{/foreach}
					</ul>		
				{/if}
			</div>
			
			<div class="col_4 right">
				<ul class="menu menu-right">
				{if !$tvars.is_logged}
					<li id="menu-opens-logo">
						<a class="opens-logo"  title="OpenS">&nbsp;</a>
					</li>
				{/if}

				{if !empty($tvars.settingsMenuItems)}
					{foreach from=$tvars.settingsMenuItems key=type item=values name=top_menu}
						{if ($values.show_in_menu)}
							<li {if $values.selected}class="current"{/if}>
								<a href="{$values.url}" class="center" title="{$values.title}">
									{if !empty($values.menu_icon)}
										<span data-icon="{$values.menu_icon}" class="icon {$values.menu_icon_color}" style="display: inline-block; text-transform:none; margin:-5px 1px -10px -5px"></span>
									{/if}
									{$values.name}
								</a>
								{if $values.visible_suboptions > 0}
									<ul class="left" style="left:auto;right:0;">
										{foreach from=$values.suboptions key=sub_type item=sub_values name=top_sub_menu}
											{if ($sub_values.show_in_menu)}
												<li class="left {if $sub_values.selected}current{/if}">
													<a href="{$sub_values.url}" title="{$sub_values.title}">
														{if !empty($sub_values.menu_icon)}
															<span data-icon="{$sub_values.menu_icon}" class="icon {$sub_values.menu_icon_color}" style="display: inline-block; text-transform:none;"></span>
														{/if}
														{$sub_values.name}
													</a>
												</li>
											{/if}	
										{/foreach}
									</ul>
								{/if}
							</li>
						{/if}
					{/foreach}
				{/if}
				</ul>
			</div>
			
		</div>
	</div>
	
	<div class='top-menu mobile-menu grid' style="margin: 0px;padding: 0px;max-width: 1024px;">
		<div class="menuresponsive">
			<div id="menu-opens-btn" style="padding-top:8px;position:absolute;top:0px;left:0px;">
				<a href="http://dev.opens.org/users/about.php" title="About">
					<span class="opens-btn"><span>&nbsp;</span></span>
				</a>
			</div>
			<div style='width:100%;margin:0;float:right;'>
				<nav class="nav-collapse">
				  <ul>
				  {if !empty($tvars.optionsMenuItems)}
					{foreach from=$tvars.optionsMenuItems key=type item=values name=top_menu}
						{if ($values.show_in_menu)}
							<li>
								<a href="{$values.url}" id="menu_item_{$type}" title="{$values.title}">
									{if !empty($values.menu_icon)}
										<span data-icon="" class="icon {$values.menu_icon_color}" style="display: inline-block; text-transform:none; margin:-5px 1px -10px -5px"><span>{$values.menu_icon}</span></span>
									{/if}
									{$values.name}
								</a>
								{if $values.visible_suboptions > 0}
									<ul>
										{foreach from=$values.suboptions key=sub_type item=sub_values name=top_sub_menu}
											{if ($sub_values.show_in_menu)}
												<li>
													<a href="{$sub_values.url}" title="{$sub_values.title}">
														{if !empty($sub_values.menu_icon)}
															<span data-icon="" class="icon {$sub_values.menu_icon_color}" style="display: inline-block; text-transform:none;"><span>{$sub_values.menu_icon}</span></span>
														{/if}
														{$sub_values.name}
													</a>
												</li>
											{/if}	
										{/foreach}
									</ul>
								{/if}
							</li>
						{/if}
					{/foreach}
				{/if}
				{if !empty($tvars.settingsMenuItems)}
					{foreach from=$tvars.settingsMenuItems key=type item=values name=top_menu}
						{if ($values.show_in_menu)}
							<li>
								<a href="{$values.url}" title="{$values.title}">
									{if !empty($values.menu_icon)}
										<span data-icon="" class="icon {$values.menu_icon_color}" style="display: inline-block; text-transform:none; margin:-5px 1px -10px -5px"><span>{$values.menu_icon}</span></span>
									{/if}
									{$values.name}
								</a>
								{if $values.visible_suboptions > 0}
									<ul>
										{foreach from=$values.suboptions key=sub_type item=sub_values name=top_sub_menu}
											{if ($sub_values.show_in_menu)}
												<li>
													<a href="{$sub_values.url}" title="{$sub_values.title}">
														{if !empty($sub_values.menu_icon)}
															<span data-icon="" class="icon {$sub_values.menu_icon_color}" style="display: inline-block; text-transform:none;"><span>{$sub_values.menu_icon}</span></span>
														{/if}
														{$sub_values.name}
													</a>
												</li>
											{/if}	
										{/foreach}
									</ul>
								{/if}
							</li>
						{/if}
					{/foreach}
				{/if}
				  </ul>
				</nav>
				{literal}
				<script type='text/javascript'>
				  var navigation = responsiveNav(".nav-collapse", {
					animate: true,        // Boolean: Use CSS3 transitions, true or false
					transition: 250,      // Integer: Speed of the transition, in milliseconds
					label: "Menu",        // String: Label for the navigation toggle
					insert: "before",      // String: Insert the toggle before or after the navigation
					customToggle: "",     // Selector: Specify the ID of a custom toggle
					openPos: "relative",  // String: Position of the opened nav, relative or static
					jsClass: "js",        // String: 'JS enabled' class which is added to <html> el
					init: function(){},   // Function: Init callback
					open: function(){},   // Function: Open callback
					close: function(){}   // Function: Close callback
				  });
				</script>
				{/literal}
			</div>
		</div>
	</div>
	<div class="clear"></div>	
{/if}