{include file="box_top.tpl"}

	<form action='?' method='POST' name='manage_user_form' id='manage_user_form' class='grid flex' style='padding:0;'>
		<div class="col_6">
			<fieldset>
				<div class='legend'>{t}Project Details{/t}</div>
				
				<div class='content'>
					<section>
						<label for='user_box'>{t}Username{/t}</label>
						<div>
							{if $tvars.op == 'edit'} <b>{$smarty.post.user_box}</b> <input type='hidden' name='user_box' value='{$smarty.post.user_box}'> 
							{else}<input type='text' class="col_12" id='user_box' name='user_box'value='{if isset($smarty.post.user_box)}{$smarty.post.user_box}{/if}'>{/if}
						</div>
					</section>
				
					<section>
						<label for='name_box'>{t}Full Name{/t}</label>
						<div>
							<input type='text' class="col_12" id='name_box' name='name_box' value='{if isset($smarty.post.name_box)}{$smarty.post.name_box}{/if}'>
						</div>
					</section>
				
					<section>
						<label for='email_box'>{t}E-mail{/t}</label>
						<div>
							<input type='text' class="col_12" name='email_box' value='{if isset($smarty.post.email_box)}{$smarty.post.email_box}{/if}'>
						</div>
					</section>
				
					<section>
						<label for='password1_box'>{t}Password{/t}</label>
						<div>
							<input type='password' class="col_12" id='password1_box' name='password1_box' value=''>
						</div>
					</section>
				
					<section>
						<label for='password2_box'>{t}Retype password{/t}</label>
						<div>
							<input type='password' class="col_12" id='password2_box' name='password2_box' value=''>
						</div>
					</section>
				
					<section>
						<label for='status_box'>{t}Status{/t}</label>
						<div>
							<select name='status_box'><option>-- {t}Choose{/t} --</option>
								{foreach from=$tvars.userStatuses key=cstatus  item=status_name}
									<option value='{$cstatus}' {if isset($smarty.post.status_box)}{if $smarty.post.status_box == $cstatus} selected {/if}{/if} >{$status_name}</option>
								{/foreach}
							</select>
						</div>
					</section>

				</div>
			</fieldset>
		</div>
	
		<div class="col_6">
			<fieldset>
				<div class='legend'>{t}Basic Settings{/t}</div>
				<div class='content'>
					<section>
						<label for='timezone_box'>{t}Timezone{/t}</label>
						<div>
							<select  name='timezone_box'><option>-- {t}Choose{/t} --</option>
								{foreach from=$tvars.allTimezones key=ctimezone  item=cdata}
									<option value='{$ctimezone}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
								{/foreach}
							</select>
						</div>
					</section>
				
					<section>
						<label for='language_box'>{t}Language{/t}</label>
						<div>
							<select name='language_box'><option>-- {t}Choose{/t} --</option>
								{foreach from=$tvars.allLanguages key=clng  item=cdata}
									<option value='{$clng}' {if $cdata.is_selected} selected {/if}>{$cdata.name}</option>
								{/foreach}
							</select>
						</div>
					</section>
				</div>
			</fieldset>
		</div>
		
		<div class="clear"></div>
		
		<div class="col_12">
			<fieldset id="assign_user_departments">
				<div class='legend'>{t}Assign User to Departments{/t}</div>
				<div class='content'>
					{if !empty($tvars.allDepartments)}
						{foreach from=$tvars.allDepartments key=index  item=departmentGroup}
							{foreach from=$departmentGroup key=department_id  item=departmentData}
							<div class="col_6">
								<section>
									<input type='checkbox' id='{$department_id}_usr_check_box' name='{$department_id}_usr_check_box' value='{$department_id}' {if $departmentData.is_selected} checked {/if}>
									<label for='{$department_id}_usr_check_box'>{$departmentData.name}</label>
								</section>		
							</div>
							{/foreach}
							<div class="clear"></div>		
						{/foreach}
						
					{else}
						<section>
							<label>{t}There are no departments{/t}</label>
						</section>
					{/if}
				</div>
			</fieldset>
		</div>

		<div class="clear"></div>
		
		<div class="col_12 right">
			<button type="submit" class="small blue">{t}Save{/t}</button>
		</div>
		
	<input type='hidden' name='op' value='{$tvars.op}'>
	{if $tvars.op == 'edit'}<input type='hidden' name='user_id' value='{$tvars.user_id}'>{/if}
	</form>
	
	<div class="clear"></div>
{include file="box_bottom.tpl"}