<?php
/*                                                                                                                                                                                                    
 *+---------------------------------------------------------------------------+
 *| OpenS v0.1                                                                |
 *| ==========                                                                |
 *|                                                                           |
 *| Copyright (c) 2011-2012 OpenS                                             |
 *| For contact details, see: http://www.opens.org/                           |
 *|                                                                           |
 *| This program is free software; you can redistribute it and/or modify      |
 *| it under the terms of the GNU General Public License as published by      |
 *| the Free Software Foundation; either version 2 of the License, or         |
 *| (at your option) any later version.                                       |
 *|                                                                           |
 *| This program is distributed in the hope that it will be useful,           |
 *| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
 *| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
 *| GNU General Public License for more details.                              |
 *|                                                                           |
 *| You should have received a copy of the GNU General Public License         |
 *| along with this program; if not, write to the Free Software               |
 *| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
 *+---------------------------------------------------------------------------+
 *$Id: /users/about.php 2012-01-09$
 */

include "../init.php";

$OS = getOS();

$osUser =  $OS->getUser();

$tpl = $OS->getTemplate();

//handle page topSection
$tpl->setTopSectionTitle(_("About"));



$tpl->setVar('os_version', $OS->getVersion());

$tpl->setVar('up2date',true);

if($osUser->isUserLogged())
{
	$tpl->selectedMenuItem = "settings";
}
else
{
	$tpl->selectedMenuItem = "about";
}

$tpl->bodyTemplateName = 'about';

echo $tpl->mainTemplateRender();
?>