<?php
include "../init.php";

$OS = getOS();

$osUser = $OS->getUser();

//check if user is logged
$osUser->forceUserLogin();

if(isset($_GET['department_id']))
{
	$department_id = $_GET['department_id'];
} 
elseif(isset($_POST['department_id']))
{
	$department_id = $_POST['department_id'];
}
else
{
	$OS->redirectTO("/users/departments.php?msg=nodepid");
}

$osDepartmentOps = $OS->getDepartmentOps();

if (!$osDepartment=$osDepartmentOps->getDepartmentByID($department_id))
{
	$OS->redirectTO("/users/departments.php?msg=nodepid");
}

$osProjectOps=$OS->getProjectOps();

$projects=$osProjectOps->getProjects();
$departmentProjects=array_flip($osDepartmentOps->getProjectsByDepartmentID($department_id));
$allProjects=array();

foreach ($projects as $project_id=>$project)
{
	if (isset($departmentProjects[$project_id]))
	{
		$allProjects[$project_id]=array(
			'name'=>$project->name,
			'link'=>$OS->getConfigVar('root_url')."/users/department_manage_apps_project.php?department_id={$department_id}&project_id={$project_id}",
		);
	}
}

$tpl = $OS->getTemplate();

//handle page topSection
$tpl->setTopSectionTitle(_("Department Applications"));

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('appsGlobalLink',$OS->getConfigVar('root_url')."/users/department_manage_apps_global.php?department_id={$department_id}");
$tpl->setVar('allProjects',$allProjects);
$tpl->setVar('department_id',$department_id);



$tpl->bodyTemplateName = 'department_manage_apps';

echo $tpl->mainTemplateRender();
?>