<?php
include "../init.php";

$OS = getOS();

$osUser = $OS->getUser();
$osUtils = $OS->getUtils();

//verify if user is logged
$osUser->forceUserLogin();

//get project operations
$osProjectOps = $OS->getProjectOps();

if(isset($_GET['project_id']))
{
	$project_id = $_GET['project_id'];
} 
elseif(isset($_POST['project_id']))
{
	$project_id = $_POST['project_id'];
}
else
{
	$OS->redirectTO("/users/projects_list.php?msg=noprjid");
}

if(isset($_GET['topic_id']))
{
	$topic_id = $_GET['topic_id'];
} 
elseif(isset($_POST['topic_id']))
{
	$topic_id = $_POST['topic_id'];
}
else
{
	$OS->redirectTO("/users/projects_list.php?msg=noprjtopicid");
}

$osProjectTopicOps=$OS->getProjectTopicOps();

if (!$topic=$osProjectTopicOps->getProjectTopicByID($topic_id,$project_id))
{
	$OS->redirectTO("/users/projects_list.php?msg=noprjtopicid");
}
elseif ($topic->competitors!='Y')
{
	$OS->redirectTO("/users/project_manage_competition.php?project_id={$project_id}");
}

$osCompetitorOps=$OS->getCompetitorOps();

if (!empty($_GET['op']))
{
	if ($_GET['op']=='delete_competitor')
	{
		if (!empty($_GET['competitor_id']))
		{
			if ($competitor=$osCompetitorOps->getCompetitorByID($_GET['competitor_id']))
			{
				if ($competitor->delete())
				{
					$OS->addInfo(_("Competitor deleted successfully"));
				}
				else
				{
					$OS->addBoxError(_("Unable to delete competitor!"));
				}
			}
		}
	}
}

if (!empty($_GET['msg']))
{
	if ($_GET['msg']=='add_ok')
	{
		$OS->addInfo(_("Competitor added successfully"));
	}
}

if ($topicCompetitors=$osCompetitorOps->getCompetitorsByTopicID($topic_id))
{
	foreach ($topicCompetitors as $competitor_id=>$competitor)
	{
		$topicCompetitors[$competitor_id]=array(
			'host'=>$competitor->host,
			'delete_url'=>$OS->getConfigVar('root_url')."/users/project_manage_competition_competitors.php?project_id={$project_id}&topic_id={$topic_id}&op=delete_competitor&competitor_id={$competitor_id}"
		);
	}
}
else
{
	$topicCompetitors=array();
}

$tpl = $OS->getTemplate();

//handle page topSection
$tpl->setTopSectionTitle(_("Topic Competitors"));
$tpl->addTopSectionOption('back',array('type'=>'link','name'=>_("Back"),'url'=>$OS->getConfigVar('root_url')."/users/project_manage_competition.php?project_id={$project_id}"));

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('project_id',$project_id);
$tpl->setVar('topic_id',$topic_id);

$tpl->setVar('topicCompetitors',$topicCompetitors);

$tpl->selectedMenuItem = 'projects_list';

$tpl->bodyTemplateName = 'project_manage_competition_competitors';

echo $tpl->mainTemplateRender();
?>