<?php
include('../init.php');

$OS = getOS();

$osUser = $OS->getUser();

//check if user is logged
$osUser->forceUserLogin();

//handle current department_id
if(isset($_GET['user_id']))
{
	$user_id = $_GET['user_id'];
} 
elseif(isset($_POST['user_id']))
{
	$user_id = $_POST['user_id'];
}
else
{
	$OS->redirectTO("/users/users_list.php?msg=badusrid");
}

$osUserOps=$OS->getUserOps();
if (!$user=$osUserOps->getUserByID($user_id))
{
	$OS->redirectTO("/users/users_list.php?msg=badusrid");
}

$userDepartments=$user->getDepartments();

$osProjectOps=$OS->getProjectOps();
$projects=$osProjectOps->getProjects();

$allProjects = array();
if(!empty($projects))
{
	foreach($projects as $project_id=>$projectData)
	{
		$osProjectDepartments = $projectData->getDepartments();
		
		if($osProjectDepartments !== false && $userDepartments !== false)
		{
			$arrInt = array_intersect($osProjectDepartments,$userDepartments);

			if($arrInt)
			{
				$allProjects[$project_id] = array(
					'name' => $projectData->name,
					'link' => $OS->getConfigVar('root_url')."/users/user_manage_apps_project.php?user_id={$user_id}&project_id={$project_id}"
				);
			}
		}
	}	
}

$tpl = $OS->getTemplate();

//handle page topSection
$tpl->setTopSectionTitle(_("User Applications"));

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('appsGlobalLink',$OS->getConfigVar('root_url')."/users/user_manage_apps_project.php?user_id={$user_id}&project_id=0");
$tpl->setVar('allProjects',$allProjects);
$tpl->setVar('user_id',$user_id);



$tpl->bodyTemplateName = 'user_manage_apps';

echo $tpl->mainTemplateRender();
?>