<?php
include('../init.php');

$OS=getOS();

$osUser = $OS->getUser();
$osUser->forceUserAdmin();

if (!empty($_GET['app']))
{
	$app=$_GET['app'];
}
elseif (!empty($_POST['app']))
{
	$app=$_POST['app'];
}
else
{
	$OS->redirectTO('/admin/apps.php');
}

$appOps=$OS->getAppOps();

if (!$appOps->isUninstalledApp($app))
{
	$OS->redirectTO('/admin/apps.php');
}

$app_path=$appOps->getUninstalledAppPath($app);

if ($_SERVER['REQUEST_METHOD']=='POST')
{
	$checkResult=$appOps->installApp($app_path);
	
	$installOK=true;
	foreach($checkResult as $message)
	{
		if ($message['result']['type']=='error')
		{
			$installOK=false;
		}
	}
	
	if ($installOK)
	{
		$OS->redirectTO('/admin/apps.php?msg=install_ok');
	}
}
else
{
	$checkResult=$appOps->validateAppKit($app_path);
}

$has_errors=false;
foreach ($checkResult as $test)
{
	if ($test['result']['type']!='success')
	{
		$has_errors=true;
		break;
	}
}

$tpl = $OS->getTemplate();

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('ptitle',"Install Application");


$tpl->setVar('back_link',$OS->getConfigVar('root_url').'/admin/apps.php');

if ($has_errors)
{
	$tpl->setVar('recheck_link','?app='.$app);
}
else
{
	$tpl->setVar('recheck_link',false);
}

$checkResult=array(
	array(
		'title'=>"Install application",
		'tests'=>$checkResult
	)
);

$tpl->setVar('testDetails',$checkResult);
$tpl->setVar('app',$app);

$tpl->bodyTemplateName = "admin_apps_install";

echo $tpl->mainTemplateRender();
?>