<?php
include('../init.php');

$OS=getOS();

$osUser = $OS->getUser();
$osUser->forceUserAdmin();

$utils=$OS->getUtils();

if (!empty($_GET['audit_id']))
{
	$audit_id=$_GET['audit_id'];
}
elseif (!empty($_POST['audit_id']))
{
	$audit_id=$_POST['audit_id'];
}
else
{
	$OS->redirectTO('/admin/audit.php');
}

$auditOps=$OS->getAuditOps();
if (!$audit=$auditOps->getAuditByID($audit_id))
{
	$OS->redirectTO('/admin/audit.php');
}

if (!$audit_details=$audit->getDetails())
{
	$OS->redirectTO('/admin/audit.php');
}

foreach ($audit_details as $details_id=>$details)
{
	$details['vars_nice']=$utils->humanizeArray($details['vars']);
	$details['insert_dt_human']=$utils->humanizeDate($details['insert_dt']);
	
	$audit_details[$details_id]=$details;
}

$tpl = $OS->getTemplate();

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('ptitle',"System Audit");
$tpl->setVar('audit_details',$audit_details);
$tpl->setVar('back_link',$OS->getConfigVar('root_url').'/admin/audit.php?date='.date('Y-m-d',strtotime($audit->hour)));



$tpl->bodyTemplateName = "admin_audit_details";

echo $tpl->mainTemplateRender();
?>