<?php
include (dirname(__FILE__)."/../init.php");

OS_Crons::forceCLI();

if (empty($argv[1]))
{
	exit;
}
else
{
	$cron_id=$argv[1];
}

if (!$cron=OS_Crons::getCronByID($cron_id))
{
	exit;
}


set_time_limit(0);

$OS=getOS();

$lock_file=os_join_path($OS->getConfigVar('storage_path'),'cron_'.$cron_id.'.lock');

$run_ok=false;
$fp=fopen($lock_file,'w+');
if (flock($fp,LOCK_EX|LOCK_NB))
{
	$cron_child_internal=os_join_path(dirname(__FILE__),'cron_child_internal.php');
	
	$osUtils=$OS->getUtils();
	
	exec($osUtils->getPHPCLI()." {$cron_child_internal} {$cron_id}",$output,$return_value);
	
	if ($return_value==0)
	{
		$run_ok=true;
	}
	
	flock($fp,LOCK_UN);
}

if ($fp)
{
	fclose($fp);
}

if ($run_ok AND file_exists($lock_file))
{
	unlink($lock_file);
}

$db=$OS->getDb();
$date=$db->DBTimeStamp(time());
if ($run_ok)
{
	$query="UPDATE ".$db->dbPrefix()."crons SET run_dt=?,runs=runs+1,init_dt=? WHERE id=?";
}
else
{
	$query="UPDATE ".$db->dbPrefix()."crons SET fail_dt=?,fails=fails+1,init_dt=? WHERE id=?";
}

$db->query($query,array($date,$date,$cron_id));
?>