<?php
include (dirname(__FILE__)."/../init.php");

OS_Daemon::forceCLI();

if (empty($argv[1]))
{
	exit;
}
else
{
	$module=$argv[1];
}

if ($module=='core')
{
	$module_name='';
	
	if (empty($argv[2]))
	{
		exit;
	}
	else
	{
		$action=$argv[2];
	}
	
	$className="OS_DAEMON_{$action}";
}
elseif ($module=='app')
{
	if (empty($argv[2]))
	{
		exit;
	}
	else
	{
		$module_name=$argv[2];
	}
	
	if (empty($argv[3]))
	{
		exit;
	}
	else
	{
		$action=$argv[3];
	}
	
	$className="OS_APPDAEMON_{$module_name}_{$action}";
}
else
{
	exit;
}

$startedDaemon=false;
$daemonLockFile=OS_Daemon::getDaemonLockFile($module,$module_name,$action);
$fp=fopen($daemonLockFile,'w+');
if (flock($fp,LOCK_EX|LOCK_NB))
{
	set_time_limit(0);
	
	OS_Daemon::markDaemonInit($module,$module_name,$action);
	
	$object=new $className();
	
	$object->run();
	
	$startedDaemon=true;
	
	flock($fp,LOCK_UN);
}

if ($fp)
{
	fclose($fp);
}

if ($startedDaemon AND file_exists($daemonLockFile))
{
	unlink($daemonLockFile);
}
?>