<?php
include('../init.php');

$OS = getOS();

$osUser = $OS->getUser();
$osUser->forceUserLogin();
$osUser->forcePerm('core','is_developer');

if (!empty($_GET['app_id']))
{
	$app_id=$_GET['app_id'];
}
elseif (!empty($_POST['app_id']))
{
	$app_id=$_POST['app_id'];
}
else
{
	$OS->redirectTO('/developers/');
}

$appDevOps=$OS->getAppDeveloperOps();

if (!$app=$appDevOps->getAppByID($app_id))
{
	$OS->redirectTO('/developers/');
}

$appDevOps->syncAppVersion($app);

$db=$OS->getDb();

$devDetails=array(
	'dev_path'=>$appDevOps->getAppDevPath($app),
	'sql_prefix'=>$db->dbPrefix().'app_'.$app->name.'_'
);

$appDetails=array(
	'id'=>$app->id,
	'name'=>$app->name,
	'title'=>$app->title,
	'description'=>$app->description,
	'version'=>$app->version,
	'status'=>$app->status,
);

$appBuilds=$appDevOps->getAppBuilds($app);

$tpl = $OS->getTemplate();

$tpl->setTopSectionTitle("Application details");

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('devDetails',$devDetails);
$tpl->setVar('appDetails',$appDetails);
$tpl->setVar('appBuilds',$appBuilds);
$tpl->setVar('buildDownloadURL',$OS->getConfigVar('root_url').'/developers/apps_build_download.php');

$tpl->bodyTemplateName = "developers_apps_details";

echo $tpl->mainTemplateRender();
?>