<?php
include('../init.php');

$OS = getOS();

$osUser = $OS->getUser();
$osUser->forceUserLogin();
$osUser->forcePerm('core','is_developer');

//if (!empty($_GET['app_id']))
//{
//	$app_id=$_GET['app_id'];
//}
//elseif (!empty($_POST['app_id']))
//{
//	$app_id=$_POST['app_id'];
//}
//else
//{
//	$OS->redirectTO('/developers/');
//}
//
//$appDevOps=$OS->getAppDeveloperOps();
//
//if (!$app=$appDevOps->getAppByID($app_id))
//{
//	$OS->redirectTO('/developers/');
//}
//
//$appDevOps->syncAppVersion($app);

$json=false;

if ($_SERVER['REQUEST_METHOD']=='POST')
{
	if (empty($_POST['app_box']))
	{
		$OS->addFieldError("Application name missing",'app');
	}
	else
	{
		$dbOps=$OS->getDbOps();
		$db = $OS->getDb();
		$db->setDbPrefix("os_");
		$tables=$dbOps->getAppTablesFull($_POST['app_box']);
		
		if (empty($tables))
		{
			$OS->addFieldError("Application doesn't have any SQL tables",'app');
		}
	}
	
	if (!isset($OS->errorMessages))
	{
		$utils=$OS->getUtils();
		
		$json = $utils->jsonIndent( $utils->jsonify($tables) );	
	}
}
else
{
	$_POST['app_box']='';
}

$tpl = $OS->getTemplate();

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setTopSectionTitle("Application SQL schema");
$tpl->setVar('json',$json);


$tpl->bodyTemplateName = "developers_apps_sql_schema";

echo $tpl->mainTemplateRender();
?>