<?php
class OS_FORK_Crawl_Project
{
	public function run($params)
	{
		$result=false;
		
		set_time_limit(0);

		if (!empty($params[0]))
		{
			$project_id=$params[0];
			$requestedBy=false;
			
			$OS=getOS();
			
			$projectOps=$OS->getProjectOps();
			
			if ($project=$projectOps->getProjectByID($project_id))
			{
				if (!empty($params[1]))
				{
					$app=$params[1];
					
					$appOps=$OS->getAppOps();
					$oneApp=$appOps->getAppByName($app);
					
					if ($appOps->isProjectApp($project_id,$oneApp->id))
					{
						$requestedBy=array('apps'=>array($app));
					}
				}
				
				$projectCrawlHandler=$OS->getProjectCrawlHandler();
				
				$projectCrawlHandler->crawlProject($project,$requestedBy);
			}
		}
		
		return $result;
	}
}
?>