<?php
class OS_APPCRON_AdjacentKws_Regenerate_Reports
{
	public function run()
	{
		$OS=getOS();
		$db=$OS->getDb();
		
		$competitorOps=$OS->getCompetitorOps();
		
		$projectOps=$OS->getProjectOps();
		
		$appOps=$OS->getAppOps();
		$app=$appOps->getAppByName('adjacentkws');
		
		if ($projects=$appOps->getProjectsByAppID($app->id))
		{
			$appHandler=$OS->getAppHandler('adjacentkws');
			$appPlugin=$appHandler->getAppPlugin();
			$ops=OS_APP_AdjacentKws_ReportOperations::get_instance();
			
			foreach ($projects as $project_id)
			{
				if ($project=$projectOps->getProjectByID($project_id) AND $project->isActive())
				{
					if (!$reports=$ops->getPendingReports($project_id,1))
					{
						$reports=$ops->getScheduledReports($project_id,1);
					}
					
					if ($reports)
					{
						$OS->initTimezone($project->timezone);
						
						foreach ($reports as $report)
						{
							$report->status='W';
							
							if ($report->save())
							{
								OS_Fork::fork('app','adjacentkws','generate_report',array('project_id'=>$project_id,'report_id'=>$report->id));
							}
						}
					}
				}
				
				unset($project);
			}
			
			unset($appHandler,$appPlugin);
		}
		
		return true;
	}
}
?>