<?php
class OS_APPFORK_AdjacentKws_Generate_Report
{
	public function run($params)
	{
		$result=false;

		if (!empty($params[0]))
		{
			$project_id=$params[0];
			
			$OS=getOS();
			$osProjectOps=$OS->getProjectOps();
			
			if ($project=$osProjectOps->getProjectByID($project_id))
			{
				if (!empty($params[1]))
				{
					$appHandler=$OS->getAppHandler('adjacentkws');
					
					$report_id=$params[1];
					
					$ops=OS_APP_AdjacentKws_ReportOperations::get_instance();
					
					if ($report=$ops->getReportByID($report_id,$project_id))
					{
						$OS->initTimezone($project->timezone);
						
						$reportStatus='F';
						
						$se=$OS->getSearchEngine();
						
						if ($competitors=$se->getResults($report->keyword,$report->se,$report->se_locale))
						{
							if ($competitors['status']=='done')
							{
								if ($report->result=$ops->processReportCompetitors($report,$competitors['data']))
								{
									$reportStatus='D';
								}
								else
								{
									$reportStatus='F';
								}
							}
							elseif ($competitors['status']=='queued')
							{
								$reportStatus='Q';
								
								$ops->queueReport($report->id,$competitors['queue_id']);
							}
						}
						
						$report->status=$reportStatus;
						if ($report->save())
						{
							$result=true;
						}
					}
				}
			}
		}
		
		return $result;
	}
}
?>