<div class='col_12'>
	<div class="col_10 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Analyze URL{/t}</div>
			<div class="content">
				<form action='{$tvars.appURL}' method='POST'>
					<input type='hidden' name='view' value='analyze'>
					<label for='url_box'>{t}URL{/t}</label>
					<div>
						<input type='text'  class='col_12' id='url_box' name='url_box' value='{$tvars.url_box}'>						
					</div>
					<div class='clear'></div>
					<br>
					<label for='keywords_box'>{t}Keywords (1 per line){/t}</label>
					<div>
						<textarea  class='col_12' id='keywords_box' name='keywords_box'>{$tvars.keywords_box}</textarea>						
					</div>
					<div class='clear'></div>
					<br>
					<label for='stop_words_list_box'>{t}Stop words list{/t}</label>
					<div>
						<select name='stop_words_list_box' id='stop_words_list_box'>
							<option value=''>(none)</option>
							{foreach from=$tvars.stop_words_lists key=list item=details}
								<option value='{$list}' {if $tvars.stop_words_list_box==$list}selected{/if}>{$details.name}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<label for='se_box'>{t}Search Engine{/t}</label>
					<div>
						<select name='se_box' id='se_box' onChange='updateLocales(this.value)'>
							<option value=''></option>
							{assign var=showLocales value=false}
							{assign var=currentEngine value=false}
							{foreach from=$tvars.search_engines key=engine item=details}
								<option value='{$engine}' {if $tvars.se_box==$engine}selected {assign var=currentEngine value=$engine}{if $details.has_locales}{assign var=showLocales value=true}{/if}{/if}>{$details.title}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<div id="locales_container" class="col_12" style='display:{if $showLocales}block{else}none{/if};'>
						<label for='se_locale_box'>{t}Locale{/t}</label>
						<div>
							<select name='se_locale_box' id='se_locale_box'>
								<option value=''></option>
								{if $currentEngine}
									{foreach from=$tvars.search_engines.$currentEngine._locales key=locale item=details}
										<option value='{$locale}' {if $tvars.se_locale_box==$locale}selected{/if}>{$details.title}</option>
									{/foreach}
								{/if}
							</select>
						</div>
						<div class='clear'></div>
						<br>
					</div>
					<label for='frequency_box'>{t}Regeneration frequency{/t}</label>
					<div>
						<select name='frequency_box' id='frequency_box'>
							{foreach from=$tvars.regenerationFrequencies key=frequency item=name}
								<option value='{$frequency}' {if $tvars.frequency_box==$frequency}selected{/if}>{$name}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<div class='col_12 center'>
						<button type='submit' class='small blue'>{t}Analyze{/t}</button>
					</div>
					<div class='clear'>
				</form>
			</div>
		</fieldset>
	</div>
</div>