osAPPLinks = window.osAPPLinks || {};

var osAPPLinks = 
{
	dashSections : null,
	
	dashWidgets : null,
		
	init : function()
	{
	},

	createLinkRow : function(params)
	{
		var temp_link_number=0;
		jQuery('.linkCount').each(function(){
			temp_link_number=parseInt(jQuery(this).html());
			temp_link_number++;
			jQuery(this).html(temp_link_number);
		});
		var new_link_html="<tr class='tbTableOddRow'><td class='linkCount'>1</td><td><a href='"+params.source_url_safe+"'>"+params.source_host+"</a></td><td>"+params.source_pr+"</td><td><a href='"+params.target_url_safe+"'>"+params.target_host+"</a></td><td>"+params.anchor+"</td><td>"+params.status_human+"</td><td>";
		if (params.edit_url) new_link_html+="<a href='"+params.edit_url+"' title='Edit Link Data'><span class='icon gray' data-icon='7'>7</span></a>";
		if (params.approve_url) new_link_html+="<a href='"+params.approve_url+"' title='Approve Link'><span class='icon gray' data-icon='C'>C</span></a>";
		if (params.reject_url) new_link_html+="<a href='"+params.reject_url+"' title='Reject Link'><span class='icon gray' data-icon='x'>x</span></a>";
		new_link_html+="</td></tr>";
		jQuery('#linksList').prepend(new_link_html);
	},
	
	showFieldError : function(field,error)
	{
		jQuery('#'+field+'_err').html(error);
		jQuery('#'+field+'_err').show();
	},
	
	hideFieldErrors : function()
	{
		jQuery('.error_field').hide();
	},
	
	addLink : function()
	{
		this.hideFieldErrors();
		
		if (document.forms.add_form.label_box)
		{
			var label=document.forms.add_form.label_box.value;
			
			if (label=='')
			{
				this.showFieldError('label',"Label missing");
				send_request=false;
			}
		}
		else
		{
			var label='';
		}
		
		var source_url=document.forms.add_form.source_url_box.value;
		var source_pr=document.forms.add_form.source_pr_box.value;
		var target_url=document.forms.add_form.target_url_box.value;
		var anchor=document.forms.add_form.anchor_box.value;
		var send_request=true;
		
		if (source_url=='')
		{
			this.showFieldError('source_url',"URL missing");
			send_request=false;
		}
		if (isNaN(source_pr) || source_pr=='')
		{
			this.showFieldError('source_pr',"Invalid PageRank");
			send_reqeust=false;
		}
		if (target_url=='')
		{
			this.showFieldError('target_url',"Target URL missing");
			send_request=false;
		}
		if (anchor=='')
		{
			this.showFieldError('anchor',"Anchor missing");
			send_request=false;
		}
		
		if (send_request)
		{
			var params={};
			params['label']=label;
			params['source_url']=source_url;
			params['source_pr']=source_pr;
			params['target_url']=target_url;
			params['anchor']=anchor;
			xHttp.Post({app: 'backlinks', section: 'add_edit', action:'addLink', params: params, callback : this.addLinkResponse});
		}
		
		return false;
	},
	
	addLinkResponse : function(responseData)
	{
		if (responseData.actionStatus)
		{
			if (document.forms.add_form.label_box)
			{
				document.forms.add_form.label_box.value='';
			}
		
			document.forms.add_form.source_url_box.value='';
			document.forms.add_form.source_pr_box.value='';
			document.forms.add_form.target_url_box.value='';
			document.forms.add_form.anchor_box.value='';
			
			osAPPLinks.createLinkRow(responseData.actionData);
		}
		else
		{
			if (responseData.actionsErrors)
			{
				for (var i in responseData.actionErrors)
				{
					osAPPLinks.showFieldError(i,responseData.actionErrors[i]);
				}
			}
		}
	}
}

osAPPLinks.init();