<div class='col_12'>
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{if $tvars.params.op=='edit'}{t}Edit content{/t}{else}{t}Add content{/t}{/if}</div>
			<div class="content">
				<form action='{$tvars.appURL}' method='POST'>
					<input type='hidden' name='view' value='inventory_ae'>
					<input type='hidden' name='op' value='{$tvars.params.op}'>
					{if $tvars.params.op=='edit'}
						<input type='hidden' name='content_id' value='{$tvars.params.content_id}'>
					{/if}
					<label for='title_box'>{t}Title{/t}</label>
					<div>
						<input type='text'  class='col_12' id='title_box' name='title_box' value='{$tvars.params.title_box}'>						
					</div>
					<div class='clear'></div>
					<br>
					<label for='author_box'>{t}Author{/t}</label>
					<div>
						<input type='text'  class='col_12' id='author_box' name='author_box' value='{$tvars.params.author_box}'>						
					</div>
					<div class='clear'></div>
					<br>
					{if !empty($tvars.personas)}
						<label for='persona_box'>{t}Persona{/t}</label>
						<div>
							<select name='persona_box' id='persona_box'>
								<option value=''></option>
								{foreach from=$tvars.personas key=id item=name}
									<option value='{$id}' {if $tvars.params.persona_box==$id}selected{/if}>{$name}</option>
								{/foreach}
							</select>
						</div>
						<div class='clear'></div>
						<br>
					{/if}
					{if !empty($tvars.funnelstages)}
						<label for='funnelstage_box'>{t}Funnel stage{/t}</label>
						<div>
							<select name='funnelstage_box' id='funnelstage_box'>
								<option value=''></option>
								{foreach from=$tvars.funnelstages key=id item=name}
									<option value='{$id}' {if $tvars.params.funnelstage_box==$id}selected{/if}>{$name}</option>
								{/foreach}
							</select>
						</div>
						<div class='clear'></div>
						<br>
					{/if}
					<label for='status_box'>{t}Status{/t}</label>
					<div>
						<select name='status_box' id='status_box' onChange='contentStatusUpdated(this.value)'>
							<option value=''></option>
							{foreach from=$tvars.statuses key=id item=name}
								<option value='{$id}' {if $tvars.params.status_box==$id}selected{/if}>{$name}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<div id='url_bar' style='display:{if $tvars.params.status_box=='published'}block{else}none{/if};'>
						<label for='url_box'>{t}URL{/t}</label>
						<div>
							<input type='text' class='col_12' id='url_box' name='url_box' value='{$tvars.params.url_box}'>
						</div>
						<div class='clear'></div>
						<br>
					</div>
					<label for='placement_box'>{t}Placement{/t}</label>
					<div>
						<select name='placement_box' id='placement_box'>
							<option value=''></option>
							{foreach from=$tvars.placements key=id item=name}
								<option value='{$id}' {if $tvars.params.placement_box==$id}selected{/if}>{$name}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<label for='type_box'>{t}Type{/t}</label>
					<div>
						<select name='type_box' id='type_box'>
							<option value=''></option>
							{foreach from=$tvars.types key=id item=details}
								<option value='{$id}' {if $tvars.params.type_box==$id}selected{/if}>{$details.name}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<label for='keywords_box'>{t}Keywords{/t}</label>
					<div>
						<textarea name='keywords_box' id='keywords_box'>{$tvars.params.keywords_box}</textarea>
					</div>
					<br>
					<label for='due_date_box'>{t}Due date{/t}</label>
					<div>
						<input type='text' size='10' id='due_date_box' name='due_date_box' value='{$tvars.params.due_date_box}'>
					</div>
					<div class='clear'></div>
					<br>
					<label for='goal_box'>Goals</label>
					<div style='padding-left:10px;'>
						<table style='width:auto;'>
						{foreach from=$tvars.goals key=goal_type item=goal_name}
							{assign var=field_name value="goal_`$goal_type`_box"}
							<tr>
								<td><label for='{$field_name}'>{$goal_name}</label></td>
								<td><input type='text' size='4' id='{$field_name}' name='{$field_name}' value='{$tvars.params.$field_name}'></td>
							</tr>
						{/foreach}
						</table>
					</div>
					<div class='clear'></div>
					<br>
					<div class='col_12 center'>
						<button type='submit' class='small blue'>{t}Save{/t}</button>
					</div>
					<div class='clear'></div>
				</form>
			</div>
		</fieldset>
	</div>
</div>