<?php

class OS_APP_CopyDetector_Copy
{
	public $id;
	public $project_id;
	public $insert_dt;
	public $copy_dt;
	public $content_text;
	public $content_type;
	public $content_url;
	public $content_length;
	public $content_words;
	public $visitor_ip;
	public $page_url;
	public $page_url_hash;
	public $page_title;
	public $content_alt;
	public $content_anchor;
	public $location_continent_code;
	public $location_continent_name;
	public $location_country_code;
	public $location_country_name;
	
	public function __construct()
	{
		
	}
	
	public function get($param)
	{
		$result = null;
		
		if(isset($this->$param))
		{
			$result = $this->$param; 
		}
		return $result;
	}
	
	public function set($data)
	{
		$result = false;
		
		$objVars = get_object_vars($this);
		
		if(is_object($data))
		{
			$data = get_object_vars($data);
		}
		
		foreach($objVars as $key=>$val)
		{
			if(isset($data[$key]))
			{
				$this->$key = $data[$key];
				$result = true;
			}
		}
		
		return $result;
	}
	
	public function save()
	{
		$result = false;
		
		$copyOps = OS_APP_copydetector_CopyOperations::get_instance();
		
		if ($this->id ==  null)
		{
			$newid = $copyOps->insertCopy($this);
			if ($newid > -1)
			{
				$this->id = $newid;
				$this->afterInsertCopy();
				$result = true;
			}
		}

		return $result;
	}
	
	public function delete()
	{
		$result = false;
		
		if ($this->id > -1)
		{
			$OS = getOS();
			
			//Remove user record from the database
			$copyOps = OS_APP_copydetector_CopyOperations::get_instance();
			
			$deleteResult = $copyOps->deleteCopyByID($this->id);
			if ($deleteResult)
			{
				$result = true;
			}
		}

		return $result;
	}
	
	
	public function afterInsertCopy()
	{
		$copyDetectorOps = OS_APP_copydetector_CopyOperations::get_instance();
		
		//add copies_stats days
		$copyDetectorOps->addCopyStatsDay($this);
		
		//add typees stats days
		$copyDetectorOps->addTypeStatsDay($this);
	}
}	
?>