<div class='col_12 grid flex' style="padding:0;margin:0;">
	{if !empty($tvars.pie_chart_html)}
		<div class="col_6_tablet_7">
			<fieldset>
				<div class='legend left'>{t}Text Copies Distribution{/t}</div>
				<div class='content'>
					<div class="phonebreak_4 center">
						{$tvars.pie_chart_html}
					</div>	
					<div class="phonebreak_8 left">
						{if !empty($tvars.pie_chart_values)}
							{foreach from=$tvars.pie_chart_values key=type item=details}
								<span class="pieLegendBox {if isset($details.legend_color)}{$details.legend_color}{/if}"
									{if isset($details.legend_custom_color)} style='background-color:{$details.legend_custom_color}'{/if}
								></span>
								<span style='font-weight:bold;'>{$details.title}</span> - 
								<span>{$details.total}</span>
								<span>({$details.percentage}%)</span>
								
								{if isset($details.compare_evolution)}
									{if $details.compare_evolution == 'up'}
										<span title="{t}Increased{/t}" data-icon="~" class="icon large green stats-change-icon"></span>
										<span class="stats-change-text green">(+{$details.compare_percentage}%)</span>
									{elseif $details.compare_evolution == 'down'}
										<span title="{t}Decreased{/t}" data-icon="|" class="icon large red stats-change-icon"></span>
										<span class="stats-change-text green" red">(-{$details.compare_percentage}%)</span>
									{elseif $details.compare_evolution == 'same'}
										<span title="{t}Constant{/t}" data-icon="-" class="icon gray stats-change-icon"></span>
										<span class="stats-change-text green" gray">({$details.compare_percentage}%)</span>
									{/if}
								{/if}
								<br>
							{/foreach}
						{/if}	
					</div>
				</div>
			</fieldset>
		</div>	
	{/if}
	
	<div class="col_6_tablet_5">
		<fieldset>
			<div class='legend left'>{t}Text Copies Evolution{/t}</div>
			<div class='content'>
				{if !empty($tvars.timeframe_chart_html)}
					{$tvars.timeframe_chart_html}
				{/if}	
			</div>
		</fieldset>
	</div>	
	
	<div class="section-center col_12">
		<div class="col_12">
			<div class='simple-box'>
				<div class='title'>{t}Most Copied Exit Keywords{/t}</div>
				<div class='content'>
					<table class='striped responsive' cellpadding='0' cellspacing='0'>
						<thead> 
							<tr align='center'> 
								<th class="header" style='width: 65%;text-align:left'>{t}Copy Details{/t}</th>
								<th class="header" style="width:50px;">{t}Total Copies{/t}</th>
								<th class="header" style="width:150px;">{t}Change{/t}</th>
								<th class="header" style="width:100px;">{t}Words Per Copy{/t}</th>
								<th class="header">
									Percentage <span class="icon gray smallest helper" data-icon="i" title="{t}This bar displays the percentage compared to the Average number of all Text Copies found on your website{/t}"></span>
									<br>
								</th>
							</tr> 
						</thead>			
						<tbody id='keywordsList'>
							{if !empty($tvars.topContentCopies)}
								{counter start=0 print=false}
								{foreach from=$tvars.topContentCopies key=index item=details}
									<tr>
										<td class="stable-row-fix">
											<span class="ellipsify">
												"{$details.content_text}"
											</span>
										</td>
										<td class='center'>{$details.total_copies}</td>
										<td>
											{if $details.compare_evolution == 'up'}
												<span title="{t}Increased{/t}" data-icon="~" class="icon large green stats-change-icon"></span>
												<span class="stats-change-text green">(+{$details.compare_percentage}%)</span>
											{elseif $details.compare_evolution == 'down'}
												<span title="{t}Decreased{/t}" data-icon="|" class="icon large red stats-change-icon"></span>
												<span class=""stats-change-text green" red">(-{$details.compare_percentage} %)</span>
											{elseif $details.compare_evolution == 'same'}
												<span title="{t}Constant{/t}" data-icon="-" class="icon gray stats-change-icon"></span>
												<span class=""stats-change-text green" gray">({$details.compare_percentage}%)</span>
											{/if}
										</td>	
										<td class='center'>{$details.content_words}</td>
										<td class='alignCenter'>
											<div class="percentageBar">
												<div class="percentageBarInside blue" style="width:{$details.percentage}%;"></div>
											</div>
											{$details.percentage}%
										</td>
									</tr>
								{/foreach}
							{else}
								<tr>
									<td colspan='6' align='center'>
										<div class="col_12 center">{t}No copies detected so far{/t}</div>
									</td>
								</tr>
							{/if}
						</tbody>
					</table>					
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
			</div>
		</div>
	</div>
	
	
	<div class="section-center col_12">
		<div class="col_12">
			<div class='simple-box'>
				<div class='title'>{t}Latest Content Copies{/t}</div>
				<div class='content'>
					<table class='striped stats' cellpadding='0' cellspacing='0'>
						<thead> 
							<tr align='center'>
								<th class="header" style="width:20px">&nbsp;</th> 
								<th class="header" style="width:20px">#</th>
								<th class="header" style='text-align:left; width:65%;'>{t}Copy Details{/t}</th>
								<th class="header" style="width:150px">{t}Copy Words{/t}</th>
								<th class="header" style="width:150px">{t}Time Ago{/t}</th>
							</tr> 
						</thead>			
						<tbody id='keywordsList'>
							{if !empty($tvars.contentPageCopiesByTime)}
								{counter start=0 print=false}
								{foreach from=$tvars.contentPageCopiesByTime key=index item=details}
									<tr class="stats-odd">
										<td class="center">
											<span style="display: inline-block; cursor:pointer" class="new_board icon green" id="expand-row-details" title="{t}Expand{/t}" data-icon="+"></span>
										</td>
										<td clas="center">{counter}</td>
										<td class="stable-row-fix">
											<span class="ellipsify">
												"{$details.content_text}"
											</span>
										</td>
										<td class='center'>{$details.copy_words}</td>
										<td class='center'>
											<span class='timeago-text' title="{$details.copy_dt_human}">{$details.timeago_dt}</span>
										</td>
									</tr>
									<tr class="stats-row-hide">
										<td colspan="5">
											<table class='striped stats' cellpadding='0' cellspacing='0'>
												<tr>
													<td width='10%'><label>{t}Page URL{/t}:</label></td>
													<td width='90%'>{$details.page_url}</td>
												</tr>
												<tr>
													<td width='10%'><label>{t}Page Title{/t}:</label></td>
													<td width='90%'>{$details.page_title}</td>
												</tr>
												
												<tr>
													<td width='10%'><label>{t}Time{/t}:</label></td>
													<td width='90%'>{$details.copy_dt}</td>
												</tr>
												<tr>
													<td width='10%'><label>{t}Location{/t}:</label></td>
													<td width='90%'><span class="flag flag-{$details.country_code_lower}"></span> {$details.country_name}</td>
												</tr>
												
												{if isset($details.content_text_full)}
													<tr>
														<td width='10%'><label>{t}Copy Full Text{/t}:</label></td>
														<td width='90%'>{$details.content_text_full}</td>
													</tr>
												{/if}
											</table>									
										</td>
									</tr>
								{/foreach}
							{else}
								<tr>
									<td colspan='5' align='center'>
										<div class="col_12 center">{t}No Content copies detected so far{/t}</div>
									</td>
								</tr>
							{/if}
						</tbody>
					</table>					
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
			</div>
		</div>
	</div>
</div>