<div class="section-center col_12">
	<div class='simple-box'>
		<div class='title'>{t}Image Copies Evolution{/t}</div>
		<div class='content'>
			{if !empty($tvars.timeframe_chart_html)}
				{$tvars.timeframe_chart_html}
			{/if}	
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div>
</div>	

{if !empty($tvars.pie_chart_html)}
<div class="section-center col_5_touch_7">
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>{t}Image Copies Distribution{/t}</div>
			<div class='content grid flex' style='margin:0;padding:0;'>
				<div class='col_12 center'>
					<div class="col_4">
						{$tvars.pie_chart_html}
					</div>	
					<div class="col_8 left">
						{if !empty($tvars.pie_chart_values)}
							{foreach from=$tvars.pie_chart_values key=type item=details}
								<span class="pieLegendBox {if isset($details.legend_color)}{$details.legend_color}{/if}"
									style='margin-left:5px;{if isset($details.legend_custom_color)}background-color:{$details.legend_custom_color};{/if}'
								></span>
								<span style='font-weight:bold;'>{$details.title}</span> - 
								<span>{$details.total}</span>
								<span>({$details.percentage}%)</span>
								
								{if isset($details.compare_evolution)}
									{if $details.compare_evolution == 'up'}
										<span title="{t}Increased{/t}" data-icon="~" class="icon large green stats-change-icon"></span>
										<span class="stats-change-text green">(+{$details.compare_percentage}%)</span>
									{elseif $details.compare_evolution == 'down'}
										<span title="{t}Decreased{/t}" data-icon="|" class="icon large red stats-change-icon"></span>
										<span class="stats-change-text red">(-{$details.compare_percentage} %)</span>
									{elseif $details.compare_evolution == 'same'}
										<span title="{t}Constant{/t}" data-icon="-" class="icon gray stats-change-icon"></span>
										<span class="stats-change-text gray">({$details.compare_percentage}%)</span>
									{/if}
								{/if}
								<br>
							{/foreach}
						{/if}	
					</div>
				</div>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>
{/if}	
	


<div class="section-center col_12">
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>{t}Top Images Copied{/t}</div>
			<div class='content'>
				<table class='striped responsive' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
							<th class="header" style='width:70%;text-align:left'>{t}Copy Details{/t}</th>
							<th class="header" style='width:50px;'>{t}Total Copies{/t}</th>
							<th class="header" style='width:150px'>{t}Change{/t}</th>
							<th class="header" style='width:150px;'>
								Percentage <span class="icon gray smallest helper" data-icon="i" title="{t}This bar displays the percentage compared to the Average number of all Image Copies found on your website{/t}"></span>
								<br>
							</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.topImgCopies)}
							{counter start=0 print=false}
							{foreach from=$tvars.topImgCopies key=index item=details}
								<tr>
									<td class="stable-row-fix">
										<div class="ellipsify urlTitle">
											<a href="{$details.img_src}" title='{$details.img_src}'>{$details.img_filename}</a>
										</div>
										{if !empty($details.img_title)}
											<div class="ellipsify urlDetails">
												{$details.img_title}
											</div>					
										{/if}						
									</td>
									<td class='center'>{$details.total_copies}</td>
									<td>
										{if $details.compare_evolution == 'up'}
											<span title="{t}Increased{/t}" data-icon="~" class="icon large green stats-change-icon"></span>
											<span class="stats-change-text green">(+{$details.compare_percentage}%)</span>
										{elseif $details.compare_evolution == 'down'}
											<span title="{t}Decreased{/t}" data-icon="|" class="icon large red stats-change-icon"></span>
											<span class=""stats-change-text green" red">(-{$details.compare_percentage} %)</span>
										{elseif $details.compare_evolution == 'same'}
											<span title="{t}Constant{/t}" data-icon="-" class="icon gray stats-change-icon"></span>
											<span class=""stats-change-text green" gray">({$details.compare_percentage}%)</span>
										{/if}
									</td>	
									<td class='alignCenter'>
										<div class="percentageBar">
											<div class="percentageBarInside blue" style="width:{$details.percentage}%;"></div>
										</div>
										{$details.percentage}%
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan='5' align='center'>
									<div class="col_12 center">{t}No copies detected so far{/t}</div>
								</td>
							</tr>
						{/if}
					</tbody>
				</table>					
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>

<div class="section-center col_12">
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>Latest Images Copied</div>
			<div class='content'>
				<table class='striped stats' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
							<th class="header" style="width:20px;"></th>
							<th class="header" style="width:20px;" >#</th>
							<th class="header" style='text-align:left;width:80%;'>{t}Copy Details{/t}</th>
							<th class="header" style="width:150px;">{t}Time Ago{/t}</th>
						</tr> 
					</thead>			
					<tbody id='keywordsList'>
						{if !empty($tvars.imageCopiesByTime)}
							{counter start=0 print=false}
							{foreach from=$tvars.imageCopiesByTime key=index item=details}
								<tr class="stats-odd">
									<td class="center">
										<span style="display: inline-block; cursor:pointer" class="new_board icon green" id="expand-row-details" title="{t}Expand{/t}" data-icon="+"></span>
									</td>
									<td class="center">{counter}</td>
									<td class="stable-row-fix">
										<span class="ellipsify">
											{$details.img_filename}
										</span>
									</td>
									<td class='center'>
										<span class='timeago-text' title="{$details.copy_dt_human}">{$details.timeago_dt}</span>
									</td>
								</tr>
								<tr class="stats-row-hide">
									<td colspan="4">
										<table class='striped stats' cellpadding='0' cellspacing='0'>
											<tr>
												<td width='10%'><label>{t}Image Thumb{/t}:</label></td>
												<td width='90%'>[Image-Thumb]</td>
											</tr>
											
											{if !empty($details.img_alt)}
											<tr>
												<td width='10%'><label>{t}Image ALT{/t}:</label></td>
												<td width='90%'>{$details.img_alt}</td>
											</tr>
											{/if}
											
											{if !empty($details.img_title)}
											<tr>
												<td width='10%'><label>{t}Image Title{/t}:</label></td>
												<td width='90%'>{$details.img_title}</td>
											</tr>
											{/if}
											
											<tr>
												<td width='10%'><label>{t}Page URL{/t}:</label></td>
												<td width='90%'>{$details.page_url}</td>
											</tr>
											<tr>
												<td width='10%'><label>{t}Page Title{/t}:</label></td>
												<td width='90%'>{$details.page_title}</td>
											</tr>
											
											<tr>
												<td width='10%'><label>{t}Time{/t}:</label></td>
												<td width='90%'>{$details.copy_dt}</td>
											</tr>
											<tr>
												<td width='10%'><label>{t}Location{/t}:</label></td>
												<td width='90%'><span class="flag flag-{$details.country_code_lower}"></span> {$details.country_name}</td>
											</tr>
										</table>
									</td>
								</tr>
							{/foreach}
						{else}
							<tr>
								<td colspan='4' align='center'>
									<div class="col_12 center">{t}No Image copies detected so far{/t}</div>
								</td>
							</tr>
						{/if}
					</tbody>
				</table>					
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>