<?php
class OS_APPFORK_DuplPages_Update_Clusters
{
	public function run($params)
	{
		$result=false;

		if (!empty($params[0]))
		{
			$project_id=$params[0];
			
			$OS=getOS();
			
			$projectOps=$OS->getProjectOps();
			
			if ($project=$projectOps->getProjectByID($project_id) AND $project->isActive())
			{
				$appOps=$OS->getAppOps();
				$availableApp=$appOps->getAppByName('duplpages');
				
				if ($appOps->isProjectApp($project_id,$availableApp->id))
				{
					$appHandler=$OS->getAppHandler('duplpages');
					$app=$appHandler->getAppPlugin();
					$db=$OS->getDb();
					
					$OS->initTimezone($project->timezone);
					
					$clusterOps=OS_APP_DuplPages_ClusterOperations::get_instance();
					
					if ($clusters=$clusterOps->getClusters($project_id))
					{
						$urlOps=OS_APP_DuplPages_UrlOperations::get_instance();
						
						foreach ($clusters as $cluster_id=>$cluster)
						{
							$cluster->urls=$urlOps->getUrlsCountByClusterID($cluster_id);
							
							$cluster->save();
						}
					}
				}
			}
		}
		
		return $result;
	}
}
?>