<div class="col_12 grid flex" style="padding:0;margin:0;">
	{if !$tvars.overview}
		<div class="col_12 center ">{t}No data available.{/t}</div>
	{else}
		{if $tvars.evolution}
			<div class="col_12">
				<fieldset>
					<div class='legend'>{t}Duplication Evolution{/t}</div>
					<div class='content center'>
						<div class="col_12 right" style="margin-top:0px;margin-bottom:0px;">{t}View{/t}: <select onChange="duplPagesChartChangeType(this.selectedIndex)">{foreach from=$tvars.chartTypes key=type item=details}<option value='{$type}' {if $type=='overall'}selected{/if}>{$details.name}</option>{/foreach}</select></div>
						<div class="clear"></div>
						<div id='chartWindow'>
							<div id='chartsContainer'>
								{foreach from=$tvars.evolution key=type item=html}
									{$html}
								{/foreach}
							</div>
						</div>
					</div>
				</fieldset>
			</div>
		{/if}
		<div class='clear'></div>
		<div class="col_12 nofloat marginsCenter">
			<fieldset>
				<div class="legend left">{t}Duplication Overview{/t}</div>
				<div class="content">
					<div class='col_12 center'>
						<div class='fixed_4 center'>
							<span class='statsInfoBoxText {$tvars.overview.uniqueness_color}'>{t}Uniqueness{/t}</span><br>
							<div class='nofloat marginsCenter statsInfoBox fill {$tvars.overview.uniqueness_color}'><div class='statsInfoBoxInside'>{$tvars.overview.uniqueness}%</div></div>
						</div>
						<div class='fixed_4 center'>
							<span class='statsInfoBoxText green'>{t}Unique urls{/t}</span><br>
							<div class='nofloat marginsCenter statsInfoBox fill green'><div class='statsInfoBoxInside'>{$tvars.overview.unique_urls}</div></div>
						</div>
						<div class='fixed_4 center'>
							<span class='statsInfoBoxText red'>{t}Duplication clusters{/t}</span><br>
							<div class='nofloat marginsCenter statsInfoBox fill red'><div class='statsInfoBoxInside'>{$tvars.overview.duplication_clusters}</div></div>
						</div>
					</div>
					{if $tvars.clusters}
						<div class='col_12 center'>
							<table class='striped'>
								<thead>
									<tr>
										<th class='header left'>{t}Original URL{/t}</th>
										<th class='header center'>{t}URLs in cluster{/t}</th>
									</tr>
								</thead>
								<tbody>
									{foreach from=$tvars.clusters key=cluster_id item=cluster}
										<tr>
											<td class='left'><a href='{$cluster._details_url}'>{$cluster.main_url}</a></td>
											<td class='center'>{$cluster.urls}</td>
										</tr>
									{/foreach}
								</tbody>
							</table>
							{if $tvars.prev_page_url OR $tvars.next_page_url}
								<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; {t}Previous page{/t}</a>{else}&nbsp;{/if}</div>
								<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>{t}Next page{/t} &raquo;</a>{else}&nbsp;{/if}</div>
								<div class='clear'></div>
							{/if}
						</div>
					{/if}
				</div>
			</fieldset>
		</div>
	{/if}
</div>