<?php exit; ?>
{
	"app_duplpages_clusters":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"main_url":{
				"field":"main_url",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"main_url_hash":{
				"field":"main_url_hash",
				"type":"char(32)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"urls":{
				"field":"urls",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_id":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_duplpages_reports":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"urls":{
				"field":"urls",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"unique_urls":{
				"field":"unique_urls",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"duplication_clusters":{
				"field":"duplication_clusters",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"report_dt":{
				"field":"report_dt",
				"type":"datetime",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_id":{
				"non_unique":"1",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	},
	"app_duplpages_urls":{
		"columns":{
			"id":{
				"field":"id",
				"type":"int(11) unsigned",
				"null":"NO",
				"key":"PRI",
				"default":null,
				"extra":"auto_increment"
			},
			"project_id":{
				"field":"project_id",
				"type":"int(11)",
				"null":"NO",
				"key":"MUL",
				"default":null,
				"extra":""
			},
			"url":{
				"field":"url",
				"type":"varchar(255)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"url_hash":{
				"field":"url_hash",
				"type":"char(32)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"simhash":{
				"field":"simhash",
				"type":"char(64)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"simhash_dec":{
				"field":"simhash_dec",
				"type":"bigint(20) unsigned",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"status":{
				"field":"status",
				"type":"char(1)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			},
			"cluster_id":{
				"field":"cluster_id",
				"type":"int(11)",
				"null":"NO",
				"key":"",
				"default":null,
				"extra":""
			}
		},
		"indexes":{
			"PRIMARY":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			},
			"project_url":{
				"non_unique":"0",
				"indexes":{
					"1":{
						"column_name":"project_id",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					},
					"2":{
						"column_name":"url_hash",
						"collation":"A",
						"cardinality":"0",
						"sub_part":null,
						"packed":null,
						"null":"",
						"index_type":"BTREE",
						"comment":"",
						"index_comment":""
					}
				}
			}
		}
	}
}