<div class="col_12 center">
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class='legend left'>{t}Anchor Distribution{/t}</div>
			<div class='content'>
				<table class='striped'>
					<thead>
						<th>#</th>
						<th>{t}Anchor{/t}</th>
						<th>{t}Incoming links{/t}</th>
						<th>{t}URLs linking{/t}</th>
						<th>{t}URLs receiving same anchor{/t}</th>
					</thead>
					{foreach from=$tvars.anchor_distribution.anchors key=anchor item=details}
						<tr>
							<td class='center'>{counter}</td>
							<td class='center'>
								{if empty($anchor)}
									<em>({t}empty{/t})</em> <span class="icon small red" data-icon="x"></span>
								{else}
									{$anchor} {if isset($details.anchor_ok)}{if $details.anchor_ok}<span class="icon small green" data-icon="C"></span>{else}<span class="icon small red" data-icon="x" title="{t}Anchor is not related to the content on this page{/t}"></span>{/if}{/if}
								{/if}</td>
							<td class='center'>{$details.incoming_links} ({$details.percent_of_links}%)</td>
							<td class='center'><a href='{$details._linking_url}'>{$details.urls_linking}</a></td>
							<td class='center'>{if $details.urls_linked_with_anchor>0}<a href='{$details._linked_url}'>{$details.urls_linked_with_anchor}</a>{else}0{/if}</td>
						</tr>
					{/foreach}
				</table>
				<div class="clear"></div>
			</div>
		</fieldset>
		{if !empty($tvars.suggested_anchors)}
			<br>
			<fieldset>
				<div class='legend left'>{t}Suggested Anchors{/t}</div>
				<div class='content'>
					{assign var=counter value=0}
					{foreach from=$tvars.suggested_anchors key=anchor item=score}
						{if $counter%3==0}<div class='col_12'>{/if}
						<div class='col_4 center'>{$anchor}</div>
						{assign var=counter value=$counter+1}
						{if $counter%3==0}</div><div class='clear'></div>{/if}
					{/foreach}
					<div class="clear"></div>
				</div>
			</fieldset>
		{/if}
	</div>
	<div class="clear"></div>
</div>