<div class="col_12 center">
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class='legend left'>{t}Internal Links Distribution{/t}</div>
			<div class='content'>
				{if $tvars.depths}
					<table class='striped'>
						<thead>
							<th>{t}Depth{/t}</th>
							<th>{t}URLs{/t}</th>
							<th>{t}Average incoming links / URL{/t}</th>
							<th>{t}Average outgoing links / URL{/t}</th>
							<th>{t}Actions{/t}</th>
						</thead>
						{foreach from=$tvars.depths key=depth item=details}
							<tr>
								<td class='center'>{$depth}</td>
								<td class='center'>{$details.urls}</td>
								<td class='center'>{if !empty($details.incoming_avg)}{$details.incoming_avg}{else}0{/if}</td>
								<td class='center'>{if !empty($details.outgoing_avg)}{$details.outgoing_avg}{else}0{/if}</td>
								<td class='center'>
									<a href='{$tvars.urls.$depth}' title='{t}View depth URLs{/t}'><span class='icon gray' data-icon='s'></span></a>
								</td>
							</tr>
						{/foreach}
					</table>
				{else}
					<div class='col_12 center'>{t}Internal links data not available{/t}</div>
				{/if}
				<div class="clear"></div>
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
</div>