<?php
class OS_APPVIEW_InternalLinks_AnchorLinking extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function processRequest()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$requestParams=$appPlugin->getRequestParams();
		$processedRequest=array();
		
		if (!isset($requestParams['anchor']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
		}
		
		if (empty($requestParams['to_url_hash']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
		}
		
		$processedRequest['anchor']=$requestParams['anchor'];
		
		$ops=OS_APP_InternalLinks_Operations::get_instance();
		
		if (!$processedRequest['urls']=$ops->getAnchorLinkingUrls($requestParams['anchor'],$requestParams['to_url_hash']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
		}
		
		return $processedRequest;
	}
	
	public function render()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$tplVars=$this->processedRequest;
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('anchorlinking',$tplVars);
	}
}
?>