<?php
class OS_APPVIEW_InternalLinks_Depth extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function processRequest()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$requestParams=$appPlugin->getRequestParams();
		$processedRequest=array();
		
		if (empty($requestParams['depth']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
		}
		
		$ops=OS_APP_InternalLinks_Operations::get_instance();
		
		if (!$processedRequest=$ops->getDepthUrlsInlinks($requestParams['depth']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
		}
		
		return $processedRequest;
	}
	
	public function render()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$tplVars=$this->processedRequest;
		
		foreach ($tplVars as $url_hash=>$details)
		{
			$tplVars[$url_hash]['_details_url']=$appPlugin->getAppActionUrl('url',array('url_hash'=>$url_hash));
		}
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('depth',$tplVars);
	}
}
?>