<?php
class OS_APPVIEW_InternalLinks_Main extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function buildViewData()
	{
		$OS=getOS();
		
		$project=$OS->getProject();
		$db=$OS->getDb();
		$ops=OS_APP_InternalLinks_Operations::get_instance();
		
		$viewDataVars=array();
		$viewDataVars['depths']=$ops->getInternalLinksDistribution();
		
		return $viewDataVars;
	}
	
	public function render()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$tplVars=$this->buildViewData();
		
		if ($tplVars['depths'])
		{
			$tplVars['urls']=array();
			
			foreach ($tplVars['depths'] as $depth=>$dummy)
			{
				$tplVars['urls'][$depth]=$appPlugin->getAppActionUrl('depth',array('depth'=>$depth));
			}
		}
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('view',$tplVars);
	}
}
?>