<?php
class OS_APP_KwAnalysis_Manage
{
	public function __construct() {}
	
	public function check()
	{
		return array();
	}
	
	public function run()
	{
		$actions=array(
			'eventHandlers'=>array(
				array('event'=>'projectDeleted','method'=>'eventProjectDeleted'),
			),
			'crons'=>array(
				array('action'=>'check_kw','title'=>_('Perform pending keyword analysis'),'interval'=>'1 m')
			),
			'interactions'=>array(
				'receiver'=>array(
					array('action'=>'keyword','title'=>_('Analyze keyword'),'method'=>'interactionReceiveKeyword')
				),
				'worker'=>array(
					array('action'=>'keyword_difficulty','title'=>_('Compute difficulty for a given keywords'),'method'=>'interactionWorkerKeywordDifficulty'),
					array('action'=>'compute_keyword_difficulty','title'=>_('Compute SERP difficulty from given URL&domain metrics'),'method'=>'interactionWorkerComputeKeywordDifficulty'),
				),
			),
		);
		
		$result=array('actions'=>$actions);
		
		return $result;
	}
}
?>