<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend left">{t}Analyzed URLs{/t}</div>
			<div class="content">
				{if !empty($tvars.reports)}
					<table class="striped">
						<thead>
							<tr>
								<th class='header'>#</td>
								<th class='header left'>{t}URL{/t}</td>
								<th class='header left'>{t}Date{/t}</td>
								<th class='header center'>{t}Actions{/t}</td>
							</tr>
						</thead>
						<tbody>
							{foreach from=$tvars.reports key=report_id item=details}
								<tr>
									<td>{counter}</td>
									<td><a href='{$details.url_safe}' target='_blank'>{$details.url}</a></td>
									<td>{$details.status_dt_human}</td>
									<td class='center'>
										{if $details.status=='D'}
											{if $details.details_url}
												<a href='{$details.details_url}' title='{t}View report result{/t}'><span class='icon gray' data-icon='s'></span></a>
											{/if}
										{/if}
										{if $details.status!='W'}
											{if $details.edit_url}
												<a href='{$details.edit_url}' title='{t}Edit report{/t}'><span class='icon gray' data-icon='7'></span></a>
											{/if}
										{/if}
									</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
					{if $tvars.prev_page_url OR $tvars.next_page_url}
						<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; {t}Previous page{/t}</a>{else}&nbsp;{/if}</div>
						<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>{t}Next page{/t} &raquo;</a>{else}&nbsp;{/if}</div>
					{/if}
				{else}
					<div class='col_12 center'>{t}No reports found.{/t}</div>
				{/if}
				<div class='clear'></div>
			</div>
		</fieldset>
	</div>
</div>