<div class='col_12'>
	<div class="col_12">
		<fieldset>
			<div class="legend">{t}Extraction details{/t}</div>
			<div class="content">
				<table>
					<tr>
						<td class='right'><b>{t}URL{/t}</b></td>
						<td><a href='{$tvars.report.url_safe}' target='_blank'>{$tvars.report.url}</a></td>
					</tr>
					<tr>
						<td class='right'><b>{t}Extraction date{/t}</b></td>
						<td>{$tvars.report.status_dt_human}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Extraction rules{/t}</b></td>
						<td>{t}Extracting keyphrases that have{/t} {if $tvars.report.words_min==$tvars.report.words_max}{$tvars.report.words_min} {if $tvars.report.words_min==1}{t}word{/t}{else}{t}words{/t}{/if}{else}{t}between{/t} {$tvars.report.words_min} {t}and{/t} {$tvars.report.words_max} {t}words{/t}{/if}, {t}every word having at least{/t} {$tvars.report.min_word_length} {t}characters.{/t}</td>
					</tr>
					{if !empty($tvars.report.stop_words_list)}
						<tr>
							<td class='right'><b>{t}Stop words list{/t}</b></td>
							<td>{$tvars.report.stop_words_list_human}</td>
						</tr>
					{/if}
					{if !empty($tvars.report.stop_words)}
						<tr>
							<td class='right' valign='top'><b>{t}Custom stop words{/t}</b></td>
							<td>{$tvars.report.stop_words_human}</td>
						</tr>
					{/if}
				</table>
			</div>
		</fieldset>
	</div>
	<div class='clear'></div>
	{foreach from=$tvars.keywords key=words item=keyphrases}
		<div class="col_6 column">
			<fieldset>
				<div class="legend">{t 1=$words}%1-word keyphrases{/t}</div>
				<div class="content">
					<table class='striped'>
						<thead>
							<tr>
								<th class='header'>{t}Keyphrase{/t}</th>
								<th class='header'>{t}Score{/t}</th>
							</tr>
						</thead>
						<tbody>
							{foreach from=$keyphrases key=keyphrase item=score}
								<tr>
									<td class='left'>{$keyphrase}</td>
									<td class='center'>{$score}</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
				</div>
			</fieldset>
		</div>
	{/foreach}
</div>