<?php
class OS_APPVIEW_KwExtractor_Report extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function processRequest()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		$project=$OS->getProject();
		
		$requestParams=$appPlugin->getRequestParams();
		
		$valid=false;
		if (!empty($requestParams['report_id']))
		{
			$ops=OS_APP_KwExtractor_ReportOperations::get_instance();
			
			if ($report=$ops->getReportByID($requestParams['report_id'],$project->id))
			{
				if ($report->status=='D')
				{
					$valid=true;
				}
			}
		}
		
		if (!$valid)
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('main'),true);
		}
		
		return $report;
	}
	
	public function render()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$tplVars['report']=$this->processedRequest->toTemplate();
		
		$tplVars['keywords']=array();
		for ($i=$tplVars['report']['words_min'];$i<=$tplVars['report']['words_max'];$i++)
		{
			if (!empty($tplVars['report']['result'][$i]))
			{
				$tplVars['keywords'][$i]=$tplVars['report']['result'][$i];
			}
		}
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('report',$tplVars);
	}
}
?>