<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class="legend left">{t}Topic analysis reports{/t}</div>
			<div class="content">
				{if empty($tvars.reports)}
					<div class='col_12 center'>{t}No reports have been ordered{/t}</div>
					<div class='clear'></div>
				{else}
					<table class='striped responsive'>
						<thead>
							<th class='header left'>{t}Topic name{/t}</th>
							<th class='header'>{t}Keywords{/t}</th>
							<th class='header'>{t}Difficulty{/t}</th>
							<th class='header'>{t}Status{/t}</th>
							<th class='header show-desktop'>{t}Date{/t}</th>
							<th class='header'>{t}Delete{/t}</th>
						</thead>
						<tbody>
							{foreach from=$tvars.reports key=report_id item=details}
								<tr>
									<td><a href='{$details.keywords_url}'>{$details.name}</a></td>
									<td class='center'>{$details.keywords}<br><a href='{$details.keywords_url}'>View keywords</a></td>
									<td class='center'>
										{if $details.status=='D'}
											{$details.difficulty}%
											{if $details.competitors_url}
												<br><a href='{$details.competitors_url}'>View competitors</a>
											{/if}
										{else}
											<span class="icon small gray" data-icon="E"></span>
										{/if}
									</td>
									<td class='center'>{$details.status_human}</td>
									<td class='center show-desktop-tablecell'>{$details.status_dt_human}</td>
									<td class='center'>
										<a href='{$details.delete_url}' title='{t}Delete report{/t}'><span class='icon small gray' data-icon='x'></span></a>
									</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
				{/if}
			</div>
		</fieldset>
	</div>
</div>