<div class="col_12">
{if $tvars.has_competitors}
{*
	<fieldset>
		<div class='legend'>{$tvars.topic_title} - {t}Evolution{/t}</div>
		<div class='content'>
			coming soon
		</div>
	</fieldset>
	<br>
*}
	<fieldset>
		<div class='legend'>{$tvars.topic_title} - {t}Competitors{/t}</div>
		<div class='content'>
			{foreach from=$tvars.competitors key=competitor_id item=competitor}
				<div class='col_4 center'>
					<input type='checkbox' id='competitor_{$competitor_id}' class='competitor' data-competitorID="{$competitor_id}" onChange="toggleCompetitor({$competitor_id})" {if $competitor.is_selected}checked{/if}> <label for="competitor_{$competitor_id}" style='color:{$competitor.color};'>{$competitor.host}</label>
				</div>
			{/foreach}
		</div>
	</fieldset>
	<br>
	<fieldset>
		<div class='legend'>{$tvars.topic_title} - {t}Current Status{/t}</div>
		<div class='content'>
			<table class='striped responsive'>
				<thead>
					<tr>
						<th class='header left'></th>
						<th class='header center'>{t}YOU{/t}</th>
						{foreach from=$tvars.competitors key=competitor_id item=competitor}
							<th class='header center competitor_{$competitor_id}' style="display:{if $competitor.is_selected}table-cell{else}none{/if};color:{$competitor.color};">{$competitor.host}</th>
						{/foreach}
					</tr>
				</thead>
				<tbody>
					{foreach from=$tvars.keywords key=keyword_id item=keyword}
						<tr>
							<td class='left'>{$keyword.keyword}</td>
							<td class='center'>
								{if !empty($tvars.keywordStats.your.$keyword_id)}
									{if $tvars.keywordStats.your.$keyword_id.value==0}
										-
									{else}
										{$tvars.keywordStats.your.$keyword_id.value}
									{/if}
								{else}
									-
								{/if}
							</td>
							{foreach from=$tvars.competitors key=competitor_id item=competitor}
								<td class='center competitor_{$competitor_id}' style="display:{if $competitor.is_selected}table-cell{else}none{/if};">
									{if !empty($tvars.keywordStats.competitors.$competitor_id.$keyword_id)}
										{if $tvars.keywordStats.competitors.$competitor_id.$keyword_id.value==0}
											-
										{else}
											{$tvars.keywordStats.competitors.$competitor_id.$keyword_id.value}
										{/if}
									{else}
										-
									{/if}
								</td>
							{/foreach}
						</tr>
					{/foreach}
				</tbody>
		</div>
	</fieldset>
{else}
	<fieldset>
		<div class='legend'>{$tvars.topic_title}</div>
		<div class='content'>
			<br><br><div class='col_12 center' style='font-size:150%;'>{t}No competitors defined for this topic{/t}</div><br><br>
		</div>
	</fieldset>
{/if}
</div>