<?php
class OS_APPVIEW_KwTracker_Keyword extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function processRequest()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		$project=$OS->getProject();
		
		$requestParams=$appPlugin->getRequestParams();
		
		if (empty($requestParams['se_id']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
		}
		else
		{
			$osProjectSearchEngineOps=$OS->getProjectSearchEngineOps();
			
			if (!$se=$osProjectSearchEngineOps->getProjectSearchEngineByID($requestParams['se_id']))
			{
				$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
			}
			elseif ($se->project_id!=$project->id)
			{
				$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
			}
		}
		
		if (empty($requestParams['topic_id']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
		}
		else
		{
			$osProjectTopicOps=$OS->getProjectTopicOps();
			
			if (!$topic=$osProjectTopicOps->getProjectTopicByID($requestParams['topic_id']))
			{
				$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
			}
			elseif ($topic->project_id!=$project->id)
			{
				$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
			}
			elseif ($topic->se_id!=$se->id)
			{
				$OS->redirectTO($appPlugin->getAppActionUrl('view'),true);
			}
		}
		
		if (empty($requestParams['keyword_id']))
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('competitors',array('se_id'=>$requestParams['se_id'],'topic_id'=>$requestParams['topic_id'])),true);
		}
		else
		{
			$osProjectKeywordOps=$OS->getProjectKeywordOps();
			
			if (!$keyword=$osProjectKeywordOps->getProjectKeywordByID($requestParams['keyword_id']))
			{
				$OS->redirectTO($appPlugin->getAppActionUrl('competitors',array('se_id'=>$requestParams['se_id'],'topic_id'=>$requestParams['topic_id'])),true);
			}
		}
		
		return array(
			'se'=>$se,
			'topic'=>$topic,
			'keyword'=>$keyword
		);
	}
	
	public function buildViewData()
	{
		$OS=getOS();
		
		$project=$OS->getProject();
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		$ops=OS_APP_KwTracker_ReportOperations::get_instance();
		$osProjectCompetitorOps=$OS->getCompetitorOps();
		
		$viewDataVars=array();
		$topic_id=$this->processedRequest['topic']->id;
		
		if ($competitors=$osProjectCompetitorOps->getCompetitorsByTopicID($topic_id))
		{
			$keyword_id=$this->processedRequest['keyword']->id;
			
			$competitors_stats=array();
			$displayable_competitors=array();
			$your_stats=array();
			$latest_stats=array(
				'your'=>array(),
				'competitors'=>array()
			);
			$prev_stats=array(
				'your'=>array(),
				'competitors'=>array()
			);
			$dates=array();
			$latest_2_reports=array();
			
			if ($reports=$ops->getReports($project->id))
			{
				foreach ($reports as $report_id=>$report)
				{
					if ($keyword=$ops->getReportKeyword($report_id,$keyword_id))
					{
						
					}
				}
			}
		}
	}
	
	public function render()
	{
	}
}
?>