<?php

class OS_APP_LinkRequest_Keywords
{
	public $id;
	public $project_id;
	public $insert_dt;
	
	public function __construct(){}
	
	public function get($param)
	{
		$result = null;
		
		if(isset($this->$param))
		{
			$result = $this->$param; 
		}
		return $result;
	}
	
	public function set($data)
	{
		$result = false;
		
		$objVars = get_object_vars($this);
		
		if(is_object($data))
		{
			$data = get_object_vars($data);
		}
		
		foreach($objVars as $key=>$val)
		{
			if(isset($data[$key]))
			{
				$this->$key = $data[$key];
				$result = true;
			}
		}
		
		return $result;
	}
	
	public function save()
	{
		$result = false;
		
		$keywordsOps = OS_APP_LinkRequest_Keywords_Operations::get_instance();
		
		if ($this->id ==  null)
		{
			$this->beforeInsert();
			
			$newid = $keywordsOps->insertKeyword($this);
			if ($newid > -1)
			{
				$this->id = $newid;
				$this->afterInsert();
				$result = true;
			}
		}

		return $result;
	}
	
	public function delete()
	{
		$result = false;
		
		if ($this->id > -1)
		{
			$OS = getOS();
			
			//Remove user record from the database
			$keywordsOps = OS_APP_LinkRequest_Keywords_Operations::get_instance();
			
			$deleteResult = $keywordsOps->deleteKeywordByID($this->id);
			if ($deleteResult)
			{
				$result = true;
			}
		}

		return $result;
	}
	
	
	private function beforeInsert() {}

	private function afterInsert() {}
	
	private function beforeUpdate() {}

	private function afterUpdate() {}
}	
?>