<div class="col_12">
	<div class="col_12">
		<fieldset>
			<div class='legend'>
				<div class='col_9 left' style='margin:0px;'>{t}Page details{/t}</div>
				<div class='col_3 right' style='margin:0px;'><a href='{$tvars.kwanalysis_url}' title='{t}Perform Keyword Analysis{/t}'>{t}Keyword analysis{/t}</a></div>
			</div>
			<div class='content'>
				<table>
					<tr>
						<td class='right'><b>{t}URL{/t}</b></td>
						<td><a href='{$tvars.url_safe}' target='_blank'>{$tvars.url}</a></td>
					</tr>
					<tr>
						<td class='right'><b>{t}Title{/t}</b></td>
						<td>{if empty($tvars.title)}<i>{t}Untitled Document{/t}</i>{else}{$tvars.title}{/if}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Meta Description{/t}</b></td>
						<td>{if empty($tvars.description)}<i>n/a</i>{else}{$tvars.description}{/if}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Canonical URL{/t}</b></td>
						<td>{if empty($tvars.canonical_url)}<i>n/a</i>{else}<a href='{$tvars.canonical_url_safe}' target='_blank'>{$tvars.canonical_url}</a>{/if}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Onpage SEO Score{/t}</b></td>
						<td>{$tvars.score} points</td>
					</tr>
				</table>
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
	<ul class="tabs left">
		<li {if $tvars.currentTab=='tests'}class='current'{/if}><a target="#tests" href="javascript:void(0);"><span class="icon" data-icon="v"></span> {t}Test results{/t}</a></li>
		{if $tvars.link_distribution.internal_vs_external OR $tvars.link_distribution.external_nofollow_vs_dofollow OR $tvars.incoming_links.links.links>0}
			<li {if $tvars.currentTab=='linkdistrib'}class='current'{/if}><a target="#linkdistrib" href="javascript:void(0);"><span class="icon" data-icon="k"></span> {t}Links distribution{/t}</a></li>
		{/if}
		<li {if $tvars.currentTab=='kwdensity'}class='current'{/if}><a target="#kwdensity" href="javascript:void(0);"><span class="icon" data-icon="D"></span> {t}Keywords{/t}</a></li>
	</ul>
	
	<div id="tests" class="tab-content" style='margin-bottom:0;display:{if $tvars.currentTab=='tests'}block{else}none{/if};'>
		<div class="col_12">
			<ul class="tabs left">
				{foreach from=$tvars.messages key=category item=category_details}
					<li><a target='#tests_{$category}' href='javascript:void(0);'><span class="icon {$category_details.status_visuals.color} small" data-icon='{$category_details.status_visuals.icon}'></span>{$category_details.title}</a></li>
				{/foreach}
			</ul>
			
			{foreach from=$tvars.messages key=category item=category_details}
				<div id="tests_{$category}" class="tab-content" style='margin-bottom:0;'>
					{foreach from=$category_details.groups key=group item=group_details}
						<div class="col_12">
							<fieldset class="{$group_details.status_visuals.color}">
								<div class="legend fill {$group_details.status_visuals.color}">
									<div class='col_11 left' style='margin:0;'>{$group_details.title}</div>
									<div class='right column' style='margin:0;padding-right:5px;'>{if $group_details.help_url} <a href='{$group_details.help_url}' target='_blank'><span class='icon small black' data-icon='?' style="position:static;text-indent:0;"></span></a>{/if}</div>
								</div>
								<div class="content" style='padding-bottom:5px;'>
									<table class="striped" style='margin:0;'>
										{foreach from=$group_details.elements key=element item=details}
											<tr>
												<td align='center' width='25' style='padding:9px 0 9px 10px;'><span class='icon {$details.status_visuals.color} medium' data-icon='{$details.status_visuals.icon}'></span></td>
												<td align='left' width='100' valign='top' style='padding-top:12px;'><b>{$details.title}</b></td>
												<td align='left'>
													{if empty($details.messages)}
														<div class='col_12'>{$details.status_visuals.message}</div>
													{else}
														<div class="clear"></div>
														{assign var=should_br value=false}
														{foreach from=$details.messages key=dummy item=test}
															{if $should_br}
																<br>
															{/if}
															<div class='col_12'>{$test.message} {if !empty($test.analyze_url)} <button class="small blue" onclick="window.location='{$test.analyze_url}&category={$category}#{$group}'"><span class="icon" data-icon="s"></span> {t}Analyze{/t}</a>{/if}</div>
															<div class='clear'></div>
															{assign var=should_br value=true}
														{/foreach}
													{/if}
												</td>
											</tr>
										{/foreach}
									</table>
								</div>
							</fieldset>
						</div>
					{/foreach}
				</div>
			{/foreach}
		</div>
	</div>
	{if $tvars.link_distribution.internal_vs_external OR $tvars.link_distribution.external_nofollow_vs_dofollow OR $tvars.incoming_links.links.links>0}
		<div id='linkdistrib' class='tab-content' style='margin-bottom:0;display:{if $tvars.currentTab=='linkdistrib'}block{else}none{/if};'>
			{if $tvars.link_distribution.internal_vs_external OR $tvars.link_distribution.external_nofollow_vs_dofollow}
				<div class="col_12">
					<fieldset>
						<div class="legend">{t}Outgoing links{/t}</div>
						<div class="content grid flex" style="padding:0;margin:0;">
							{if $tvars.link_distribution.internal_vs_external}
								{if $tvars.link_distribution.external_nofollow_vs_dofollow}
									<div class="phonebreak_6">
								{else}
									<div class="phonebreak_12">
								{/if}
									<div class="col_12 center"><b>{t}Internal vs External{/t}</b></div>
									<div class="clear"></div>
									<div class="col_12 center">
										{$tvars.link_distribution.internal_vs_external}
									</div>
								</div>
							{/if}
							{if $tvars.link_distribution.external_nofollow_vs_dofollow}
								{if $tvars.link_distribution.internal_vs_external}
									<div class="phonebreak_6">
								{else}
									<div class="phonebreak_12">
								{/if}
									<div class="col_12 center"><b>{t}External Nofollow vs Dofollow{/t}</b></div>
									<div class="clear"></div>
									<div class="col_12 center">
										{$tvars.link_distribution.external_nofollow_vs_dofollow}
									</div>
								</div>
							{/if}
						</div>
					</fieldset>
				</div>
				<div class='clear'></div>
			{/if}
			{if $tvars.incoming_links.links.links>0}
				<div class="col_12">
					<fieldset>
						<div class="legend">{t}Internal Incoming links{/t}</div>
						<div class='content grid flex' style='margin:0;padding:0;'>
							<div class='col_12 center'>
								<div class='col_6'>
									<table class='striped'>
										<thead>
											<tr>
												<th class='header'>{t}Links{/t}</th>
												<th class='header'>{t}Pages{/t}</th>
												<th class='header'>{t}Nofollow{/t}</th>
												<th class='header'>{t}Dofollow{/t}</th>
												<th class='header'>{t}Text{/t}</th>
												<th class='header'>{t}Image{/t}</th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td class='center'>{$tvars.incoming_links.links.links}</td>
												<td class='center'>{$tvars.incoming_links.links.pages}</td>
												<td class='center'>{$tvars.incoming_links.links.nofollow}</td>
												<td class='center'>{$tvars.incoming_links.links.dofollow}</td>
												<td class='center'>{$tvars.incoming_links.links.text}</td>
												<td class='center'>{$tvars.incoming_links.links.image}</td>
											</tr>
										</tbody>
									</table>
								</div>
								{if !empty($tvars.incoming_links.anchors)}
									<div class='col_6'>
										<div class="col_12 left" style='padding-left:5px;'><b>{t}Anchors{/t}</b></div><div class='clear'></div>
										{foreach from=$tvars.incoming_links.anchors key=anchor item=anchor_details}
											<div class='col_4 center'>
												{if isset($anchor_details.anchor_ok)}
													{if $anchor_details.anchor_ok}
														<span class="icon small green" data-icon="C"></span>
													{else}
														<span class="icon small red" data-icon="x" title="{t}Anchor is not related to the content on this page{/t}"></span>
													{/if}
												{/if}
												{$anchor} [{$anchor_details.links} {t}links{/t}]
											</div>
										{/foreach}
										{if $tvars.analyzeAnchorsURL}
											<div class='col_12 center'>
												<a href='{$tvars.analyzeAnchorsURL}' class='button small blue'>{t}Analyze anchors{/t}</a>
											</div>
										{/if}
									</div>
								{/if}
							</div>
							<div class='clear'></div>
						</div>
					</fieldset>
				</div>
			{/if}
		</div>
	{/if}
	
	<div id="kwdensity" class="tab-content" style='margin-bottom:0;display:{if $tvars.currentTab=='kwdensity'}block{else}none{/if};'>
		<div class='col_12 center grid flex' style='padding:0;margin:0;'>
			{foreach from=$tvars.kwdensity key=length item=keywords}
				<div class="col_6 column">
					<fieldset>
						<div class="legend">{t 1=$length}%1-word phrases{/t}</div>
						<div class="content" style='padding-bottom:5px;'>
							<table class="striped" style='margin:0;'>
								<thead>
									<tr>
										<th class="left">{t}Keyword{/t}</th>
										<th class="center" style='width:100px;'>{t}Score{/t}</th>
									</tr>
								</thead>
								<tbody>
									{foreach from=$keywords key=keyword item=details}
										<tr>
											<td class="left">{$keyword}</td>
											<td class="center">{$details.score}</td>
										</tr>
									{/foreach}
								</tbody>
							</table>
						</div>
					</fieldset>
				</div>
			{/foreach}
			<div class='clear'></div>
			<div class='col_12 center'>
				<a href='{$tvars.extractKeywordsURL}' class='button small blue'>{t}Extract keywords{/t}</a>
			</div>
		</div>
		<div class='clear'></div>
	</div>
</div>