<div class="col_12">
	<div class="col_12 center">
		<fieldset>
			<div class='legend left'>{$tvars.test_title}</div>
			<div class='content'>
				{if !$tvars.pages}
					<div class='col_12 center'>{t}No pages have failed this test.{/t}</div>
				{else}
					<table class='striped'>
						<thead>
							<tr>
								<th class='left'>{t}Title & URL{/t}</th>
								<th style='width:32px;'>{t}Actions{/t}</th>
							</tr>
						</thead>
						<tbody>
							{foreach from=$tvars.pages key=page_id item=details}
								<tr>
									<td class='left'>
										<a href='{$details.page_report_url}' title='{t}View detailed report{/t}'>{if empty($details.title)}<i>{t}Untitled Document{/t}</i>{else}{$details.title}{/if}</a><br>
										<a href='{$details.url_safe}' target='_blank'><span class='icon gray' data-icon="_"></span></a> {$details.url}
									</td>
									<td class='center'>
										<a href='{$details.page_report_url}' title='{t}View detailed report{/t}'><span class='icon gray' data-icon='s'></span></a>
									</td>
								</tr>
							{/foreach}
						</tbody>
					</table>
					{if $tvars.prev_page_url OR $tvars.next_page_url}
						<div class="col_6 left column">{if $tvars.prev_page_url}<a href='{$tvars.prev_page_url}'>&laquo; {t}Previous page{/t}</a>{else}&nbsp;{/if}</div>
						<div class="col_6 right column">{if $tvars.next_page_url}<a href='{$tvars.next_page_url}'>{t}Next page{/t} &raquo;</a>{else}&nbsp;{/if}</div>
					{/if}
				{/if}
				<div class='clear'></div>
			</div>
		</fieldset>
	</div>
</div>