<div class="col_12">
	<div class='simple-box'>
		<div class='title'>{t}Traffic Evolution from Google Images{/t}</div>
		<div class='content'>
			<table class='striped' cellpadding='0' cellspacing='0'>
				<thead> 
					<tr> 
						<th class="header" style="width:20px">#</th>
						<th class="header" style="width:40%;text-align:left">{t}Image URL{/t}</th>
						<th class="header" style="width:10%;">{t}Errors{/t}</th>
						<th class="header" style="width:10%;">{t}Warnings{/t}</th>
						<th class="header" style="width:10%;">{t}Notices{/t}</th>
						<th class="header" style="width:10%;">{t}Score{/t}</th>
						<th class="header" style="width:10%;">{t}Actions{/t}</th>
					</tr>
				</thead>
				<tbody>
				{if isset($tvars.imagesScoreStats)}				
					{counter start=$tvars.startCounter print=false}
					{foreach from=$tvars.imagesScoreStats key=index item=details}
						<tr>
							<td class="center">{counter}</td> 
							<td class="left stable-row-fix">
								<a href="{$details.image_details_link}" title="{$details.page_url}">
									{$details.image_url}
								</a><br>
								<span>on page: {$details.page_url}</span>
							</td>
							<td class="center">
								<span {if $details.errors > 0}class="statsInfoBoxText red"{/if}>{$details.errors}</span>
							</td>
							<td class="center">
								<span {if $details.warnings > 0}class="statsInfoBoxText yellow"{/if}>{$details.warnings}</span>
							</td>
							<td class="center">
								<span {if $details.notices > 0}class="statsInfoBoxText blue"{/if}>{$details.notices}</span>
							</td>
							<td class="center">
								{$details.score}
							</td>
							<td class="center">
								<span data-icon="s" class="icon gray" style="display: inline-block;"></span>
							</td>	
						</tr>
					{/foreach}
					<tr>
						<td colspan="7">
							<div style="float:right; display:inline-block; padding:0px 10px;">		
								<button class="small blue" onclick="window.location='{$tvars.prev_link}'" title="{t}Previous Entries{/t}">&laquo;</button>
								<button class="small blue" onclick="window.location='{$tvars.next_link}'" title="{t}Next Entries{/t}">&raquo;</button>
							</div>
							<div style="float:right; display:inline-block; padding:0px 10px;">
								<label>Rows</label>
								<form name="tableset-rows-selector" id="tableset-rows-selector" action="?#tableset" method='GET' style="display:inline;">
									{foreach from=$tvars.linkParams key=name item=value}
										<input type='hidden' name="{$name}" value="{$value}">
									{/foreach}
	
									<select name="rows" onchange='osKernel.submitForm("tableset-rows-selector")'><option value=""></option>
										{foreach from=$tvars.availableTotalRows item=rowsRange}
											<option value="{$rowsRange}" {if $tvars.maxRows == $rowsRange}selected{/if}>{$rowsRange}</option>
										{/foreach}
									</select>
								</form>
							</div>	
						</td>
					</tr>	
				{else}
					<tr>
						<td colspan="6" class="center">{t}No problematic images found (Yet){/t}</td>
					</tr>	
				{/if}	
				</tbody>	
			</table>			
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div>
	<div class="clear"></div>
</div>