{if !empty($tvars.imageDetails)}
	<div class="col_12">
		<div class='simple-box'>
			<div class='title'>{t}Image Details{/t}</div>
			<div class='content'>
				<div class="col_3">
					<div style="display:block; text-align: center">
						<p>
							<span class="statsInfoBoxText red" title="{t}Image Errrs{/t}">{t}Errors{/t}</span>
						</p>	
						
						<div class="nofloat marginsCenter statsInfoBoxSlim fill red" title="{t}Image Errors{/t}">
							<div class="statsInfoBoxSlimInside">{$tvars.imageDetails.errors}</div>
						</div>
					</div>
					<div style="display:block; text-align: center">
						<p>
							<span class="statsInfoBoxText yellow" title="{t}Image Warnings{/t}">{t}Warnings{/t}</span>
						</p>	
						
						<div class="nofloat marginsCenter statsInfoBoxSlim fill yellow" title="{t}Image Warnings{/t}">
							<div class="statsInfoBoxSlimInside">{$tvars.imageDetails.warnings}</div>
						</div>
					</div>
					<div style="display:block; text-align: center">
						<p>
							<span class="statsInfoBoxText blue" title="{t}Image Notices{/t}">{t}Notices{/t}</span>
						</p>	
						
						<div class="nofloat marginsCenter statsInfoBoxSlim fill blue" title="{t}Image Notices{/t}">
							<div class="statsInfoBoxSlimInside">{$tvars.imageDetails.notices}</div>
						</div>
					</div>
				</div>
				<div class="col_9">
					<div style="display:block; text-align: center">
						<img src="{$tvars.imageDetails.cache_image_url}" style="border:1px solid black; padding:2px;">
					</div>
					<div style="display:block; text-align: center">
						<div class="col_12 left">
							<section>
								<div class="col_3 left"><label class="bold">{t}Page URL{/t}</label></div>
								<div class="col_9 left">{$tvars.imageDetails.page_url}</div>
							</section>
						</div>
						
						<div class="col_12 left">
							<section>
								<div class="col_3 left"><label class="bold">{t}Image URL{/t}</label></div>
								<div class="col_9 left">{$tvars.imageDetails.image_url}</div>
							</section>
						</div>					

						
						<div class="col_12 left">
							<section>
								<div class="col_3 left"><label class="bold">{t}Image ALT Tag{/t}</label></div>
								<div class="col_9 left">
									{if isset($tvars.imageDetails.alt_content)}{$tvars.imageDetails.alt_content}
									{else}<b class="text red">{t}Missing{/t}</b>{/if}
								</div>
							</section>
						</div>
							
						<div class="col_12 left">
							<section>
								<div class="col_3 left"><label class="bold">{t}Image TITLE Tag{/t}</label></div>
								<div class="col_9 left">
									{if isset($tvars.imageDetails.title_content)}{$tvars.imageDetails.title_content}
									{else}<b class="text red">{t}Missing{/t}</b>{/if}
								</div>	
							</section>
						</div>					
											
						<div class="col_12 left">
							<section>
								<div class="col_3 left"><label class="bold">{t}Image FILENAME{/t}</label></div>
								<div class="col_9 left">
									{if isset($tvars.imageDetails.image_filename)}{$tvars.imageDetails.image_filename}
									{else}<b class="text red">{t}Missing{/t}</b>{/if}
								</div>
							</section>
						</div>					

						<div class="col_12 left">
							<section>
								<div class="col_3 left"><label class="bold">{t}Image Dimensions{/t}</label></div>
								<div class="col_9 left">
									{if isset($tvars.imageDetails.image_width) && isset($tvars.imageDetails.image_height)}
										{$tvars.imageDetails.image_width} X {$tvars.imageDetails.image_height}
									{else}<b class="text red">{t}Missing{/t}</b>{/if}	
									</div>
							</section>
						</div>
					</div>
				</div>
			<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div>		
{/if}


{if !empty($tvars.testsReport)}
	<ul class="tabs">
	{foreach from=$tvars.testsReport key=groupName item=groupDetails}
		<li>
			<a href="javascript:void(0);" target="#list-image-{$groupName}" title="{$groupDetails.title}">
				{$groupDetails.title} <span class="statsInfoBoxText {$groupDetails.box_problem_type_color}">[{$groupDetails.total_problems}]</span>
			</a>
		</li>
	{/foreach}
	</ul>
	
	{foreach from=$tvars.testsReport key=groupName item=groupDetails}
	<div id="list-image-{$groupName}" class="tab-content">
		<div class="col_12">
			<div class='simple-box'>
				<div class='content'>
					<table class='tight' cellpadding='0' cellspacing='0'>
						{foreach from=$groupDetails.tests key=testName item=testDetails}
							<tr>
								<td class="col_8 left">
									{if isset($testDetails.test.message)}
										<label>{$testDetails.test.message}</label>
									{/if}
									
									{if isset($testDetails.test.value)}
										<p>{$testDetails.test.value}</p>
									{/if}
								
									{if isset($testDetails.result.message)}
										<div class="col_11 notice {$testDetails.result.type}">
											{if $testDetails.result.type == 'success'}<span class="icon medium" data-icon="X"></span>
											{elseif $testDetails.result.type == 'error'}<span class="icon medium" data-icon="X"></span>
											{elseif $testDetails.result.type == 'warning'}<span class="icon medium" data-icon="X"></span>
											{elseif $testDetails.result.type == 'info'}<span class="icon medium" data-icon="X"></span>{/if}
											{$testDetails.result.message}
										</div>
										<div class="clear"></div>
									{/if}
									
									{if isset($testDetails.test.description)}
										<p><i>{$testDetails.test.description}</i></p>
									{/if}
									
								</td>
								
								<td class="col_3 right">
									{if isset($testDetails.result.value)}
										<p>{$testDetails.result.value}</p>
									{/if}							
								</td>
								
								<td class="col_1 center">
									{if isset($testDetails.result.type)}
										{if $testDetails.result.type == 'success'}<span class="icon medium green" data-icon="C" title="{t}Success{/t}"></span>
										{elseif $testDetails.result.type == 'error'}<span class="icon medium red" data-icon="x" title="{t}Failed{/t}"></span>
										{elseif $testDetails.result.type == 'warning'}<span class="icon medium yellow" data-icon="!" title="{t}Warning{/t}"></span>
										{elseif $testDetails.result.type == 'info'}<span class="icon medium blue" data-icon="!" title="{t}Info{/t}"></span>{/if}
									{/if}	
								</td>
								
							</tr>	
						{/foreach}
					</table>
				<div class="clear"></div>
				</div>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div>		
	</div>
	{/foreach}
{/if}