<div class="col_12 center">
	{if $tvars.charts}
		<div class="col_12 nofloat marginsCenter">
			<fieldset>
				<div class='legend left'>{t}Outgoing Links Evolution{/t}</div>
				<div class='content'>
					<div class='col_12 right'><select onChange="switchChart(this.selectedIndex)">{foreach from=$tvars.charts.legend key=type item=name}<option value='{$type}'>{$name}</option>{/foreach}</select></div>
					<div class='clear'></div>
					<div class='col_12' style='height:150px;overflow:hidden;margin:0px;'>
						<div class='col_12' id='chartsContainer' style="margin:0px;">
							{foreach from=$tvars.charts.actualCharts key=type item=chart}
								<div id="chart_{$type}">{$chart}</div>
							{/foreach}
						</div>
					</div>
				</div>
			</fieldset>
		</div>
		<div class="clear"></div>
	{/if}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class='legend left'>{t}Outgoing Links Distribution{/t}</div>
			<div class='content'>
				{if $tvars.report}
					<div class='col_12'>
						<div class="col_4 columns center">
							<div class='col_12 center' style='margin-bottom:3px;'>
								{if $tvars.report.occurances_total>0}
									<a class="statsInfoBoxText blue" href='{$tvars.urls.total}'>{t}Total links{/t}</a>
								{else}
									<span class="statsInfoBoxText blue">{t}Total links{/t}</span>
								{/if}
							</div><div class='clear'></div>
							<div class="nofloat marginsCenter statsInfoBox {if $tvars.report.occurances_total>0}fill{/if} blue" {if $tvars.report.occurances_total>0}style="cursor:pointer;" onClick="window.location='{$tvars.urls.total}'"{/if}><div class='statsInfoBoxInside'>{$tvars.report.occurances_total}</div></div>
						</div>
						<div class="col_4 columns center">
							<div class='col_12 center' style='margin-bottom:3px;'>
								{if $tvars.report.occurances_dofollow>0}
									<a class="statsInfoBoxText blue" href='{$tvars.urls.dofollow}'>{t}Dofollow links{/t}</a>
								{else}
									<span class="statsInfoBoxText blue">{t}Dofollow links{/t}</span>
								{/if}
							</div><div class='clear'></div>
							<div class="nofloat marginsCenter statsInfoBox {if $tvars.report.occurances_dofollow>0}fill{/if} blue" {if $tvars.report.occurances_dofollow>0}style="cursor:pointer;" onClick="window.location='{$tvars.urls.dofollow}'"{/if}><div class='statsInfoBoxInside'>{$tvars.report.occurances_dofollow}</div></div>
						</div>
						<div class="col_4 columns center">
							<div class='col_12 center' style='margin-bottom:3px;'>
								{if $tvars.report.occurances_nofollow>0}
									<a class="statsInfoBoxText blue" href='{$tvars.urls.nofollow}'>{t}Nofollow links{/t}</a>
								{else}
									<span class="statsInfoBoxText blue">{t}Nofollow links{/t}</span>
								{/if}
							</div><div class='clear'></div>
							<div class="nofloat marginsCenter statsInfoBox {if $tvars.report.occurances_nofollow>0}fill{/if} blue" {if $tvars.report.occurances_nofollow>0}style="cursor:pointer;" onClick="window.location='{$tvars.urls.nofollow}'"{/if}><div class='statsInfoBoxInside'>{$tvars.report.occurances_nofollow}</div></div>
						</div>
					</div>
					<div class="clear"></div>
					<div class='col_12'>
						<div class="col_4 columns center">
							<div class='col_12 center' style='margin-bottom:3px;'>
								{if $tvars.report.linking_urls>0}
									<a class="statsInfoBoxText blue" href='{$tvars.urls.linking}'>{t}Linking pages{/t}</a>
								{else}
									<span class="statsInfoBoxText blue">{t}Linking pages{/t}</span>
								{/if}
							</div><div class='clear'></div>
							<div class="nofloat marginsCenter statsInfoBox {if $tvars.report.linking_urls>0}fill{/if} blue" {if $tvars.report.linking_urls>0}style="cursor:pointer;" onClick="window.location='{$tvars.urls.linking}'"{/if}><div class='statsInfoBoxInside'>{$tvars.report.linking_urls}</div></div>
						</div>
						<div class="col_4 columns center">
							<div class='col_12 center' style='margin-bottom:3px;'>
								{if $tvars.report.linked_urls>0}
									<a class="statsInfoBoxText blue" href='{$tvars.urls.linked}'>{t}Linked pages{/t}</a>
								{else}
									<span class="statsInfoBoxText blue">{t}Linked pages{/t}</span>
								{/if}
							</div><div class='clear'></div>
							<div class="nofloat marginsCenter statsInfoBox {if $tvars.report.linked_urls>0}fill{/if} blue" {if $tvars.report.linked_urls>0}style="cursor:pointer;" onClick="window.location='{$tvars.urls.linked}'"{/if}><div class='statsInfoBoxInside'>{$tvars.report.linked_urls}</div></div>
						</div>
						<div class="col_4 columns center">
							<div class='col_12 center' style='margin-bottom:3px;'>
								{if $tvars.report.broken_linked_urls>0}
									<a class="statsInfoBoxText red" href='{$tvars.urls.broken}'>{t}Broken linked pages{/t}</a>
								{else}
									<span class="statsInfoBoxText red">{t}Broken linked pages{/t}</span>
								{/if}
							</div><div class='clear'></div>
							<div class="nofloat marginsCenter statsInfoBox {if $tvars.report.broken_linked_urls>0}fill{/if} red" {if $tvars.report.broken_linked_urls>0}style="cursor:pointer;" onClick="window.location='{$tvars.urls.broken}'"{/if}><div class='statsInfoBoxInside'>{$tvars.report.broken_linked_urls}</div></div>
						</div>
					</div>
				{else}
					<div class='col_12 center'>{t}Outgoing links data not available{/t}</div>
				{/if}
				<div class="clear"></div>
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
</div>