<div class='col_12'>
	<div class="col_7 nofloat marginsCenter">
		<fieldset>
			<div class="legend">{t}Analyze Keyword{/t}</div>
			<div class="content">
				<form action='{$tvars.appURL}' method='POST'>
					<input type='hidden' name='view' value='analyze'>
					<label for='keyword_box'>{t}Keyword{/t}</label>
					<div>
						<input type='text'  class='col_12' id='keyword_box' name='keyword_box' value='{$tvars.keyword_box}'>						
					</div>
					<div class='clear'></div>
					<br>
					<div>
						<input type='checkbox' id='bing_box' name='bing_box' value='Y' {if !empty($tvars.bing_box)}checked{/if}>
						<label for='bing_box'>{t}Related searches from{/t} Bing </label>
						<select name='bing_locale_box' id='bing_locale_box'>
							<option value=''></option>
							{foreach from=$tvars.search_engines.bing._locales key=locale item=details}
								<option value='{$locale}' {if $tvars.bing_locale_box==$locale}selected{/if}>{$details.title}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<div>
						<input type='checkbox' id='google_box' name='google_box' value='Y' {if !empty($tvars.google_box)}checked{/if}>
						<label for='google_box'>{t}Related searches from{/t} Google </label>
						<select name='google_locale_box' id='google_locale_box'>
							<option value=''></option>
							{foreach from=$tvars.search_engines.google._locales key=locale item=details}
								<option value='{$locale}' {if $tvars.google_locale_box==$locale}selected{/if}>{$details.title}</option>
							{/foreach}
						</select>
					</div>
					<div class='clear'></div>
					<br>
					<div>
						<input type='checkbox' id='google_suggest_box' name='google_suggest_box' value='Y' {if !empty($tvars.google_suggest_box)}checked{/if}>
						<label for='google_suggest_box'>{t}Autocomplete suggestions from Google in{/t} </label>
						<select name='google_suggest_language_box' id='google_suggest_language_box'>
							<option value=''></option>
							{foreach from=$tvars.suggest_languages key=language item=details}
								<option value='{$language}' {if $tvars.google_suggest_language_box==$language}selected{/if}>{$details.name}</option>
							{/foreach}
						</select>
						<div class='col_11' style='margin-left:40px;'>
							<div class='col_12' style='margin-left:-10px;'>{t}Additional autosuggest sources{/t}:</div><div class='clear'></div>
							{foreach from=$tvars.suggest_sources key=source item=details}
								{if $source!='web'}
									{assign var=field_name value="google_suggest_source_`$source`_box"}
									<div class='col_6'><input type='checkbox' name='{$field_name}' id='{$field_name}' value='Y' {if !empty($tvars.$field_name)}checked{/if}> <label for='{$field_name}'>{$details.name}</label></div>
								{/if}
							{/foreach}
						</div>
					</div>
					<div class='clear'></div>
					<br>
					<div class='col_12 center'>
						<button type='submit' class='small blue'>{t}Analyze{/t}</button>
					</div>
					<div class='clear'>
				</form>
			</div>
		</fieldset>
	</div>
</div>