<div class='col_12'>
	<div class="col_12">
		<fieldset>
			<div class="legend">{t}Report details{/t}</div>
			<div class="content">
				<table>
					<tr>
						<td class='right'><b>{t}Keyword{/t}</b></td>
						<td>{$tvars.report.keyword}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Generation date{/t}</b></td>
						<td>{$tvars.report.status_dt_human}</td>
					</tr>
					<tr>
						<td class='right'><b>{t}Datasources{/t}</b></td>
						<td>{$tvars.report.datasources_human}</td>
					</tr>
				</table>
			</div>
		</fieldset>
	</div>
	<div class='clear'></div>
	{if !empty($tvars.report.bing_locale)}
		<div class="col_12">
			<fieldset>
				<div class="legend">{t}Related searches from{/t} {$tvars.report.bing_locale_human}</div>
				<div class="content">
					{if empty($tvars.report.result.bing)}
						<div class='col_12 center'>{t}No related search queries found{/t}</div><div class='clear'></div>
					{else}
						{foreach from=$tvars.report.result.bing key=dummy item=keyword}
							<div class='col_3 column center'>{$keyword}</div>
						{/foreach}
					{/if}
				</div>
			</fieldset>
		</div>
		<div class='clear'></div>
	{/if}
	{if !empty($tvars.report.google_locale)}
		<div class="col_12">
			<fieldset>
				<div class="legend">{t}Related searches from{/t} {$tvars.report.google_locale_human}</div>
				<div class="content">
					{if empty($tvars.report.result.google)}
						<div class='col_12 center'>{t}No related search queries found{/t}</div><div class='clear'></div>
					{else}
						{foreach from=$tvars.report.result.google key=dummy item=keyword}
							<div class='col_3 column center'>{$keyword}</div>
						{/foreach}
					{/if}
				</div>
			</fieldset>
		</div>
		<div class='clear'></div>
	{/if}
	{if !empty($tvars.report.google_suggest_options)}
		{foreach from=$tvars.report.google_suggest_human.sources key=source item=source_name}
			<div class="col_12">
				<fieldset>
					<div class="legend">{t}Suggestions from Google Autocomplete{/t} - {$tvars.report.google_suggest_human.language} - {$source_name}</div>
					<div class="content">
						{if empty($tvars.report.result.google_suggest.$source)}
							<div class='col_12 center'>{t}No suggestions available{/t}</div><div class='clear'></div>
						{else}
							{foreach from=$tvars.report.result.google_suggest.$source key=dummy item=keyword}
								<div class='col_3 column center'>{$keyword}</div>
							{/foreach}
						{/if}
					</div>
				</fieldset>
			</div>
			<div class='clear'></div>
		{/foreach}
	{/if}
</div>