<?php
class OS_APPVIEW_RelatedKws_Report extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function processRequest()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		$project=$OS->getProject();
		
		$requestParams=$appPlugin->getRequestParams();
		
		$valid=false;
		if (!empty($requestParams['report_id']))
		{
			$ops=OS_APP_RelatedKws_ReportOperations::get_instance();
			
			if ($report=$ops->getReportByID($requestParams['report_id'],$project->id))
			{
				$canView=false;
		
				foreach ($report->result as $key=>$val)
				{
					if ($val!==false)
					{
						$valid=true;
						break;
					}
				}
			}
		}
		
		if (!$valid)
		{
			$OS->redirectTO($appPlugin->getAppActionUrl('main'),true);
		}
		
		return $report;
	}
	
	public function render()
	{
		$OS=getOS();
		
		$appPlugin=$OS->getAppHandler()->getAppPlugin();
		
		$tplVars['report']=$this->processedRequest->toTemplate();
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('report',$tplVars);
	}
}
?>