<div class='col_12'>
	{if $tvars.availableData}
		<form action='?' method='POST'>
			<input type='hidden' name='app' value='reporting'>
			<input type='hidden' name='view' value='generate'>
			<input type='hidden' name='report_type' value='{$tvars.requestParams.report_type}'>
			{if !empty($tvars.availableTemplates)}
				<fieldset style='padding-bottom:5px;'>
					<div class='legend'>Report template</div>
					<div class='content' id='apps_{$app}_content'>
						<div class='col_12 center'>
							<label for='template_box'>{t}Select template to be used in report generation{/t}</label>
							<select name='template_box'>
								{foreach from=$tvars.availableTemplates key=template_id item=details}
									<option value='{$template_id}' {if $details.default}selected{/if}>{$details.name}{if $details.default} (default){/if}</option>
								{/foreach}
							</select>
						</div>
					</div>
				</fieldset>
				<br>
			{/if}
			{assign var=first_app value=true}
			{foreach from=$tvars.availableData key=app item=app_details}
				{assign var=field_name value="`$app`_box"}
				{if !$first_app}<br>{/if}
				{assign var=first_app value=false}
				<fieldset style='padding-bottom:5px;'>
					<div class='legend'>
						<input type='checkbox' onChange='toggleContent(this)' name='{$field_name}' id='apps_{$app}' value='Y' {if !empty($tvars.requestParams.$field_name)}checked{/if}>
						<label for='apps_{$app}'>{$app_details.title}</label>
					</div>
					<div class='content' id='apps_{$app}_content'>
						{assign var=first_section value=true}
						{foreach from=$app_details.report.sections key=section item=section_details}
							{assign var=field_name value="`$app`_`$section`_box"}
							{if !$first_section}<br>{/if}
							{assign var=first_section value=false}
							<fieldset style='padding-bottom:5px;'>
								<div class='legend'>
									<input type='checkbox' onChange='toggleContent(this)' name='{$field_name}' id='apps_{$app}_sections_{$section}' value='Y' {if !empty($tvars.requestParams.$field_name)}checked{/if}>
									<label for='apps_{$app}_sections_{$section}'>{$section_details.title}</label>
								</div>
								<div class='content' id='apps_{$app}_sections_{$section}_content'>
									<div class='col_12'>
										{$tvars.defaultReport.$app.sections.$section.html}
									</div>
									<div class='clear'></div>
									<br>
									<div class='col_12 center'>
										{assign var=field_name value="`$app`_`$section`_extra_box"}
										<textarea style='height:100px;width:66%;' name='{$field_name}'>{if !empty($tvars.requestParams.$field_name)}{$tvars.requestParams.$field_name}{/if}</textarea>
									</div>
								</div>
							</fieldset>
						{/foreach}
					</div>
				</fieldset>
			{/foreach}
			<div class='col_12 center'><button type='submit' class='small blue'>{t}Generate{/t}</button></div>
		</form>
	{else}
		<div class='col_12 center'>{t}No data available to generate a report{/t}</div>
	{/if}
</div>