<div class="col_12 center">
	{if !empty($tvars.latest)}
		<div class="col_12 nofloat marginsCenter">
			<fieldset>
				<div class='legend left'>{t}URL Statuses Overview{/t}</div>
				<div class='content'>
					<table class='striped'>
						<tr>
							{foreach from=$tvars.latest key=statusGroup item=details}
								<td class='center'>
									{if $details.details_url}
										<a class='statsInfoBoxText {$details.color}' title='{$details.description}' href='{$details.details_url}'>{$details.title}</a>
									{else}
										<span class='statsInfoBoxText {$details.color}'>{$details.title}</span>
									{/if}
								</td>
							{/foreach}
						</tr>
						<tr>
							{foreach from=$tvars.latest key=statusGroup item=details}
								<td>
									<div class='nofloat marginsCenter statsInfoBox {if $details.clickable}fill{/if} {$details.color}' {if $details.details_url}style="cursor:pointer;" onClick="window.location='{$details.details_url}'"{/if} title='{$details.description}'><div class='statsInfoBoxInside'>{$details.urls}</div></div>
								</td>
							{/foreach}
						</tr>
					</table>
				</div>
			</fieldset>
		</div>
		<div class="clear"></div>
	{/if}
	<div class="col_12 nofloat marginsCenter">
		<fieldset>
			<div class='legend left'>{t}Most Recent Project Crawls{/t}</div>
			<div class='content'>
				<table class='striped' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
		   					<th class="header" rowspan='2'>#</th>
		   					<th class="header" rowspan='2'>{t}Total URLs{/t}</th>
		   					<th class="header" colspan='4'>{t}URLs by status{/t}</th>
		   					<th class="header" rowspan='2'>{t}Date{/t}</th>
		   					<th class="header" rowspan='2'>{t}Runtime{/t}</th>
						</tr> 
						<tr align='center'>
							<th class="header">{t}Success{/t} <span class="icon gray smallest helper" data-icon="i" title="{t}Request processed successfully{/t}"></span><br>(1xx,2xx)</th>
							<th class="header">{t}Redirection{/t} <span class="icon gray smallest helper" data-icon="i" title="{t}The request was forwarded to another URL{/t}"></span><br>(3xx)</th>
							<th class="header">{t}Client Error{/t} <span class="icon gray smallest helper" data-icon="i" title="{t}The requested resource is not available for the client{/t}"></span><br>(4xx)</th>
							<th class="header">{t}Server Error{/t} <span class="icon gray smallest helper" data-icon="i" title="{t}The server was unable to fulfill the request{/t}"></span><br>(5xx)</th>
						</tr>
					</thead>			
					<tbody>
						{if !empty($tvars.crawls)}
							{counter start=$tvars.startCounter print=false}
							{foreach from=$tvars.crawls key=crawl_id item=details}
								<tr class='{cycle values="tbTableOddRow,tbTableEvenRow"}'>
									<td class='linkCount alignCenter'>{counter}</td>
									<td class="alignCenter">{$details.urls}</td>
									<td class="alignCenter">{$details.urls_2xx}</td>
									<td class="alignCenter">
										{if $details.urls_3xx_details_url}
											<a href='{$details.urls_3xx_details_url}'>{$details.urls_3xx}</a>
										{else}
											{$details.urls_3xx}
										{/if}
									</td>
									<td class="alignCenter">
										{if $details.urls_4xx_details_url}
											<a href='{$details.urls_4xx_details_url}'>{$details.urls_4xx}</a>
										{else}
											{$details.urls_4xx}
										{/if}
									</td>
									<td class="alignCenter">
										{if $details.urls_5xx_details_url}
											<a href='{$details.urls_5xx_details_url}'>{$details.urls_5xx}</a>
										{else}
											{$details.urls_5xx}
										{/if}
									</td>
									<td class="center">{$details.crawl_d}</td>
									<td class="center">{$details.runtime}</td>
								</tr>
							{/foreach}
						{else}
							<tr><td colspan='8' class="alignCenter">{t}Project has never been crawled{/t}<br><a href='{$tvars.crawlNowUrl}' class='small blue'>{t}Crawl now{/t}</a></td></tr>
						{/if}
							<tr>
								<td colspan="8">
									<div style="float:right; display:inline-block; padding:0px 10px;">		
										<button class="small blue" onclick="window.location='{$tvars.prev_link}'" title="{t}Previous Entries{/t}">&laquo;</button>
										<button class="small blue" onclick="window.location='{$tvars.next_link}'" title="{t}Next Entries{/t}">&raquo;</button>
									</div>
									<div style="float:right; display:inline-block; padding:0px 10px;">
										<label>Rows</label>
										<form name="tableset-rows-selector" id="tableset-rows-selector" action="?#tableset" method='GET' style="display:inline;">
											{foreach from=$tvars.linkParams key=name item=value}
												<input type='hidden' name="{$name}" value="{$value}">
											{/foreach}
			
											<select name="rows" onchange='osKernel.submitForm("tableset-rows-selector")'><option value=""></option>
												{foreach from=$tvars.availableTotalRows item=rowsRange}
													<option value="{$rowsRange}" {if $tvars.maxRows == $rowsRange}selected{/if}>{$rowsRange}</option>
												{/foreach}
											</select>
										</form>
									</div>	
								</td>
							</tr>	
					</tbody>
				</table>
			</div>
		</fieldset>
	</div>
</div>