<div class="col_12">
	<div class="col_12 nofloat marginsCenter">
		<fieldset class="{$tvars.groupColor}">
			<div class='legend fill {$tvars.groupColor}'>
				{if $tvars.urlErrorGroup=='3xx'}
					{t}URLs with Redirects{/t}
				{elseif $tvars.urlErrorGroup=='4xx'}
					{t}URLs with Client Errors{/t}
				{elseif $tvars.urlErrorGroup=='5xx'}
					{t}URLs with Server Errors{/t}
				{/if}
				 ({$tvars.urlErrorGroup}) - {$tvars.crawlDate}
			</div>
			<div class='content'>
				<table class='striped' cellpadding='0' cellspacing='0'>
					<thead> 
						<tr align='center'> 
		   					<th class="header">#</th>
		   					<th class="header left">{t}Title & URL{/t}</th>
		   					<th class="header">{t}Depth{/t}</th>
		   					<th class="header">{t}Status Code{/t}</th>
		   					<th class="header">{t}Status{/t}</th>
		   					<th class="header">{t}Actions{/t}</th>
						</tr> 
					</thead>			
					<tbody>
						{if !empty($tvars.url_errors)}
							{counter start=0 print=false}
							{foreach from=$tvars.url_errors key=url_error_id item=details}
								<tr>
									<td class='linkCount alignCenter'>{counter}</td>
									<td class='left urlRow'>
										<div class="ellipsify urlTitle"><a href='{$details.url_safe}' target='_blank'>{if empty($details.title)}<i>{t}Untitled document{/t}</i>{else}{$details.title}{/if}</a></div>
										<div class="ellipsify urlDetails">
											{$details.url}
										</div>
									</td>
									<td class='center'>{$details.depth}</td>
									<td class='center'>{$details.http_code}</td>
									<td class='center' nowrap>{$details.http_code_status}</td>
									<td class="center">
										<a href='{$details._links_url}' title='{t}Incoming links{/t}'><span class='icon small gray' data-icon='_'></span></a>
									</td>
								</tr>
							{/foreach}
						{/if}
					</tbody>
				</table>
			</div>
		</fieldset>
		<br>
		<div class='center'>
			<a href='{$tvars.backUrl}' class='small blue'>{t}Back{/t}</a>
		</div>		
	</div>
</div>