<?php
class OS_APPFORK_WebsiteAudit_Generate_Audit
{
	public function run($params)
	{
		$result=false;

		if (!empty($params[0]))
		{
			$project_id=$params[0];

			$OS=getOS();
			$osProjectOps=$OS->getProjectOps();
			
			if ($project=$osProjectOps->getProjectByID($project_id))
			{
				if (!empty($params[1]))
				{
					$appHandler=$OS->getAppHandler('websiteaudit');
					
					$report_id=$params[1];
					
					$ops=OS_APP_WebsiteAudit_ReportOperations::get_instance();
					
					if ($report=$ops->getReportByID($report_id,$project_id))
					{
						$OS->initTimezone($project->timezone);
						
						$auditor=OS_APP_WebsiteAudit_Auditor::get_instance();

						if ($audit_result=$auditor->performAudit($project_id,$report_id))
						{
							$report->status='D';
							$report->grade=$audit_result['grade'];
							$report->result=$audit_result['audit'];
						}
						else
						{
							$report->status='F';
						}
						
						if ($report->save())
						{
							$result=true;
						}
					}
				}
			}
		}
		
		return $result;
	}
}
?>