<?php
class OS_APPVIEW_WebsiteAudit_Refresh extends OS_AppViewBase
{
	public function __construct()
	{
		parent::__construct();
	}
	
	public function render()
	{
		$OS=getOS();
		
		$project=$OS->getProject();
		
		$tplVars = array('refresh'=>false);
		
		$osAppPlugin = $OS->getAppHandler()->getAppPlugin();
		
		$tplVars['backUrl']=$osAppPlugin->getAppActionUrl('view');
		
		$report=new OS_APP_WebsiteAudit_Report();
						
		$report->project_id=$project->id;
		
		if ($report->save())
		{
			$auditor=OS_APP_WebsiteAudit_Auditor::get_instance();
			
			if ($audit_result=$auditor->performAudit($project->id,$report->id))
			{
				$report->status='D';
				$report->grade=$audit_result['grade'];
				$report->result=$audit_result['audit'];
			}
			else
			{
				$report->status='F';
			}
			
			if ($report->save())
			{
				$OS->redirectTO($osAppPlugin->getAppActionUrl('main',array('msg'=>'refresh_ok')),true);
			}
		}
		
		$tpl = $OS->getTemplate();
		
		return $tpl->fetchTemplate('refresh', $tplVars);
	}
}
?>