<?php
class OS_WIDGET_CompCurIdxUrls_mainView
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$viewDataVars = array();
		
		

		return $viewDataVars;
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tplVars = array();
		
		$headContents = array();
		
		$osWidgetPlugin = $OS->getWidgetHandler()->getWidgetPlugin();
		
		$viewData = $this->buildViewData();
		
		$osProject=$OS->getProject();
		$competitorOps=$OS->getCompetitorOps();
		
		if ($competitors=$competitorOps->getCompetitors($osProject->id))
		{
			$appHandler=$OS->getAppHandler('compindexedurls');
			
			$utils=$OS->getUtils();
			$db=$OS->getDb();
			
			$competitorsArray=array();
			foreach ($competitors as $competitor_id=>$oneCompetitor)
			{
				$competitorsArray[$competitor_id]=array(
					'host'=>$oneCompetitor->host
				);
			}
			
			foreach ($competitors as $competitor_id=>$competitor)
			{
				$query="SELECT * FROM ".$appHandler->dbPrefix()."days WHERE project_id=? AND competitor_id=? ORDER BY `date` DESC LIMIT 2";
				$dbresult=$db->query($query,array($osProject->id,$competitor_id));
				
				$stats=array();
				while ($row=$db->fetchRow($dbresult))
				{
					$stats[]=$row;
				}
				
				if (!empty($stats))
				{
					$tplVars['values'][$stats[0]['competitor_id']]=array('urls'=>$utils->humanizeInteger($stats[0]['urls']),'date'=>$utils->humanizeDate($stats[0]['date'],'date'));
					
					$difference=false;
					if (!empty($stats[1]))
					{
						$difference=$stats[0]['urls']-$stats[1]['urls'];
						
						if ($difference>0)
						{
							$difference=array('type'=>'up','value'=>$difference);
						}
						elseif ($difference==0)
						{
							$difference=false;
						}
						else
						{
							$difference=array('type'=>'down','value'=>abs($difference));
						}		
					}
					
					$tplVars['values'][$stats[0]['competitor_id']]['difference']=$difference;
				}
			}
			
			if (!empty($tplVars))
			{
				foreach ($competitorsArray as $competitor_id=>$competitor_name)
				{
					if (isset($tplVars['values'][$competitor_id]))
					{
						$tplVars['competitors'][$competitor_id]=$competitor_name;
					}
				}
				
				reset($tplVars['competitors']);
				$tplVars['currentCompetitor']=key($tplVars['competitors']);
				
				$headContents['css']['compcuridxurls']=$osWidgetPlugin->getWidgetHomeUrl()."/resources/style.css";
				
				$headContents['compcuridxurls']="<script type='text/javascript'>
					var compcuridxurlsValues=".json_encode($tplVars['values']).";

					function compcuridxurlsChangeCompetitor(new_competitor)
					{
						if (typeof compcuridxurlsValues[new_competitor] != undefined)
						{
							var differenceHTML='';

							if (compcuridxurlsValues[new_competitor].difference)
							{
								if (compcuridxurlsValues[new_competitor].difference.type=='up')
								{
									differenceHTML=\" <span class='text green'><span class='large icon'>+</span>\"+compcuridxurlsValues[new_competitor].difference.value+\"</span>\";
								}
								else if (compcuridxurlsValues[new_competitor].difference.type=='down')
								{
									differenceHTML=\" <span class='text red'><span class='large icon'>-</span>\"+compcuridxurlsValues[new_competitor].difference.value+\"</span>\";
								}
							}

							$('#compcuridxurlsUrls').html(compcuridxurlsValues[new_competitor].urls+differenceHTML);
							$('#compcuridxurlsDate').html(compcuridxurlsValues[new_competitor].date);
						}
					}
				</script>";
			}
		}
		
		$tpl = $OS->getTemplate();
		
		$tpl->setHeadContents($headContents);
		
		return $tpl->fetchTemplate('mainview', $tplVars);
	}
}
?>