<?php
class OS_WIDGET_curidxurls_mainView
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$viewDataVars = array();
		
		

		return $viewDataVars;
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tplVars = array();
		
		$headContents = array();
		
		$osWidgetPlugin = $OS->getWidgetHandler()->getWidgetPlugin();
		
		$viewData = $this->buildViewData();
		
		$osProject=$OS->getProject();
		
		$appHandler=$OS->getAppHandler('indexedurls');
		
		$db=$OS->getDb();
		
		$headContents['css']['curidxurls']=$osWidgetPlugin->getWidgetHomeUrl()."/resources/style.css";
		
		$query="SELECT * FROM ".$appHandler->dbPrefix()."days WHERE project_id=? ORDER BY `date` DESC LIMIT 2";
		$dbresult=$db->query($query,array($osProject->id));
		
		$stats=array();
		
		while ($row=$db->fetchRow($dbresult))
		{
			$stats[]=$row;
		}
		
		if (!empty($stats))
		{
			$utils=$OS->getUtils();
			
			$tplVars['urls'] = $utils->humanizeInteger($stats[0]['urls']);
			$tplVars['date'] = $utils->humanizeDate($stats[0]['date'],'date');
			
			$difference=false;
			
			if (!empty($stats[1]))
			{
				$difference=$stats[0]['urls']-$stats[1]['urls'];
				
				if ($difference>0)
				{
					$difference=array('type'=>'up','value'=>$utils->humanizeInteger($difference));
				}
				elseif ($difference==0)
				{
					$difference=false;
				}
				else
				{
					$difference=array('type'=>'down','value'=>$utils->humanizeInteger(abs($difference)));
				}		
			}
			
			$tplVars['difference']=$difference;
		}
		
		$tpl = $OS->getTemplate();
		
		$tpl->setHeadContents($headContents);
		
		return $tpl->fetchTemplate('mainview', $tplVars);
	}
}
?>