<?php
class OS_WIDGET_DuplContentPie_mainView
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$viewDataVars = array();
		
		

		return $viewDataVars;
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tplVars = array();
		
		$headContents = array();
		
		$viewData = $this->buildViewData();
		
		$appHandler=$OS->getAppHandler('duplcontent');
		
		$ops=$appHandler->getAppPlugin()->getUrlOps();
		
		$urlsCounts=$ops->getUrlsCounts();
		
		$total=array_sum($urlsCounts);
		$percentages=array();
		
		foreach ($urlsCounts as $group=>$groupCount)
		{
			$percentages[$group]=round($groupCount*100/$total);
		}
		
		$appBaseURL=$OS->getConfigVar('root_url').'/livedash/index.php#apps/duplcontent/view';
		
		$chartOptions=array(
			'values'=>array_values($percentages),
			'legend'=>array('Low Duplication','Medium Duplication','High Duplication','Extreme Duplication'),
			'links'=>array($appBaseURL.'/similarity_group=1',$appBaseURL.'/similarity_group=2',$appBaseURL.'/similarity_group=3',$appBaseURL.'/similarity_group=4'),
			'legend_position'=>'right',
			'colors'=>array('#9fc832','#e1bf22','#c87232','#c83632')
		);
		
		$osCharts=$OS->getCharts();
		
		$chart=$osCharts->getPieChart($chartOptions);
				
		$tplVars['chart_html'] = $chart['html'];
		
		$headContents = array_merge($headContents, $chart['js']);
		
		
		$tpl = $OS->getTemplate();
		
		$tpl->setHeadContents($headContents);
		
		return $tpl->fetchTemplate('mainview', $tplVars);
	}
}
?>