<?php
class OS_WIDGET_latestkws_mainView
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$viewDataVars = array();
		
		

		return $viewDataVars;
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tplVars = array();
		
		$viewData = $this->buildViewData();
		
		$appHandler=$OS->getAppHandler('incomingkws');
		
		$db = $OS->getDb();
		$osProject = $OS->getProject();
		$osUtils = $OS->getUtils();
		
		$visits=array();
		
		$appBaseURL=$OS->getConfigVar('root_url').'/livedash/index.php#apps/incomingkws/view_keyword';
		
		$query="SELECT * FROM ".$appHandler->dbPrefix()."visits WHERE project_id=? ORDER BY visit_dt DESC LIMIT 10";
		$dbresult=$db->query($query,array($osProject->id));
		while ($row=$db->fetchRow($dbresult))
		{
			$visits[$row['id']]=array(
				'keyword_id'=>$row['keyword_id'],
				'keyword'=>$row['keyword'],
				'keyword_url'=>"{$appBaseURL}/keyword_id={$row['keyword_id']}",
				'visit_date'=>$osUtils->humanizeDate($row['visit_dt'],'date'),
				'visit_time'=>$osUtils->humanizeDate($row['visit_dt'],'time'),
				'engine'=>$row['engine'],
				'visit_ip'=>$row['visit_ip']
			);
		}

		$tplVars['visits'] = $visits;
		
		
		$tpl = $OS->getTemplate();
		
		return $tpl->fetchTemplate('mainview', $tplVars);
	}
}
?>