<?php
class OS_WIDGETVIEW_OnpageCur_Main extends OS_WidgetViewBase
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$viewDataVars = array();
		
		$project = $OS->getProject();
		
		$appHandler = $OS->getAppHandler('onpage');
		
		$ops=OS_APP_Onpage_ReportOperations::get_instance();
		
		if ($reports=$ops->getReports(0,1))
		{
			$report=reset($reports);
			
			$osUtils=$OS->getUtils();
			
			$viewDataVars['stats']['errors']=$osUtils->humanizeInteger($report->errors);
			$viewDataVars['stats']['warnings']=$osUtils->humanizeInteger($report->warnings);
			$viewDataVars['stats']['notices']=$osUtils->humanizeInteger($report->notices);
			$viewDataVars['stats']['date']=$osUtils->humanizeDate($report->insert_dt,'date');
		}
		else
		{
			$viewDataVars['stats']=false;
		}
		
		return $viewDataVars;
	}
	
	public function render()
	{
		$OS=getOS();
		
		$tplVars=$this->buildViewData();
		
		$tpl=$OS->getTemplate();
		
		return $tpl->fetchTemplate('view',$tplVars);
	}
}
?>