<?php
class OS_WIDGET_SocialSignalsNow_mainView
{
	public function __construct(){}
	
	public function processRequest()
	{
		//handle get & post requests
	
	}
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$appHandler = $OS->getAppHandler('socialsignals');

		$appOps=OS_APP_SocialSignals_ReportOperations::get_instance();
		$viewDataVars=array();
		
		if ($viewDataVars['report']=$appOps->getReportByProjectID())
		{
			$prev=$appOps->getReportEvolution($viewDataVars['report'],2);
			
			if (count($prev)==2)
			{
				$viewDataVars['prev_signals']=end($prev);
			}
			else
			{
				$viewDataVars['prev_signals']=false;
			}
		}
		
		return $viewDataVars;
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tplVars=array();
		$viewData=$this->buildViewData();
		
		if ($viewData['report'])
		{
			$osWidgetPlugin = $OS->getWidgetHandler()->getWidgetPlugin();
			
			$tplVars['imagesURL']=$osWidgetPlugin->getWidgetHomeUrl().'/resources/images/social';
			$tplVars['report']=$viewData['report']->toTemplate();
		}
		else
		{
			$tplVars['report']=false;
		}
		
		$tpl = $OS->getTemplate();
		
		return $tpl->fetchTemplate('mainview', $tplVars);
	}
}
?>