<?php
class OS_WIDGETVIEW_WebsiteAuditGrade_Main extends OS_WidgetViewBase
{
	public function __construct(){}
	
	public function processRequest()
	{
	}
	
	public function buildViewData()
	{
		$OS = getOS();
		
		$viewDataVars = array();
		
		$project = $OS->getProject();
		
		$appHandler = $OS->getAppHandler('websiteaudit');
		
		$ops=OS_APP_WebsiteAudit_ReportOperations::get_instance();
		
		if ($reports=$ops->getLatestReports($project->id,1))
		{
			$report=reset($reports);
			
			$osUtils=$OS->getUtils();
			
			$viewDataVars['report']=array(
				'grade'=>$report->grade,
				'date'=>$osUtils->humanizeDate($report->status_dt,'date')
			);
		}
		else
		{
			$viewDataVars['report']=false;
		}
		
		return $viewDataVars;
	}
	
	public function render()
	{
		$OS=getOS();
		
		$osWidgetPlugin = $OS->getWidgetHandler()->getWidgetPlugin();
		
		$headContents['css']['wesiteauditgrade']=$osWidgetPlugin->getWidgetHomeUrl()."/resources/style.css";
		
		$tplVars=$this->buildViewData();
		
		$tpl=$OS->getTemplate();
		
		$tpl->setHeadContents($headContents);
		
		return $tpl->fetchTemplate('view',$tplVars);
	}
}
?>