<?php
/*                                                                                                                                                                                                    
 *+---------------------------------------------------------------------------+
 *| OpenS v0.1                                                                |
 *| ==========                                                                |
 *|                                                                           |
 *| Copyright (c) 2011-2012 OpenS                                             |
 *| For contact details, see: http://www.opens.org/                           |
 *|                                                                           |
 *| This program is free software; you can redistribute it and/or modify      |
 *| it under the terms of the GNU General Public License as published by      |
 *| the Free Software Foundation; either version 2 of the License, or         |
 *| (at your option) any later version.                                       |
 *|                                                                           |
 *| This program is distributed in the hope that it will be useful,           |
 *| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
 *| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
 *| GNU General Public License for more details.                              |
 *|                                                                           |
 *| You should have received a copy of the GNU General Public License         |
 *| along with this program; if not, write to the Free Software               |
 *| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
 *+---------------------------------------------------------------------------+
 *$Id: os_core.php 2012-01-09$
 */

class OS_installStep9
{
	private static $_instance;
	
	
	//os installStep9 constructor
	public function __construct()
	{
	
	}
	
	public static function &get_instance()
	{
		if( !self::$_instance  )
		{
			self::$_instance = new OS_installStep9();
		}
		return self::$_instance;
	}
	
	public function processRequest()
	{
		$submitData = array();
		
		
		return $submitData;
	}
	
	public function prepareStepDetails()
	{
		$OS=getOS();
		$osInstaller = getOSInstaller();
		
		//clean install session vars
		if(isset($_SESSION['install']))
		{
			unset($_SESSION['install']);	
		} 
		
		$stepDetails['root_url'] = $osInstaller->getInternalOption('os_root_url');
		
		$osUtils=$OS->getUtils();
		$osConfig=$OS->getConfig();
		
		$stepDetails['cronjob']=$osUtils->getPHPCLI().' '.os_join_path($osConfig->getParam('root_path'),'crons','cron.php');
		
		$stepDetails['show_retry_btn'] = false;
		$stepDetails['show_prev_btn'] = false;
		$stepDetails['show_next_btn'] = false;
		
		return $stepDetails;
	}
	
	public function render()
	{
		$OS = getOS();
		
		$tpl = $OS->getTemplate();
		
		return $tpl->getTemplate('installstep9');
	}
}
?>