{if !empty($tvars.install_menu)}
	<div class='section-center col_12'>
		<div class='install-menu'>
			<ul>
				{foreach from=$tvars.install_menu key=step_index item=values}
					{if $step_index < $tvars.currentInstallStep}{assign var=cclass value='prev'}
					{elseif $step_index == $tvars.currentInstallStep}{assign var=cclass value='prev'}
					{else}{assign var=cclass value=''}{/if}
					
					<li class="{$cclass}">
						<span><span class='icon small white' data-icon='{$values.icon}' style='margin-top:-4px;'></span> {$values.name}</span> 
						{if $step_index == $tvars.currentInstallStep}<div></div>{/if}
					</li>
				{/foreach}
			</ul>
		</div>
	</div>
	<div class="clear"></div>
{/if}

<form action="?" method="POST" name="os_install_form" id="os_install_form">
	{$tvars.installStepContents}
	
	<div class="clear"></div>
	{if $tvars.show_next_btn || $tvars.show_retry_btn || $tvars.show_prev_btn}
		<div class="section-center col_10 install_footer_container">
			<div style="position:relative;">
				{if $tvars.show_next_btn}
					<button class="small green" type="submit" id="continue-btn" name="continue-btn" title="{t}Continue{/t}">{t}Next Step{/t} &raquo;</button>
				{/if}
		
				{if $tvars.show_retry_btn}
					&nbsp;&nbsp;
					<button class="small orange" type="submit" id="retry-btn" name="retry-btn" title="{t}Retry{/t}">{t}Retry{/t}</button>
				{/if}	
		
				{if $tvars.show_prev_btn}
					<button class="small red" type="submit" id="prev-btn" name="prev-btn" title="{t}Previous Step{/t}">&laquo; {t}Prev Step{/t}</button>
				{/if}
			</div>
		</div>
	{/if}	
	
	<input type="hidden" id="install_vals_box" name="install_vals_box" value='{$tvars.installParams}'>
</form>