<?php ?>

<!DOCTYPE html>
<html><head>
<title>OpenS</title>
<meta charset="UTF-8">
<meta name="description" content="" />

<link rel="stylesheet" type="text/css" href="<?php echo $os_root_url ?>/lib/css/kickstart.css" media="all" />                  <!-- KICKSTART -->
<link rel="stylesheet" type="text/css" href="<?php echo $os_root_url ?>/lib/css/style.css" media="all" />                      <!-- CUSTOM STYLES -->
<link rel="stylesheet" type="text/css" href="<?php echo $os_root_url ?>/lib/css/install_styles.css" media="all" />                      <!-- CUSTOM INSTSLL STYLES -->
<link href='http://fonts.googleapis.com/css?family=Raleway:700,500' rel='stylesheet' type='text/css'>
</head>

<body>
<a id="top-of-page"></a>

	<div id="wrap" class="clearfix">
		<!-- ===================================== END HEADER ===================================== -->
		
		
		<div class="col_12" id="page-container">
			<div class="col_12">
			
				<div class='section-center col_6'>
					<div class='simple-box'>
						<div class='title'><?php echo (empty($ersMessages) ? "OpenS Not" : "Errors"); ?> Detected !</div>
						<div class='content center'>
						
							<?php if(!empty($ersMessages)) {?>
							
								<?php foreach($ersMessages as $index => $ersData) {?>
									<div class="notice error">
										<span data-icon="X" class="icon medium" style="display: inline-block;">
											<span aria-hidden="true">X</span>
										</span>
										<?php echo $ersData['message'] ?>
									</div>								
								<?php } ?>
								
								<div class="col_12 center">
									<a href="?" title="Re-Check">Re-Check</a>
								</div>
								
							<?php } else { ?>
								<p>There isn't a working OpenS instance on this system.</p>
								
								<div class="col_12 center">
									Click <a href="<?php echo $os_root_url ?>/install/index.php">here</a> to start the installation process.			
								</div>
							<?php } ?>
							
							<div class="clear"></div>
						</div>
					</div>
				</div>
							
			</div>
		</div>
		
		<!-- ===================================== START FOOTER ===================================== -->
		<div class="clear"></div>
	
	</div><!-- END WRAP -->
</body>
</html>