<?php
class OS_CronWrapper
{
	private static $_instance;
	
	public function __construct()
	{
		OS_Crons::forceCLI();
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_CronWrapper();
		}
		
		return self::$_instance;
	}
	
	private function getClassName($action,$module,$module_name='')
	{
		$result=false;
		
		if ($module=='core')
		{
			$result="OS_CRON_{$action}";
		}
		elseif ($module=='app')
		{
			$result="OS_APPCRON_".strtolower($module_name).'_'.strtolower($action);
		}
		
		return $result;
	}
	
	public function run($action,$module,$module_name='')
	{
		$result=false;
		
		if ($className=$this->getClassName($action,$module,$module_name))
		{
			$cronObj=new $className();
			
			$result=$cronObj->run();
		}
		
		return $result;
	}
}
?>