<?php
class OS_PLUGIN_SearchEngine_google_ae extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.ae/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.ae',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ae';
	public $title='UAE';
	public $domain='google.ae';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ae();
		}
		
		return self::$_instance;
	}
}
?>