<?php
class OS_PLUGIN_SearchEngine_google_as extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.as/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.as',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='as';
	public $title='American Samoa';
	public $domain='google.as';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_as();
		}
		
		return self::$_instance;
	}
}
?>