<?php
class OS_PLUGIN_SearchEngine_google_at extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.at/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.at',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='at';
	public $title='Austria';
	public $domain='google.at';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_at();
		}
		
		return self::$_instance;
	}
}
?>