<?php
class OS_PLUGIN_SearchEngine_google_ca extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.ca/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.ca',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ca';
	public $title='Canada';
	public $domain='google.ca';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ca();
		}
		
		return self::$_instance;
	}
}
?>