<?php
class OS_PLUGIN_SearchEngine_google_cd extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.cd/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.cd',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='cd';
	public $title='Congo, Democratic Republic of';
	public $domain='google.cd';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_cd();
		}
		
		return self::$_instance;
	}
}
?>