<?php
class OS_PLUGIN_SearchEngine_google_cf extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.cf/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.cf',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='cf';
	public $title='Centrafrique';
	public $domain='google.cf';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_cf();
		}
		
		return self::$_instance;
	}
}
?>