<?php
class OS_PLUGIN_SearchEngine_google_cg extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.cg/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.cg',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='cg';
	public $title='Congo, Republic of';
	public $domain='google.cg';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_cg();
		}
		
		return self::$_instance;
	}
}
?>