<?php
class OS_PLUGIN_SearchEngine_google_com extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='com';
	public $title='.COM';
	public $domain='google.com';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_com();
		}
		
		return self::$_instance;
	}
}
?>