<?php
class OS_PLUGIN_SearchEngine_google_cr extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.cr/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.cr',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='cr';
	public $title='Costa Rica';
	public $domain='google.co.cr';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_cr();
		}
		
		return self::$_instance;
	}
}
?>