<?php
class OS_PLUGIN_SearchEngine_google_dk extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.dk/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.dk',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='dk';
	public $title='Denmark';
	public $domain='google.dk';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_dk();
		}
		
		return self::$_instance;
	}
}
?>