<?php
class OS_PLUGIN_SearchEngine_google_fi extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.fi/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.fi',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='fi';
	public $title='Finland';
	public $domain='google.fi';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_fi();
		}
		
		return self::$_instance;
	}
}
?>