<?php
class OS_PLUGIN_SearchEngine_google_ge extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.ge/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.ge',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ge';
	public $title='Georgia';
	public $domain='google.ge';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ge();
		}
		
		return self::$_instance;
	}
}
?>