<?php
class OS_PLUGIN_SearchEngine_google_gl extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.gl/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.gl',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='gl';
	public $title='Greenland';
	public $domain='google.com.gl';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_gl();
		}
		
		return self::$_instance;
	}
}
?>