<?php
class OS_PLUGIN_SearchEngine_google_id extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.id/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.id',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='id';
	public $title='Indonesia';
	public $domain='google.co.id';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_id();
		}
		
		return self::$_instance;
	}
}
?>