<?php
class OS_PLUGIN_SearchEngine_google_im extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.im/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.im',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='im';
	public $title='Isle of Men';
	public $domain='google.im';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_im();
		}
		
		return self::$_instance;
	}
}
?>