<?php
class OS_PLUGIN_SearchEngine_google_is extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.is/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.is',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='is';
	public $title='Iceland';
	public $domain='google.is';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_is();
		}
		
		return self::$_instance;
	}
}
?>