<?php
class OS_PLUGIN_SearchEngine_google_kr extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.co.kr/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.co.kr',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='kr';
	public $title='South Korea';
	public $domain='google.co.kr';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_kr();
		}
		
		return self::$_instance;
	}
}
?>