<?php
class OS_PLUGIN_SearchEngine_google_mu extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.mu/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.mu',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='mu';
	public $title='Mauritius';
	public $domain='google.mu';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_mu();
		}
		
		return self::$_instance;
	}
}
?>