<?php
class OS_PLUGIN_SearchEngine_google_ru extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.ru/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.ru',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='ru';
	public $title='Russia';
	public $domain='google.ru';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_ru();
		}
		
		return self::$_instance;
	}
}
?>