<?php
class OS_PLUGIN_SearchEngine_google_sa extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.sa/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.sa',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='sa';
	public $title='Saudi Arabia';
	public $domain='google.com.sa';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_sa();
		}
		
		return self::$_instance;
	}
}
?>