<?php
class OS_PLUGIN_SearchEngine_google_se extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.se/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.se',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='se';
	public $title='Sweden';
	public $domain='google.se';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_se();
		}
		
		return self::$_instance;
	}
}
?>