<?php
class OS_PLUGIN_SearchEngine_google_uy extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.uy/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.uy',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='uy';
	public $title='Uruguay';
	public $domain='google.com.uy';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_uy();
		}
		
		return self::$_instance;
	}
}
?>