<?php
class OS_PLUGIN_SearchEngine_google_vn extends OS_PLUGIN_SearchEngine_google_base
{
	private static $_instance;
	
	public $searchUrlPattern="http://www.google.com.vn/search?q=##query##";
	
	public $serpReferral=array(
		'domain_pattern'=>'.google.com.vn',
		'separator'=>'#',
		'query_param'=>'q'
	);
	
	public $locale='vn';
	public $title='Vietnam';
	public $domain='google.com.vn';
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SearchEngine_google_vn();
		}
		
		return self::$_instance;
	}
}
?>