<?php
class OS_PLUGIN_SocialSignals_Facebook
{
	private static $_instance;
	
	public function __construct()
	{
	}
	
	public static function &get_instance()
	{
		if (!is_object(self::$_instance))
		{
			self::$_instance=new OS_PLUGIN_SocialSignals_Facebook();
		}
		
		return self::$_instance;
	}
	
	public function buildSignalsUrl($url)
	{
		return "https://graph.facebook.com/fql?q=SELECT%20url,%20normalized_url,%20share_count,%20like_count,%20comment_count,%20total_count,commentsbox_count,%20comments_fbid,%20click_count%20FROM%20link_stat%20WHERE%20url='{$url}'";
	}
	
	public function getSignals($url)
	{
		$result=false;
		
		$signalsUrl=$this->buildSignalsUrl($url);
		
		$osHttp=getOS()->getHttp();
		
		$response=$osHttp->get($signalsUrl);
		
		if ($response AND $osHttp->success())
		{
			if ($response=json_decode($response,true))
			{
				if (!isset($response['error']) AND isset($response['data']))
				{
					$response=reset($response['data']);
					
					$result=array(
						'shares'=>$response['share_count'],
						'likes'=>$response['like_count'],
						'comments'=>$response['comment_count'],
						'total'=>$response['total_count']
					);
				}
			}
		}
		
		return $result;
	}
}
?>