define([
  'jquery',
  'underscore',
  'backbone',
  'models/admin_apps_manager/appitem'
], function($, _, Backbone, appModel){
  var uninstalledAppSet = Backbone.Collection.extend({
  
    model: appModel,
    
    url: "../controllers/admin_apps_manager/index.php",
    
	initialize: function()
	{
		Backbone.log("uninstalledAppSet initialized");

		this._meta = {};

    	Backbone.setMeta(this, 'methodMap',{'read': 'getUninstalledAppsDetails'});
	},
	
	/*Overwrite default Backbone.Model.parse*/
	parse: function(resp, xhr)
	{
		if(resp.data.actionData.collectionDetails)
		{
			return _.toArray(resp.data.actionData.collectionDetails);
		}
	}
        
  });
  
  return uninstalledAppSet;
});
