define(
[
'jquery',
'underscore',
'backbone',
'models/ajax_upload/fileuploaditem'
], function($, _, Backbone, fileUploadItem){
    var fileUploadSet = Backbone.Collection.extend({
      
    	model: fileUploadItem,
    	
    	url: "../controllers/ajax_upload/index.php",
    	
    	initialize: function(options)
    	{
    		Backbone.log("fileUploadSet initialized");

    		options = options || {};
    		if(options.url)
    		{
    			this.url = options.url;	
    		}
    		
       	 	this._meta = {};
          	 
       	 	Backbone.setMeta(this, 'methodMap',{'read': 'getUploadDetails', 'create': 'changeUploadDetails', 'update': 'changeUploadDetails'});
    		
    		return this;    		
    	}
    	
    });
    
    return fileUploadSet;
  }
);