define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var PageModel = Backbone.Model.extend({
    
	url: "../controllers/admin_credentials/index.php", 
	  
	defaults:
	{
	},
    
    initialize: function()
    {
    	Backbone.log("admin_credentials pageModel initialized");

    	var methodMap = {'read': 'getCredentialsDetails', 'create': 'updateCredentialsDetails', 'update': 'updateCredentialsDetails'};

    	this._meta = {};

    	Backbone.setMeta(this, 'methodMap', methodMap);
    }   
  });
  return PageModel;

});