define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var cronModel = Backbone.Model.extend({
  	url: "../controllers/admin_crons/index.php",
  	
    initialize: function()
    {
    	Backbone.log("admin_crons cronModel initialized");

    	var methodMap = {'read': 'getCronsDetails', 'create': 'updateCronsDetails', 'update': 'updateCronsDetails'};

    	this._meta = {};

    	Backbone.setMeta(this, 'methodMap', methodMap);
    }  
  });
  return cronModel;

});