define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var datasourceModel = Backbone.Model.extend({
  	url: "../controllers/admin_datasources/index.php",
  	
    initialize: function()
    {
    	Backbone.log("admin_datasources datasourceModel initialized");

    	var methodMap = {'read': 'getDatasourcesDetails', 'create': 'updateDatasourcesDetails', 'update': 'updateDatasourcesDetails'};

    	this._meta = {};

    	Backbone.setMeta(this,'methodMap',methodMap);
    }   
    
  });
  return datasourceModel;

});