define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var interactionModel = Backbone.Model.extend({
  	url: "../controllers/admin_interactions/index.php",
  	
    initialize: function()
    {
    	Backbone.log("admin_interactions interactionModel initialized");

    	var methodMap = {'read': 'getInteractionsDetails', 'create': 'updateInteractionsDetails', 'update': 'updateInteractionsDetails'};

    	this._meta = {};

    	Backbone.setMeta(this, 'methodMap', methodMap);
    }  
  });
  return interactionModel;

});