define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var appDetailsModel = Backbone.Model.extend({
  
    url: "../controllers/admin_market/index.php",
  
    initialize: function()
    {
    	Backbone.log("appDetailsModel initialized");
    	
    	 this._meta = {};
    	 
    	 Backbone.setMeta(this, 'methodMap',{'read': 'getAppDetails','update': 'updateAppDetails', 'create': 'updateAppDetails'});
    }
  });
  return appDetailsModel;

});
