define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var newProxyModel = Backbone.Model.extend({
  
    url: "../controllers/admin_proxies/index.php",
    
    defaults :
    {
    },
  
    initialize: function()
    {
    	Backbone.log("newProxyModel initialized");
    	
    	 this._meta = {};
    	 
    	 Backbone.setMeta(this, 'methodMap',{'read': 'getNewProxyDetails','update': 'updateNewProxyDetails', 'create': 'updateNewProxyDetails'});
    }
    
  });
  return newProxyModel;

});
