define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var newWidgetModel = Backbone.Model.extend({
  
    url: "../controllers/admin_widgets_manager/index.php",
    
    defaults :
    {
    	current_step : ""
    },
  
    initialize: function()
    {
    	Backbone.log("newWidgetModel initialized");
    	
    	 this._meta = {};
    	 
    	 Backbone.setMeta(this, 'methodMap',{'read': 'getNewWidgetDetails','update': 'updateNewWidgetDetails', 'create': 'updateNewWidgetDetails'});
    }
    
  });
  return newWidgetModel;

});
