define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var widgetModel = Backbone.Model.extend({
  
    url: "../controllers/admin_widgets_manager/index.php",
  
    initialize: function()
    {
    	Backbone.log("admin_widgets_manager widgetModel initialized");
    	
    	 this._meta = {};
    	 
    	 Backbone.setMeta(this, 'methodMap',{'read': 'getWidgetDetails','update': 'updateWidgetDetails'});
    }
  });
  return widgetModel;

});
