define([
  'underscore',
  'backbone'
], function(_, Backbone) {
  var storyModel = Backbone.Model.extend({
    
	url: "../controllers/widgets/index.php", 
	  
	defaults:
	{
    },
    
    initialize: function()
    {
    	Backbone.log("storyModel initialized");
    	
        var methodMap = {
        	'create': 'addWidget2Section',
        	'update': 'widgetEdit',
        	'delete': 'removeWidget',
        	'read': 'getSectionWidgets',
          	};

       this._meta = {};
       
       Backbone.setMeta(this, 'methodMap', methodMap);
    }
  });
  return storyModel;

});