// Filename: views/project_manager/page
define([
  'jquery',
  'underscore',
  'backbone',
  'text!templates/basic/projectpage.html',
], function($, _, Backbone, pageTemplate){

  var pageView = Backbone.View.extend(
  {
	    el: '#page',
	    
	    initialize : function (options)
	    {
	    	Backbone.log("project_manager pageView init");
	    	
	    	this.render();
	    },
	    
	    render : function ()
	    {
	    	Backbone.log("project_manager pageView render");
	    	
	    	var compiledTemplate = _.template( pageTemplate, {} );
	        $(this.el).html(compiledTemplate);
	    }
  });
  
  return pageView;
});