{if isset($tvars.topSection)}
<header>
	{include file='top_section.tpl'}
</header>
{/if}

<div class="g12">
	<table class='tablesorter' cellpadding='0' cellspacing='0'>
		<thead>
			<th>{t}Status{/t}</th>
			<th>{t}Datasource{/t}</th>
			<th>{t}Actions{/t}</th>
		</thead>
		<tbody>
			{if !empty($tvars.datasources)}
				{foreach from=$tvars.datasources key=datasource_id  item=datasourceData}
					<tr style='height:40px;'>
						<td>{if $datasourceData.status=='E'}{t}ACTIVE{/t}{else}{t}INACTIVE{/t}{/if}</td>
						<td><strong>{$datasourceData.name}</strong> {t}provided by{/t} <em>{$datasourceData._module_title}</em></td>
						<td align='right' style='width:120px;'>
							<span class='action_btn_container'><a href='{$datasourceData.action_url}' title='{$datasourceData.action_name}' class='{if $datasourceData.status=='E'}delete{else}add{/if}_link'>{$datasourceData.action_name}</a></span>
						</td>
					</tr>
					{if !empty($tvars.connections.$datasource_id)}
						<tr>
							<td>&nbsp;</td>
							<td>
								{t}Datasource used by{/t}:<br><ul>
								{foreach from=$tvars.connections.$datasource_id key=connection_id item=connectionData}
									<li>{$connectionData._module_title}</li>
								{/foreach}
								</ul>
							</td>
							<td>&nbsp;</td>
						</tr>
					{else}
						
					{/if}
				{/foreach}
			{else}
				<tr><td colspan='3' align='center'>{t}There are no datasources defined{/t}</td></tr>
			{/if}
		</tbody>
	</table>
<div>

