{if $tvars.back_link}
	<div class="col_12">
		<button name="go_back_btn" type="button" class="small blue" title="{t}Go Back{/t}" onClick="osKernel.go2Url('{$tvars.back_link}')">&laquo; {t}Back{/t}</button>
	</div>
	<div class="clear"></div>
{/if}

<div class="col_12">

<div class="col_4 center">
	<img src='{$tvars.widgetDetails.widget_icon_board}' width='64' height='64' style="border:1px solid black;">
</div>

<div class="col_8 center">
	<h3>{$tvars.widgetDetails.widget_name} ({$tvars.widgetDetails.widget_version})</h3>
	<p>{$tvars.widgetDetails.company_name}</p>
</div>

<div class="clear"></div>

{if $tvars.currentView == 'details'}

	<div class="col_6 center">
		{if $tvars.widgetDetails.widget_action == 'install'}
			<form action="?" name="accept_install_form" method="POST">
				<button name="accept_install_btn" type="submit" class="small green" title="{t}Install Widget{/t}">{t}Install{/t}</button>
				<input type="hidden" name="widget" value="{$tvars.widgetName}">
			</form>
		{elseif $tvars.widgetDetails.widget_action == 'update'}
			<form action="?" name="check_update_form" method="POST">
				<button name="check_update_btn" type="submit" class="small green" title="{t}Update Widget{/t}">{t}Update{/t}</button>
				<input type="hidden" name="widget" value="{$tvars.widgetName}">
			</form>
		{elseif $tvars.widgetDetails.widget_action == 'up2date'}
			<p>Installed</p>
		{/if}
	</div>
	
	<div class="col_6 center">
		{if $tvars.widgetDetails.widget_action != 'install'}
			<form action="?" name="check_uninstall_form" method="POST">
				<button name="check_uninstall_btn" type="submit" class="small red" title="{t}Uninstall Widget{/t}">{t}Uninstall{/t}</button>
				<input type="hidden" name="widget" value="{$tvars.widgetName}">
			</form>
		{else}&nbsp;{/if}	
	</div>
	
	<div class="clear"></div>
	
	{if !empty($tvars.widgetStoreDetails)}
		<table cellspacing="0" cellpadding="0" class="tight" width="100%">
			<tr>
				<td class="col_6">[Review Stars: {$tvars.widgetStoreDetails.review_stars}] [{$tvars.widgetStoreDetails.review_total}]</td>
				<td class="col_6">{$tvars.widgetStoreDetails.last_update_date}</td>
			</tr>
			<tr>
				<td class="col_6">{$tvars.widgetStoreDetails.total_installs}</td>
				<td class="col_6">{$tvars.widgetStoreDetails.kit_size}</td>
			</tr>
		</table>
		<div class="clear"></div>
	{/if}

	{*
	<div class="col_12 center">
		<input type="checkbox" value="Y" name="automatic_updates_box"> <label for="automatic_updates_box">{t}Allow Automatic Updates{/t}</label>
	</div>
	*}
	
	<div class="clear"></div>
	
	<ul class="tabs">
	{foreach from = $tvars.widgetTabs key=type  item=details}
		<li>
			<a href="javascript:void(0);" target="#list-{$type}" title="{$details.name}">{$details.name}</a>
		</li>
	{/foreach}
	</ul>
	
	{foreach from = $tvars.widgetTabs key=type  item=details}
		<div id="list-{$type}" class="tab-content">
			{if !empty($details.content)}
				{$details.content}
			{/if}
		</div>
	{/foreach}

{elseif $tvars.currentView == 'check_update'}

	<div class="col_12 center">
		<form action="?" name="accept_update_form" method="POST">
			<button name="accept_update_btn" type="submit" class="small blue" title="{t}Accept & Update{/t}">{t}Accept & Update{/t}</button>
			<input type="hidden" name="widget" value="{$tvars.widgetName}">
		</form>
	</div>
	
	<div class="clear"></div>

	<div class="col_12 center">
		<h3>[check_update_text]</h3>
	</div>

{elseif $tvars.currentView == 'check_uninstall'}

	<div class="col_12 center">
		<form action="?" name="accept_uninstall_form" method="POST">
			<button name="accept_uninstall_btn" type="submit" class="small blue" title="{t}Accept & Uninstall{/t}">{t}Accept & Uninstall{/t}</button>
			<input type="hidden" name="widget" value="{$tvars.widgetName}">
		</form>
	</div>
	
	<div class="clear"></div>

	<div class="col_12 center">
		<h3>[check_uninstall_text]</h3>
	</div>
{elseif $tvars.currentView == 'accept_install'}

	{if !empty($tvars.testDetails)}
		<div class="col_12 center">
			{include file='testdisplay.tpl'}
		</div>
	{/if}

{elseif $tvars.currentView == 'accept_update'}

	{if !empty($tvars.testDetails)}
		<div class="col_12 center">
			{include file='testdisplay.tpl'}
		</div>	
	{/if}

{elseif $tvars.currentView == 'accept_uninstall'}

	{if !empty($tvars.testDetails)}
		<div class="col_12 center">
			{include file='testdisplay.tpl'}
		</div>
	{/if}	
{/if}	

<div class="clear"></div>

</div>