{include file="box_top.tpl"}
	<div class="col_6 column">
		<fieldset>
			<div class="legend">{t}Development details{/t}</div>
			<div class="content">
				<section>
					<label>{t}Files path{/t}</label>
					<div>{$tvars.devDetails.dev_path}</div>
				</section>
				
				<section>
					<label>{t}SQL tables prefix{/t}</label>
					<div>{$tvars.devDetails.sql_prefix}<br><span class='smaller'>(<em>{t}Example{/t}: {$tvars.devDetails.sql_prefix}tablename</em>)</span></div>
				</section>
			</div>		
		</fieldset>
	</div>
	
	<div class="col_6 column">
		<fieldset>
			<div class="legend">{t}Application details{/t}</div>
			<div class="content">
				<section>
					<label>{t}Name{/t}</label>
					<div>{$tvars.appDetails.name}</div>
				</section>
				
				<section>
					<label>{t}Title{/t}</label>
					<div>{$tvars.appDetails.title}</div>
				</section>
				
				<section>
					<label>{t}Version{/t}</label>
					<div>{$tvars.appDetails.version}</div>
				</section>
				
				<section>
					<label>{t}Description{/t}</label>
					<div>{$tvars.appDetails.description}</div>
				</section>
			</div>
		</fieldset>
	</div>
	
	<div class="col_6 column"></div>
	<div class="col_6 column">
		<fieldset>
			<div class="legend">{t}Application builds{/t}</div>
			<div class="content">
				<section>
					<div class="col_12">
						{if !empty($tvars.appDev.builds)}
							{foreach from=$tvars.appDev.builds key=buildVersion item=buildFile}
								<a href='{$tvars.buildDownloadURL}?app_id={$tvars.appDev.id}&version={$buildVersion}'>{$buildFile}</a><br>
							{/foreach}
						{else}
							<div class="col_12 center">{t}There are no builds for this application{/t}</div>
						{/if}
					</div>
				</section>
			</div>
		</fieldset>
	</div>
	<div class="clear"></div>
{include file="box_bottom.tpl"}