{include file="box_top.tpl"}
<div class='col_12'>
	{if empty($tvars.topicKeywords)}
		<div class='col_12 center'>
			<br>
			<br>
			{t}No keywords defined{/t}.<br><a href='{$tvars.root_url}/users/project_manage_competition_keywords_add.php?project_id={$tvars.project_id}&topic_id={$tvars.topic_id}' class='button small blue'>{t}Add keyword{/t}</a>
			<br>
			<br>
		</div>
	{else}
		<table class='striped responsive'>
			<thead>
				<tr>
					<th class='header left'>{t}Keyword{/t}</th>
					<th class='header center'>{t}Competitors{/t}</th>
					<th class='header center'>{t}Actions{/t}</th>
				</tr>
			</thead>
			<tbody>
				{foreach from=$tvars.topicKeywords key=keyword_id item=keyword}
					<tr>
						<td class='left'>{$keyword.keyword}</td>
						<td class='center'>
							{if $keyword.competitors}
								<span class='icon small green' data-icon='C'></span>
							{else}
								<span class="icon small gray" data-icon="E"></span>
							{/if}
						</td>
						<td class='center'>
							<a href='{$keyword.delete_url}' title='{t}Delete keyword{/t}'><span class='icon small gray' data-icon='x'></span></a>
						</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
		<div class='clear'></div>
		<div class='col_12 center'>
			<a href='{$tvars.root_url}/users/project_manage_competition_keywords_add.php?project_id={$tvars.project_id}&topic_id={$tvars.topic_id}' class='button small blue'>{t}Add keyword{/t}</a>
		</div>
		<div class='clear'></div> 
	{/if}
</div>
<div class="clear"></div>	
{include file="box_bottom.tpl"}