{include file="box_top.tpl"}
	{if $tvars.addCompetitorLink !== false}
		<div class="col_12 right">
			<form action="{$tvars.addCompetitorLink}"  name="add_competitor" method="GET">
				<input type='hidden' name='op' value='add'>
				<input type='hidden' name='project_id' value='{$tvars.project_id}'>
				<button type="submit" class="small blue">Add Competitor</button>
			</form>
		</div>
	{/if}

	<table class='striped' cellpadding='0' cellspacing='0'>
		<thead> 
			<tr align='center' class="alt first last"> 
  				<th class="header">#</th> 
   				<th class="header">{t}Competitor Name{/t}</th> 
   				<th class="header">{t}URL{/t}</th> 
   				<th class="header">{t}Actions{/t}</th> 
			</tr> 
		</thead>			
		<tbody>
			{if !empty($tvars.allCompetitors)}
				{counter start=0 print=false}
				{foreach from=$tvars.allCompetitors key=competitor_id  item=competitorData}
				<tr style="height:40px;">
					<td>{counter}</td>
					<td>
						<span>{$competitorData.name}</span>
					</td>
					<td><a href='{$competitorData.url_safe}' target='_blank'>{$competitorData.url}</a></td>
					<td align='right' style='width:120px;'>
						{if $competitorData.edit_link}<a href="{$competitorData.edit_link}" title="{t}Edit Competitor{/t}"><span class="icon gray" data-icon="7"></span></a>{/if}
						{if $competitorData.delete_link}<a href="{$competitorData.delete_link}" title="{t}Delete Competitor{/t}"><span class="icon gray" data-icon="m"></span></a>{/if}
					</td>
				</tr>
				{/foreach}
			{else}<tr><td colspan='5' align='center'><div class="col_12 center">{t}There are no competitors defined{/t}</div></td></tr>{/if}
		</tbody>
	</table>
	
{include file="box_bottom.tpl"}