{include file="box_top.tpl"}

<div class="section-center col_12">
	<div class='simple-box'>
		<div class='title'>{t}Javascript Tracking Details{/t}</div>
		<div class='content'>
			<section>
				<div class='col_8'>{t}JavaScript tracking status{/t}: <strong>{if $tvars.trackingStatus}{t}ACTIVE{/t}{else}{t}INACTIVE{/t}{/if}</strong></div>
				<div class='col_4 right'><button class='small green' type='button' onclick="window.location='{$tvars.checkTrackingStatusURL}'">{if $tvars.trackingStatus}{t}Re-check{/t}{else}{t}Check{/t}{/if}</button></div>
			</section>
		</div>
		<div class="clear"></div>
	</div>
</div>

<div class="section-center col_12">
	<div class='simple-box'>
		<div class='title'>{t}Project Tag Code{/t}</div>
		<div class='content'>
			<section>
				<div>
					<textarea style="width:100%" onclick="this.select()">{$tvars.tagCodeSample}</textarea>						
				</div>
			</section>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div>
</div>

{if !empty($tvars.trackerLinksData)}
<div class="section-center col_12">
	<div class='simple-box'>
		<div class='title'>{t}Javascript Tracker Available Apps{/t}</div>
		<div class='content'>
		
			{foreach from=$tvars.trackerLinksData key=index item=values}
				<section>
					<div class="col_8">
						{$values.title}
					</div>
					<div class="col_4 right">
						{if $values.disable_link}
							<button class="small red" type="button" onclick="window.location='{$values.disable_link}'">{t}Disable{/t}</button>		
						{elseif $values.enable_link}
							<button class="small green" type="button" onclick="window.location='{$values.enable_link}'">{t}Enable{/t}</button>
						{/if}	
					</div>
				</section>
				<div class="clear"></div>
			{/foreach}
		</div>
		<div class="clear"></div>
	</div>
</div>
{/if}


{include file="box_bottom.tpl"}