{include file="box_top.tpl"}

	{if $tvars.userTip}
		<table class='striped' cellpadding='0' cellspacing='0'>
			<tbody>
				<tr><td>
					<div class='col_12 left'>
						<strong>{$tvars.userTip.title}</strong>
						- <a href='{$tvars.userTip.link.url}' title='{$tvars.userTip.link.title}'>
							{if $tvars.userTip.link.anchor_type=='text'}
								{$tvars.userTip.link.anchor_text}
							{elseif $tvars.userTip.link.anchor_type=='icon'}
							{/if}
						</a>
					</div>
					<div class='col_12 left'>{$tvars.userTip.description}</div>
				</td></tr>
			</tbody>
		</table>
	{/if}

	<table class='striped responsive' cellpadding='0' cellspacing='0'>
		<thead> 
			<tr align='center' class="alt first last"> 
   				<th class="header">{t}Project{/t}</th>
   				<th class="header center">{t}Competition{/t}</th>
{*
   				<th class="header">URL</th> 
   				<th class="header show-desktop-tablecell">{t}Created On{/t}</th>
*}
   				<th class="header center">{t}Edit Details{/t}</th>
   				<th class="header center">{t}Delete{/t}</th>
			</tr> 
		</thead>			
		<tbody>
			{if !empty($tvars.allProjects)}
				{counter start=0 print=false}
				{foreach from=$tvars.allProjects key=project_id  item=projectData}
				<tr style="height:40px;" class='{cycle values="first,alt"}'>
					<td>
						{if $projectData.open_link}
							<a href='{$projectData.open_link}' title='{t}Open Project{/t}'>{$projectData.name}</a>
						{else}
							<span>{$projectData.name}</span>
						{/if}
						<br>
						{$projectData.url_stripped}
						{if !$projectData.js_tracking}
							<br>
							<span class='show-desktop'>
								<i class='smaller'>{t}JavaScript tracking not available{/t}. <a href='{$projectData.tag_manager_link}' title='{t}Get JavaScript tracking code{/t}'>{t}Get tracking code{/t}</a>
							</span>
						{/if}
					</td>
					<td class='center'>
						{$projectData.keywords} keywords<br>{$projectData.competitors} competitors
						{if $projectData.competition_link}<br><a href="{$projectData.competition_link}" title="{t}Manage Competition{/t}">Manage</a>{/if}
					</td>
{*
					<td>
						{$projectData.url}
						{if !$projectData.js_tracking}
							<span class='show-desktop'>
								<i class='smaller'>{t}JavaScript tracking not available{/t}. <a href='{$projectData.tag_manager_link}' title='{t}Get JavaScript tracking code{/t}'>{t}Get tracking code{/t}</a>
							</span>
						{/if}
					</td>
					<td class="show-desktop-tablecell">{$projectData.created_date}</td>
*}
					<td class='center'>
						{if $projectData.edit_link}<a href="{$projectData.edit_link}" title="{t}Edit Project Profile{/t}"><span class="icon gray medium" data-icon="7"></span></a>{/if}
						{if $projectData.departments_link}<a href="{$projectData.departments_link}" title="{t}Assign Departments to Project{/t}"><span class="icon gray medium" data-icon="S"></span></a>{/if}
						{if $projectData.tag_manager_link}<a href="{$projectData.tag_manager_link}" title="{t}Project Tag Manager{/t}"><span class="icon gray medium" data-icon="&"></span></a>{/if}
					</td>
					<td class='center'>
						{*{if $projectData.open_link}<a href="{$projectData.open_link}" title="{t}Open Project Profile{/t}"><span class="icon gray medium" data-icon="Y"></span></a>{/if}*}
						{if $projectData.delete_link}<a href="{$projectData.delete_link}" title="{t}Delete Project Profile{/t}"><span class="icon gray medium" data-icon="T"></span></a>{/if}
					</td>
				</tr>
				{/foreach}
			{else}<tr><td colspan='5' class='center bigger'>{t}There are no projects defined{/t}</td></tr>{/if}
		</tbody>
	</table>
	
{include file="box_bottom.tpl"}