var extDataObj = extDataObj || (function (){
	
	"use strict";
	
	var projectSettings = {
		projectAccount : '[%project_account%]',
		projectRootUrl : '[%http_root_url%]'
	};
	
	var registeredAppsPlugins = {
		[%apps_bulk_containers%]	
	};
	
	
	/*Default functions*/
	function apply()
	{
        var i, f, parameterArray;

        for (i = 0; i < arguments.length; i += 1)
        {
            parameterArray = arguments[i];
            f = parameterArray.shift();

            if (isString(f))
            {
            	appTracker[f].apply(appTracker, parameterArray);
            }
            else
            {
                f.apply(appTracker, parameterArray);
            }
        }
    }
    
    function isString(property) {return typeof property === 'string' || property instanceof String;}
    
    /*Default functions*/
    	
	

	return {
		
		getPlugin: function(pluginName)
		{
			return registeredAppsPlugins[pluginName];
		},
	
		getPlugins: function()
		{
			return registeredAppsPlugins;
		},
		
		getProjectSettingsItem: function(itemName)
		{
			var result = false;
			if(projectSettings[itemName])
			{
				result = projectSettings[itemName];
			}	
			
			return result;
		}
		
		
	}
}());