<?php
include "../init.php";

$OS = getOS();

$osUser = $OS->getUser();

//verify if user is logged
$osUser->forceUserLogin();

//verify user permissions
$osUser->forcePerm('clients_management','manage_clients');

if (!empty($_GET['op']))
{
	$op=$_GET['op'];
}
elseif (!empty($_POST['op']))
{
	$op=$_POST['op'];
}
else
{
	$op='add';
}

$clientOps=$OS->getClientOps();

if ($op=='edit')
{
	if (!empty($_GET['client_id']))
	{
		$client_id=$_GET['client_id'];
	}
	elseif (!empty($_POST['client_id']))
	{
		$client_id=$_POST['client_id'];
	}
	else
	{
		$OS->redirectTO("/users/clients_list.php?msg=no_client_id");
	}
	
	if (!$oneClient=$clientOps->getClientByID($client_id))
	{
		$OS->redirectTO("/users/clients_list.php?msg=unknown_client");
	}
}

if ($_SERVER['REQUEST_METHOD']=='POST')
{
	$osValidator=$OS->getValidator();
	
	if (empty($_POST['name_box']))
	{
		$OS->addFieldError(_("Name missing"),'name');
	}
	else
	{
		$_POST['name_box']=trim($_POST['name_box']);
		
		if (strlen($_POST['name_box'])<3)
		{
			$OS->addFieldError(_("Name too short. Minimum length: 3 chars"),'name');
		}
	}
	
	if (empty($_POST['email_box']))
	{
		$OS->addFieldError(_("Email missing"),'email');
	}
	elseif (!$osValidator->is_email($_POST['email_box']))
	{
		$OS->addFieldError(_("Invalid email"),'email');
	}
	
	if (empty($OS->errorMessages))
	{
		if ($op=='add')
		{
			$oneClient=$OS->getClient();
		}
		
		$oneClient->name=$_POST['name_box'];
		$oneClient->email=$_POST['email_box'];
		
		if ($oneClient->save())
		{
			$OS->redirectTO("/users/clients_list.php?msg=client_{$op}_ok");
		}
		else
		{
			$OS->addBoxError(_("Unable to save client details. Try again later"));
		}
	}
}
elseif ($op=='edit')
{
	$_POST['name_box']=$oneClient->name;
	$_POST['email_box']=$oneClient->email;
}
else
{
	$_POST['name_box']='';
	$_POST['email_box']='';
}

$tpl = $OS->getTemplate();

//handle page topSection
$tpl->setTopSectionTitle(($op=='add'?_("Add client"):_("Edit client")));
$tpl->addTopSectionOption('cancel',array('type'=>'link','name'=>_("Cancel"),'url'=>$OS->getConfigVar('root_url')."/users/clients_list.php"));

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('op',$op);

if ($op=='edit')
{
	$tpl->setVar('client_id',$client_id);
}

$tpl->selectedMenuItem = 'clients_list';

$tpl->bodyTemplateName = 'client_ae';

echo $tpl->mainTemplateRender();
?>