<?php
include "../init.php";

$OS = getOS();

$osUser = $OS->getUser();
$osUtils = $OS->getUtils();

//verify if user is logged
$osUser->forceUserLogin();

//get project operations
$osProjectOps = $OS->getProjectOps();

if(isset($_GET['project_id']))
{
	$project_id = $_GET['project_id'];
} 
elseif(isset($_POST['project_id']))
{
	$project_id = $_POST['project_id'];
}
else
{
	$OS->redirectTO("/users/projects_list.php?msg=noprjid");
}

if(isset($_GET['topic_id']))
{
	$topic_id = $_GET['topic_id'];
} 
elseif(isset($_POST['topic_id']))
{
	$topic_id = $_POST['topic_id'];
}
else
{
	$OS->redirectTO("/users/projects_list.php?msg=noprjtopicid");
}

$osProjectTopicOps=$OS->getProjectTopicOps();

if (!$topic=$osProjectTopicOps->getProjectTopicByID($topic_id,$project_id))
{
	$OS->redirectTO("/users/projects_list.php?msg=noprjtopicid");
}

$osProjectKeywordOps=$OS->getProjectKeywordOps();

if (!empty($_GET['op']))
{
	if ($_GET['op']=='delete_keyword')
	{
		if (!empty($_GET['keyword_id']))
		{
			if ($keyword=$osProjectKeywordOps->getProjectKeywordByID($_GET['keyword_id']))
			{
				if ($keyword->delete())
				{
					$OS->addInfo(_("Keyword deleted successfully"));
					
					if (0===$osProjectKeywordOps->getProjectKeywordsPendingCompetitorsCountByTopicID($keyword->topic_id))
					{
						$osProjectTopicOps->processCompetitors($keyword->topic_id);
					}
				}
				else
				{
					$OS->addBoxError(_("Unable to delete keyword!"));
				}
			}
		}
	}
}

if (!empty($_GET['msg']))
{
	if ($_GET['msg']=='add_ok')
	{
		$OS->addInfo(_("Keyword added successfully"));
	}
}

if ($topicKeywords=$osProjectKeywordOps->getProjectKeywordsByTopicID($topic_id))
{
	foreach ($topicKeywords as $keyword_id=>$keyword)
	{
		$topicKeywords[$keyword_id]=array(
			'keyword'=>$keyword->keyword,
			'competitors'=>($keyword->competitors=='Y'?true:false),
			'delete_url'=>$OS->getConfigVar('root_url')."/users/project_manage_competition_keywords.php?project_id={$project_id}&topic_id={$topic_id}&op=delete_keyword&keyword_id={$keyword_id}"
		);
	}
}

$tpl = $OS->getTemplate();

//handle page topSection
$tpl->setTopSectionTitle(_("Topic Keywords"));
$tpl->addTopSectionOption('back',array('type'=>'link','name'=>_("Back"),'url'=>$OS->getConfigVar('root_url')."/users/project_manage_competition.php?project_id={$project_id}"));

$tpl->setVar('errors',$OS->errorMessages);
$tpl->setVar('info',$OS->infoMessages);

$tpl->setVar('project_id',$project_id);
$tpl->setVar('topic_id',$topic_id);

$tpl->setVar('topicKeywords',$topicKeywords);

$tpl->selectedMenuItem = 'projects_list';

$tpl->bodyTemplateName = 'project_manage_competition_keywords';

echo $tpl->mainTemplateRender();
?>